<?php
/**
 * @file
 * Default views.
 */

/**
 * Implements hook_views_default_views().
 */
function conference_booking_views_default_views() {
  $view = new view;
  $view->name = 'bookings';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'conference_booking';
  $view->human_name = 'Bookings';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = TRUE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Bookings';
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['empty'] = FALSE;
  $handler->display->display_options['header']['area']['content'] = '<a href="<?php print url(\'booking/add\'); ?>>Add Booking</a>';
  $handler->display->display_options['header']['area']['format'] = 'full_html';
  $handler->display->display_options['header']['area']['tokenize'] = 0;
  /* Relationship: Booking: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'conference_booking';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['label'] = 'Author';
  $handler->display->display_options['relationships']['uid']['required'] = 0;
  /* Field: Booking: Booking ID */
  $handler->display->display_options['fields']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['field'] = 'booking_id';
  /* Field: Booking: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'booking/[booking_id]';
  $handler->display->display_options['fields']['title']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['title']['alter']['external'] = 0;
  $handler->display->display_options['fields']['title']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['title']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['title']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['hide_alter_empty'] = 1;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = 'Author';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['name']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['name']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['name']['alter']['external'] = 0;
  $handler->display->display_options['fields']['name']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['name']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['name']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['name']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['name']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['name']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['name']['alter']['html'] = 0;
  $handler->display->display_options['fields']['name']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['name']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['name']['hide_empty'] = 0;
  $handler->display->display_options['fields']['name']['empty_zero'] = 0;
  $handler->display->display_options['fields']['name']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['name']['link_to_user'] = 1;
  $handler->display->display_options['fields']['name']['overwrite_anonymous'] = 0;
  $handler->display->display_options['fields']['name']['format_username'] = 1;
  /* Field: booking: Date created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Created';
  $handler->display->display_options['fields']['created']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['created']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['created']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['created']['alter']['external'] = 0;
  $handler->display->display_options['fields']['created']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['created']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['created']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['created']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['created']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['created']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['created']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['created']['alter']['html'] = 0;
  $handler->display->display_options['fields']['created']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['created']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['created']['hide_empty'] = 0;
  $handler->display->display_options['fields']['created']['empty_zero'] = 0;
  $handler->display->display_options['fields']['created']['hide_alter_empty'] = 1;
  $handler->display->display_options['fields']['created']['date_format'] = 'short';
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = 'Edit';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = 'Edit';
  $handler->display->display_options['fields']['nothing']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['nothing']['alter']['path'] = 'booking/[booking_id]/edit';
  $handler->display->display_options['fields']['nothing']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['external'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['replace_spaces'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['trim_whitespace'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['nl2br'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['nothing']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['nothing']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['html'] = 0;
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = 1;
  $handler->display->display_options['fields']['nothing']['element_default_classes'] = 1;
  $handler->display->display_options['fields']['nothing']['hide_empty'] = 0;
  $handler->display->display_options['fields']['nothing']['empty_zero'] = 0;
  $handler->display->display_options['fields']['nothing']['hide_alter_empty'] = 0;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'booking';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'bookings';
  $handler->display->display_options['menu']['weight'] = '0';

  $views['bookings'] = $view;

  $view = new view();
  $view->name = 'conference_registrations';
  $view->description = '';
  $view->tag = 'conference';
  $view->base_table = 'conference_booking';
  $view->human_name = 'Conference registrations';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Conference registrations';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access admin dashboard blocks';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '100';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'counter' => 'counter',
    'uid' => 'uid',
    'field_firstname' => 'field_firstname',
    'field_middlename' => 'field_middlename',
    'field_lastname' => 'field_lastname',
    'mail' => 'field_lastname',
    'booking_id' => 'booking_id',
    'created' => 'created',
    'conference_year' => 'conference_year',
    'conference_reference' => 'conference_reference',
    'checkin' => 'checkin',
    'canceled' => 'canceled',
    'name' => 'name',
    'cancel_uid' => 'cancel_uid',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'counter' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'uid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_firstname' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_middlename' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_lastname' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'mail' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'booking_id' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_year' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_reference' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'checkin' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'canceled' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'cancel_uid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
  );
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['relationships']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['label'] = 'Conference';
  /* Relationship: Booking: Owner */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'conference_booking';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['label'] = 'Owner';
  /* Relationship: User: Profile */
  $handler->display->display_options['relationships']['profile']['id'] = 'profile';
  $handler->display->display_options['relationships']['profile']['table'] = 'users';
  $handler->display->display_options['relationships']['profile']['field'] = 'profile';
  $handler->display->display_options['relationships']['profile']['relationship'] = 'uid';
  $handler->display->display_options['relationships']['profile']['bundle_types'] = array(
    'profile' => 'profile',
  );
  /* Relationship: Booking: Cancellation officer */
  $handler->display->display_options['relationships']['cancel_uid']['id'] = 'cancel_uid';
  $handler->display->display_options['relationships']['cancel_uid']['table'] = 'conference_booking';
  $handler->display->display_options['relationships']['cancel_uid']['field'] = 'cancel_uid';
  $handler->display->display_options['relationships']['cancel_uid']['label'] = 'Cancellation officer';
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['relationship'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Profile: First name */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_firstname']['label'] = '';
  $handler->display->display_options['fields']['field_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  /* Field: Profile: Middle name */
  $handler->display->display_options['fields']['field_middlename']['id'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['table'] = 'field_data_field_middlename';
  $handler->display->display_options['fields']['field_middlename']['field'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_middlename']['label'] = '';
  $handler->display->display_options['fields']['field_middlename']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_middlename']['element_label_colon'] = FALSE;
  /* Field: Profile: Last name */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_lastname']['label'] = 'Name';
  $handler->display->display_options['fields']['field_lastname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['text'] = '[field_lastname], [field_firstname] [field_middlename]';
  $handler->display->display_options['fields']['field_lastname']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['path'] = 'user/[uid]';
  $handler->display->display_options['fields']['field_lastname']['alter']['trim_whitespace'] = TRUE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['relationship'] = 'uid';
  $handler->display->display_options['fields']['mail']['label'] = '';
  $handler->display->display_options['fields']['mail']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['mail']['alter']['text'] = '<span class="email">[mail]</span>';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['mail']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['mail']['link_to_user'] = 'user';
  /* Field: Booking: Booking ID */
  $handler->display->display_options['fields']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['label'] = 'Booking №';
  $handler->display->display_options['fields']['booking_id']['separator'] = '';
  /* Field: Booking: Date created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Booking date';
  $handler->display->display_options['fields']['created']['date_format'] = 'short';
  $handler->display->display_options['fields']['created']['second_date_format'] = 'html5_tools_iso8601';
  /* Field: Content: Conference year */
  $handler->display->display_options['fields']['conference_year']['id'] = 'conference_year';
  $handler->display->display_options['fields']['conference_year']['table'] = 'field_data_conference_year';
  $handler->display->display_options['fields']['conference_year']['field'] = 'conference_year';
  $handler->display->display_options['fields']['conference_year']['relationship'] = 'conference_reference_target_id';
  /* Field: Field: Conference */
  $handler->display->display_options['fields']['conference_reference']['id'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference']['field'] = 'conference_reference';
  /* Field: Booking: Check-in date */
  $handler->display->display_options['fields']['checkin']['id'] = 'checkin';
  $handler->display->display_options['fields']['checkin']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['checkin']['field'] = 'checkin';
  $handler->display->display_options['fields']['checkin']['label'] = 'Check-in';
  $handler->display->display_options['fields']['checkin']['date_format'] = 'short';
  /* Sort criterion: Profile: Last name (field_lastname) */
  $handler->display->display_options['sorts']['field_lastname_value']['id'] = 'field_lastname_value';
  $handler->display->display_options['sorts']['field_lastname_value']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['sorts']['field_lastname_value']['field'] = 'field_lastname_value';
  $handler->display->display_options['sorts']['field_lastname_value']['relationship'] = 'profile';
  /* Sort criterion: Profile: First name (field_firstname) */
  $handler->display->display_options['sorts']['field_firstname_value']['id'] = 'field_firstname_value';
  $handler->display->display_options['sorts']['field_firstname_value']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['sorts']['field_firstname_value']['field'] = 'field_firstname_value';
  $handler->display->display_options['sorts']['field_firstname_value']['relationship'] = 'profile';
  /* Sort criterion: Profile: Middle name (field_middlename) */
  $handler->display->display_options['sorts']['field_middlename_value']['id'] = 'field_middlename_value';
  $handler->display->display_options['sorts']['field_middlename_value']['table'] = 'field_data_field_middlename';
  $handler->display->display_options['sorts']['field_middlename_value']['field'] = 'field_middlename_value';
  $handler->display->display_options['sorts']['field_middlename_value']['relationship'] = 'profile';
  /* Filter criterion: Booking: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'registration' => 'registration',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Attended */
  $handler->display->display_options['filters']['checkin']['id'] = 'checkin';
  $handler->display->display_options['filters']['checkin']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['checkin']['field'] = 'checkin';
  $handler->display->display_options['filters']['checkin']['ui_name'] = 'Attended';
  $handler->display->display_options['filters']['checkin']['group'] = 1;
  $handler->display->display_options['filters']['checkin']['exposed'] = TRUE;
  $handler->display->display_options['filters']['checkin']['expose']['operator_id'] = 'checkin_op';
  $handler->display->display_options['filters']['checkin']['expose']['label'] = 'Check-in date';
  $handler->display->display_options['filters']['checkin']['expose']['operator'] = 'checkin_op';
  $handler->display->display_options['filters']['checkin']['expose']['identifier'] = 'checkin';
  $handler->display->display_options['filters']['checkin']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['checkin']['group_info']['label'] = 'Attended';
  $handler->display->display_options['filters']['checkin']['group_info']['identifier'] = 'attended';
  $handler->display->display_options['filters']['checkin']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Attended',
      'operator' => '>',
      'value' => array(
        'type' => 'date',
        'value' => '1',
        'min' => '',
        'max' => '',
      ),
    ),
    2 => array(
      'title' => 'Not attended',
      'operator' => '=',
      'value' => array(
        'type' => 'date',
        'value' => '1',
        'min' => '',
        'max' => '',
      ),
    ),
  );
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: Booking: Cancellation officer */
  $handler->display->display_options['filters']['cancel_uid']['id'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid']['field'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['cancel_uid']['expose']['operator_id'] = 'cancel_uid_op';
  $handler->display->display_options['filters']['cancel_uid']['expose']['label'] = 'Cancellation officer';
  $handler->display->display_options['filters']['cancel_uid']['expose']['operator'] = 'cancel_uid_op';
  $handler->display->display_options['filters']['cancel_uid']['expose']['identifier'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['cancel_uid']['group_info']['label'] = 'Active';
  $handler->display->display_options['filters']['cancel_uid']['group_info']['identifier'] = 'active';
  $handler->display->display_options['filters']['cancel_uid']['group_info']['optional'] = FALSE;
  $handler->display->display_options['filters']['cancel_uid']['group_info']['default_group'] = '1';
  $handler->display->display_options['filters']['cancel_uid']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Active',
      'operator' => '=',
      'value' => array(
        'value' => '0',
        'min' => '',
        'max' => '',
      ),
    ),
    2 => array(
      'title' => 'Canceled',
      'operator' => '>',
      'value' => array(
        'value' => '0',
        'min' => '',
        'max' => '',
      ),
    ),
    3 => array(
      'title' => '',
      'operator' => '=',
      'value' => array(
        'value' => '',
        'min' => '',
        'max' => '',
      ),
    ),
  );

  /* Display: All registrations */
  $handler = $view->new_display('page', 'All registrations', 'all');
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: Booking */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = '';
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['row_clickable'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::conference_booking_booking_uncancel_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::conference_booking_booking_user_unregister_conference_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
  );
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['relationship'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Profile: First name */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_firstname']['label'] = '';
  $handler->display->display_options['fields']['field_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  /* Field: Profile: Middle name */
  $handler->display->display_options['fields']['field_middlename']['id'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['table'] = 'field_data_field_middlename';
  $handler->display->display_options['fields']['field_middlename']['field'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_middlename']['label'] = '';
  $handler->display->display_options['fields']['field_middlename']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_middlename']['element_label_colon'] = FALSE;
  /* Field: Profile: Last name */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_lastname']['label'] = 'Name';
  $handler->display->display_options['fields']['field_lastname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['text'] = '[field_lastname], [field_firstname] [field_middlename]';
  $handler->display->display_options['fields']['field_lastname']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['path'] = 'user/[uid]';
  $handler->display->display_options['fields']['field_lastname']['alter']['trim_whitespace'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['empty'] = '(No name)';
  $handler->display->display_options['fields']['field_lastname']['hide_alter_empty'] = FALSE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['relationship'] = 'uid';
  $handler->display->display_options['fields']['mail']['label'] = '';
  $handler->display->display_options['fields']['mail']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['mail']['alter']['text'] = '<span class="email">[mail]</span>';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['mail']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['mail']['link_to_user'] = '0';
  /* Field: Booking: Booking ID */
  $handler->display->display_options['fields']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['label'] = 'Booking №';
  $handler->display->display_options['fields']['booking_id']['separator'] = '';
  /* Field: Booking: Date created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Booking date';
  $handler->display->display_options['fields']['created']['date_format'] = 'short';
  $handler->display->display_options['fields']['created']['second_date_format'] = 'html5_tools_iso8601';
  /* Field: Content: Conference year */
  $handler->display->display_options['fields']['conference_year']['id'] = 'conference_year';
  $handler->display->display_options['fields']['conference_year']['table'] = 'field_data_conference_year';
  $handler->display->display_options['fields']['conference_year']['field'] = 'conference_year';
  $handler->display->display_options['fields']['conference_year']['relationship'] = 'conference_reference_target_id';
  /* Field: Field: Conference */
  $handler->display->display_options['fields']['conference_reference']['id'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference']['field'] = 'conference_reference';
  /* Field: Booking: Check-in date */
  $handler->display->display_options['fields']['checkin']['id'] = 'checkin';
  $handler->display->display_options['fields']['checkin']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['checkin']['field'] = 'checkin';
  $handler->display->display_options['fields']['checkin']['label'] = 'Check-in';
  $handler->display->display_options['fields']['checkin']['date_format'] = 'short';
  /* Field: Booking: Date canceled */
  $handler->display->display_options['fields']['canceled']['id'] = 'canceled';
  $handler->display->display_options['fields']['canceled']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['canceled']['field'] = 'canceled';
  $handler->display->display_options['fields']['canceled']['date_format'] = 'short';
  $handler->display->display_options['fields']['canceled']['second_date_format'] = 'html5_tools_iso8601';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'cancel_uid';
  $handler->display->display_options['fields']['name']['label'] = '';
  $handler->display->display_options['fields']['name']['exclude'] = TRUE;
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['name']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['name']['empty_zero'] = TRUE;
  /* Field: Booking: Cancellation officer */
  $handler->display->display_options['fields']['cancel_uid']['id'] = 'cancel_uid';
  $handler->display->display_options['fields']['cancel_uid']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['cancel_uid']['field'] = 'cancel_uid';
  $handler->display->display_options['fields']['cancel_uid']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['cancel_uid']['alter']['text'] = '[name]';
  $handler->display->display_options['fields']['cancel_uid']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['cancel_uid']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['cancel_uid']['separator'] = '';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Booking: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'registration' => 'registration',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: User: Name (raw) */
  $handler->display->display_options['filters']['name']['id'] = 'name';
  $handler->display->display_options['filters']['name']['table'] = 'users';
  $handler->display->display_options['filters']['name']['field'] = 'name';
  $handler->display->display_options['filters']['name']['relationship'] = 'uid';
  $handler->display->display_options['filters']['name']['operator'] = 'contains';
  $handler->display->display_options['filters']['name']['group'] = 1;
  $handler->display->display_options['filters']['name']['exposed'] = TRUE;
  $handler->display->display_options['filters']['name']['expose']['operator_id'] = 'name_op';
  $handler->display->display_options['filters']['name']['expose']['label'] = 'Name';
  $handler->display->display_options['filters']['name']['expose']['operator'] = 'name_op';
  $handler->display->display_options['filters']['name']['expose']['identifier'] = 'name';
  $handler->display->display_options['filters']['name']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Attended */
  $handler->display->display_options['filters']['checkin']['id'] = 'checkin';
  $handler->display->display_options['filters']['checkin']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['checkin']['field'] = 'checkin';
  $handler->display->display_options['filters']['checkin']['ui_name'] = 'Attended';
  $handler->display->display_options['filters']['checkin']['group'] = 1;
  $handler->display->display_options['filters']['checkin']['exposed'] = TRUE;
  $handler->display->display_options['filters']['checkin']['expose']['operator_id'] = 'checkin_op';
  $handler->display->display_options['filters']['checkin']['expose']['label'] = 'Check-in date';
  $handler->display->display_options['filters']['checkin']['expose']['operator'] = 'checkin_op';
  $handler->display->display_options['filters']['checkin']['expose']['identifier'] = 'checkin';
  $handler->display->display_options['filters']['checkin']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['checkin']['group_info']['label'] = 'Attended';
  $handler->display->display_options['filters']['checkin']['group_info']['identifier'] = 'attended';
  $handler->display->display_options['filters']['checkin']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Attended',
      'operator' => '>',
      'value' => array(
        'type' => 'date',
        'value' => '1',
        'min' => '',
        'max' => '',
      ),
    ),
    2 => array(
      'title' => 'Not attended',
      'operator' => '=',
      'value' => array(
        'type' => 'date',
        'value' => '1',
        'min' => '',
        'max' => '',
      ),
    ),
  );
  /* Filter criterion: Profile: Profile ID */
  $handler->display->display_options['filters']['pid']['id'] = 'pid';
  $handler->display->display_options['filters']['pid']['table'] = 'profile';
  $handler->display->display_options['filters']['pid']['field'] = 'pid';
  $handler->display->display_options['filters']['pid']['relationship'] = 'profile';
  $handler->display->display_options['filters']['pid']['group'] = 1;
  $handler->display->display_options['filters']['pid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['pid']['expose']['operator_id'] = 'pid_op';
  $handler->display->display_options['filters']['pid']['expose']['label'] = 'Profile ID';
  $handler->display->display_options['filters']['pid']['expose']['operator'] = 'pid_op';
  $handler->display->display_options['filters']['pid']['expose']['identifier'] = 'pid';
  $handler->display->display_options['filters']['pid']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['pid']['group_info']['label'] = 'Has profile';
  $handler->display->display_options['filters']['pid']['group_info']['identifier'] = 'profile';
  $handler->display->display_options['filters']['pid']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Yes',
      'operator' => 'not empty',
      'value' => array(
        'value' => '0',
        'min' => '',
        'max' => '',
      ),
    ),
    2 => array(
      'title' => 'No',
      'operator' => 'empty',
      'value' => array(
        'value' => '0',
        'min' => '',
        'max' => '',
      ),
    ),
  );
  /* Filter criterion: Booking: Cancellation officer */
  $handler->display->display_options['filters']['cancel_uid']['id'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid']['field'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['cancel_uid']['expose']['operator_id'] = 'cancel_uid_op';
  $handler->display->display_options['filters']['cancel_uid']['expose']['label'] = 'Cancellation officer';
  $handler->display->display_options['filters']['cancel_uid']['expose']['operator'] = 'cancel_uid_op';
  $handler->display->display_options['filters']['cancel_uid']['expose']['identifier'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['cancel_uid']['group_info']['label'] = 'Active';
  $handler->display->display_options['filters']['cancel_uid']['group_info']['identifier'] = 'active';
  $handler->display->display_options['filters']['cancel_uid']['group_info']['optional'] = FALSE;
  $handler->display->display_options['filters']['cancel_uid']['group_info']['default_group'] = '1';
  $handler->display->display_options['filters']['cancel_uid']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Active',
      'operator' => '=',
      'value' => array(
        'value' => '0',
        'min' => '',
        'max' => '',
      ),
    ),
    2 => array(
      'title' => 'Canceled',
      'operator' => '!=',
      'value' => array(
        'value' => '0',
        'min' => '',
        'max' => '',
      ),
    ),
  );
  $handler->display->display_options['path'] = 'admin/conference/registrations/list';
  $handler->display->display_options['menu']['type'] = 'default tab';
  $handler->display->display_options['menu']['title'] = 'List';
  $handler->display->display_options['menu']['weight'] = '-10';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'tab';
  $handler->display->display_options['tab_options']['title'] = 'Registrations';
  $handler->display->display_options['tab_options']['weight'] = '-10';
  $handler->display->display_options['tab_options']['name'] = 'management';

  /* Display: Current CSV */
  $handler = $view->new_display('views_data_export', 'Current CSV', 'csv');
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_csv';
  $handler->display->display_options['style_options']['provide_file'] = 1;
  $handler->display->display_options['style_options']['parent_sort'] = 0;
  $handler->display->display_options['style_options']['quote'] = 1;
  $handler->display->display_options['style_options']['trim'] = 0;
  $handler->display->display_options['style_options']['replace_newlines'] = 0;
  $handler->display->display_options['style_options']['header'] = 1;
  $handler->display->display_options['style_options']['keep_html'] = 0;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['relationships']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['label'] = 'Conference';
  /* Relationship: Booking: Owner */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'conference_booking';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['label'] = 'Owner';
  /* Relationship: Booking: Check-in officer */
  $handler->display->display_options['relationships']['checkin_uid']['id'] = 'checkin_uid';
  $handler->display->display_options['relationships']['checkin_uid']['table'] = 'conference_booking';
  $handler->display->display_options['relationships']['checkin_uid']['field'] = 'checkin_uid';
  $handler->display->display_options['relationships']['checkin_uid']['label'] = 'Officer';
  /* Relationship: User: Profile */
  $handler->display->display_options['relationships']['profile']['id'] = 'profile';
  $handler->display->display_options['relationships']['profile']['table'] = 'users';
  $handler->display->display_options['relationships']['profile']['field'] = 'profile';
  $handler->display->display_options['relationships']['profile']['relationship'] = 'uid';
  $handler->display->display_options['relationships']['profile']['required'] = TRUE;
  $handler->display->display_options['relationships']['profile']['bundle_types'] = array(
    'profile' => 'profile',
  );
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['relationship'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = 'User ID';
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Profile: Last name */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_lastname']['alter']['text'] = '[field_lastname], [field_firstname] [field_middlename]';
  $handler->display->display_options['fields']['field_lastname']['alter']['path'] = 'user/[uid]';
  $handler->display->display_options['fields']['field_lastname']['alter']['trim_whitespace'] = TRUE;
  /* Field: Profile: First name */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  /* Field: Profile: Middle name */
  $handler->display->display_options['fields']['field_middlename']['id'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['table'] = 'field_data_field_middlename';
  $handler->display->display_options['fields']['field_middlename']['field'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_middlename']['element_label_colon'] = FALSE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['relationship'] = 'uid';
  $handler->display->display_options['fields']['mail']['label'] = 'Email';
  $handler->display->display_options['fields']['mail']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['mail']['alter']['text'] = '<span class="email">[mail]</span>';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['mail']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['mail']['link_to_user'] = '0';
  /* Field: Content: Conference year */
  $handler->display->display_options['fields']['conference_year']['id'] = 'conference_year';
  $handler->display->display_options['fields']['conference_year']['table'] = 'field_data_conference_year';
  $handler->display->display_options['fields']['conference_year']['field'] = 'conference_year';
  $handler->display->display_options['fields']['conference_year']['relationship'] = 'conference_reference_target_id';
  /* Field: Field: Conference */
  $handler->display->display_options['fields']['conference_reference']['id'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference']['field'] = 'conference_reference';
  /* Field: Booking: Check-in date */
  $handler->display->display_options['fields']['checkin']['id'] = 'checkin';
  $handler->display->display_options['fields']['checkin']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['checkin']['field'] = 'checkin';
  $handler->display->display_options['fields']['checkin']['date_format'] = 'short';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['path'] = 'admin/conference/registrations/export';
  $handler->display->display_options['displays'] = array(
    'all' => 'all',
    'default' => 0,
    'user' => 0,
    'withdrawals' => 0,
  );

  /* Display: User conferences */
  $handler = $view->new_display('page', 'User conferences', 'user');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'views_access_callback';
  $handler->display->display_options['access']['views_access_callback'] = 'conference_user_edit_access';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['relationships']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['label'] = 'Conference';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: Booking: Booking ID */
  $handler->display->display_options['fields']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['label'] = 'Booking №';
  $handler->display->display_options['fields']['booking_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['booking_id']['separator'] = '';
  /* Field: Content: Conference year */
  $handler->display->display_options['fields']['conference_year']['id'] = 'conference_year';
  $handler->display->display_options['fields']['conference_year']['table'] = 'field_data_conference_year';
  $handler->display->display_options['fields']['conference_year']['field'] = 'conference_year';
  $handler->display->display_options['fields']['conference_year']['relationship'] = 'conference_reference_target_id';
  /* Field: Field: Conference */
  $handler->display->display_options['fields']['conference_reference']['id'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference']['field'] = 'conference_reference';
  /* Field: Booking: Check-in date */
  $handler->display->display_options['fields']['checkin']['id'] = 'checkin';
  $handler->display->display_options['fields']['checkin']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['checkin']['field'] = 'checkin';
  $handler->display->display_options['fields']['checkin']['label'] = 'Check-in';
  $handler->display->display_options['fields']['checkin']['date_format'] = 'short';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Conference year (conference_year) */
  $handler->display->display_options['sorts']['conference_year_value']['id'] = 'conference_year_value';
  $handler->display->display_options['sorts']['conference_year_value']['table'] = 'field_data_conference_year';
  $handler->display->display_options['sorts']['conference_year_value']['field'] = 'conference_year_value';
  $handler->display->display_options['sorts']['conference_year_value']['relationship'] = 'conference_reference_target_id';
  $handler->display->display_options['sorts']['conference_year_value']['order'] = 'DESC';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Booking: Owner */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'conference_booking';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Booking: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'registration' => 'registration',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Booking: Cancellation officer */
  $handler->display->display_options['filters']['cancel_uid']['id'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid']['field'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['value']['value'] = '0';
  $handler->display->display_options['path'] = 'user/%/conferences';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Conference registrations';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Dashboard: all */
  $handler = $view->new_display('attachment', 'Dashboard: all', 'registrations_all');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access conference dashboard';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Booking: Booking ID */
  $handler->display->display_options['fields']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['label'] = '';
  $handler->display->display_options['fields']['booking_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['booking_id']['separator'] = '';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Booking: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'registration' => 'registration',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Booking: Cancellation officer */
  $handler->display->display_options['filters']['cancel_uid']['id'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid']['field'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['value']['value'] = '0';
  $handler->display->display_options['filters']['cancel_uid']['expose']['operator_id'] = 'cancel_uid_op';
  $handler->display->display_options['filters']['cancel_uid']['expose']['label'] = 'Cancellation officer';
  $handler->display->display_options['filters']['cancel_uid']['expose']['operator'] = 'cancel_uid_op';
  $handler->display->display_options['filters']['cancel_uid']['expose']['identifier'] = 'cancel_uid';
  $handler->display->display_options['inherit_arguments'] = FALSE;

  /* Display: Withdrawals */
  $handler = $view->new_display('page', 'Withdrawals', 'withdrawals');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Withdrawals';
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'There have been no withdrawals for this conference.';
  $handler->display->display_options['empty']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_presentations_target_id_1']['id'] = 'conference_presentations_target_id_1';
  $handler->display->display_options['relationships']['conference_presentations_target_id_1']['table'] = 'field_data_conference_presentations';
  $handler->display->display_options['relationships']['conference_presentations_target_id_1']['field'] = 'conference_presentations_target_id';
  $handler->display->display_options['relationships']['conference_presentations_target_id_1']['label'] = 'Presentations';
  /* Relationship: Booking: Owner */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'conference_booking';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['label'] = 'Owner';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['relationships']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['relationship'] = 'conference_presentations_target_id_1';
  $handler->display->display_options['relationships']['conference_reference_target_id']['label'] = 'Conference';
  /* Relationship: User: Profile */
  $handler->display->display_options['relationships']['profile']['id'] = 'profile';
  $handler->display->display_options['relationships']['profile']['table'] = 'users';
  $handler->display->display_options['relationships']['profile']['field'] = 'profile';
  $handler->display->display_options['relationships']['profile']['relationship'] = 'uid';
  $handler->display->display_options['relationships']['profile']['required'] = TRUE;
  $handler->display->display_options['relationships']['profile']['bundle_types'] = array(
    'profile' => 'profile',
  );
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: Booking */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = '';
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::conference_booking_delete' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 1,
      'label' => 'Delete withdrawal',
    ),
  );
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['relationship'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Profile: First name */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_firstname']['label'] = '';
  $handler->display->display_options['fields']['field_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  /* Field: Profile: Middle name */
  $handler->display->display_options['fields']['field_middlename']['id'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['table'] = 'field_data_field_middlename';
  $handler->display->display_options['fields']['field_middlename']['field'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_middlename']['label'] = '';
  $handler->display->display_options['fields']['field_middlename']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_middlename']['element_label_colon'] = FALSE;
  /* Field: Profile: Last name */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_lastname']['label'] = 'Name';
  $handler->display->display_options['fields']['field_lastname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['text'] = '[field_lastname], [field_firstname] [field_middlename]';
  $handler->display->display_options['fields']['field_lastname']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['path'] = 'user/[uid]';
  $handler->display->display_options['fields']['field_lastname']['alter']['trim_whitespace'] = TRUE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['relationship'] = 'uid';
  $handler->display->display_options['fields']['mail']['label'] = '';
  $handler->display->display_options['fields']['mail']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['mail']['alter']['text'] = '<span class="email">[mail]</span>';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['mail']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['mail']['link_to_user'] = '0';
  /* Field: Booking: Booking ID */
  $handler->display->display_options['fields']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['label'] = 'Withdrawal №';
  $handler->display->display_options['fields']['booking_id']['separator'] = '';
  /* Field: Content: Conference year */
  $handler->display->display_options['fields']['conference_year']['id'] = 'conference_year';
  $handler->display->display_options['fields']['conference_year']['table'] = 'field_data_conference_year';
  $handler->display->display_options['fields']['conference_year']['field'] = 'conference_year';
  $handler->display->display_options['fields']['conference_year']['relationship'] = 'conference_reference_target_id';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'conference_reference_target_id';
  $handler->display->display_options['fields']['title']['label'] = 'Conference';
  /* Field: Booking: Date created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Withdrawal date';
  $handler->display->display_options['fields']['created']['date_format'] = 'short';
  $handler->display->display_options['fields']['created']['second_date_format'] = 'html5_tools_iso8601';
  /* Field: Booking: Officer */
  $handler->display->display_options['fields']['field_officer']['id'] = 'field_officer';
  $handler->display->display_options['fields']['field_officer']['table'] = 'field_data_field_officer';
  $handler->display->display_options['fields']['field_officer']['field'] = 'field_officer';
  $handler->display->display_options['fields']['field_officer']['label'] = 'Withdrawal officer';
  $handler->display->display_options['fields']['field_officer']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'conference_presentations_target_id_1';
  $handler->display->display_options['fields']['title_1']['label'] = 'Presentation';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Booking: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'withdrawal' => 'withdrawal',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['relationship'] = 'conference_presentations_target_id_1';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  $handler->display->display_options['path'] = 'admin/conference/withdrawals';
  $views['conference_registrations'] = $view;

  $view = new view();
  $view->name = 'reservations';
  $view->description = '';
  $view->tag = 'conference';
  $view->base_table = 'conference_booking';
  $view->human_name = 'Reservations';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Reservations';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access admin dashboard blocks';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '100';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'counter' => 'counter',
    'uid' => 'uid',
    'field_firstname' => 'field_firstname',
    'field_middlename' => 'field_middlename',
    'field_lastname' => 'field_lastname',
    'mail' => 'field_lastname',
    'booking_id' => 'booking_id',
    'conference_registration' => 'conference_registration',
    'conference_year' => 'conference_year',
    'conference_reference' => 'conference_reference',
    'field_product_reservation_type' => 'field_product_reservation_type',
    'field_reservation_recipient' => 'field_reservation_recipient',
    'field_related_session' => 'field_related_session',
    'checkin' => 'checkin',
    'name' => 'name',
    'canceled' => 'canceled',
    'cancel_uid' => 'cancel_uid',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'counter' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'uid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_firstname' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_middlename' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_lastname' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'mail' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'booking_id' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_registration' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_year' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_reference' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_product_reservation_type' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'field_reservation_recipient' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_related_session' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'checkin' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'canceled' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'cancel_uid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
  );
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['relationships']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['label'] = 'Conference';
  /* Relationship: Booking: Owner */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'conference_booking';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['label'] = 'Owner';
  /* Relationship: User: Profile */
  $handler->display->display_options['relationships']['profile']['id'] = 'profile';
  $handler->display->display_options['relationships']['profile']['table'] = 'users';
  $handler->display->display_options['relationships']['profile']['field'] = 'profile';
  $handler->display->display_options['relationships']['profile']['relationship'] = 'uid';
  $handler->display->display_options['relationships']['profile']['required'] = TRUE;
  $handler->display->display_options['relationships']['profile']['bundle_types'] = array(
    'profile' => 'profile',
  );
  /* Relationship: Booking: Cancellation officer */
  $handler->display->display_options['relationships']['cancel_uid']['id'] = 'cancel_uid';
  $handler->display->display_options['relationships']['cancel_uid']['table'] = 'conference_booking';
  $handler->display->display_options['relationships']['cancel_uid']['field'] = 'cancel_uid';
  $handler->display->display_options['relationships']['cancel_uid']['label'] = 'Cancellation officer';
  /* Field: Bulk operations: Booking */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = '';
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['row_clickable'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::conference_booking_cancel_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::conference_booking_delete_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
  );
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  $handler->display->display_options['fields']['counter']['reverse'] = 1;
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['relationship'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Profile: First name */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_firstname']['label'] = '';
  $handler->display->display_options['fields']['field_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  /* Field: Profile: Middle name */
  $handler->display->display_options['fields']['field_middlename']['id'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['table'] = 'field_data_field_middlename';
  $handler->display->display_options['fields']['field_middlename']['field'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_middlename']['label'] = '';
  $handler->display->display_options['fields']['field_middlename']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_middlename']['element_label_colon'] = FALSE;
  /* Field: Profile: Last name */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_lastname']['label'] = 'Name';
  $handler->display->display_options['fields']['field_lastname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['text'] = '[field_lastname], [field_firstname] [field_middlename]';
  $handler->display->display_options['fields']['field_lastname']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['path'] = 'user/[uid]';
  $handler->display->display_options['fields']['field_lastname']['alter']['trim_whitespace'] = TRUE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['relationship'] = 'uid';
  $handler->display->display_options['fields']['mail']['label'] = '';
  $handler->display->display_options['fields']['mail']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['mail']['alter']['text'] = '<span class="email">[mail]</span>';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['mail']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['mail']['link_to_user'] = '0';
  /* Field: Booking: Booking ID */
  $handler->display->display_options['fields']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['label'] = 'Booking №';
  $handler->display->display_options['fields']['booking_id']['separator'] = '';
  /* Field: User: Conference registration */
  $handler->display->display_options['fields']['conference_registration']['id'] = 'conference_registration';
  $handler->display->display_options['fields']['conference_registration']['table'] = 'views_entity_user';
  $handler->display->display_options['fields']['conference_registration']['field'] = 'conference_registration';
  $handler->display->display_options['fields']['conference_registration']['relationship'] = 'uid';
  $handler->display->display_options['fields']['conference_registration']['label'] = 'Registered';
  $handler->display->display_options['fields']['conference_registration']['not'] = 0;
  $handler->display->display_options['fields']['conference_registration']['link_to_entity'] = 0;
  $handler->display->display_options['fields']['conference_registration']['conference_registration_argument'] = 'conference_reference';
  /* Field: Content: Conference year */
  $handler->display->display_options['fields']['conference_year']['id'] = 'conference_year';
  $handler->display->display_options['fields']['conference_year']['table'] = 'field_data_conference_year';
  $handler->display->display_options['fields']['conference_year']['field'] = 'conference_year';
  $handler->display->display_options['fields']['conference_year']['relationship'] = 'conference_reference_target_id';
  /* Field: Field: Conference */
  $handler->display->display_options['fields']['conference_reference']['id'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_reference']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  /* Field: Field: Reservation type */
  $handler->display->display_options['fields']['field_product_reservation_type']['id'] = 'field_product_reservation_type';
  $handler->display->display_options['fields']['field_product_reservation_type']['table'] = 'field_data_field_product_reservation_type';
  $handler->display->display_options['fields']['field_product_reservation_type']['field'] = 'field_product_reservation_type';
  /* Field: Field: Reservation recipient */
  $handler->display->display_options['fields']['field_reservation_recipient']['id'] = 'field_reservation_recipient';
  $handler->display->display_options['fields']['field_reservation_recipient']['table'] = 'field_data_field_reservation_recipient';
  $handler->display->display_options['fields']['field_reservation_recipient']['field'] = 'field_reservation_recipient';
  /* Field: Field: Related session */
  $handler->display->display_options['fields']['field_related_session']['id'] = 'field_related_session';
  $handler->display->display_options['fields']['field_related_session']['table'] = 'field_data_field_related_session';
  $handler->display->display_options['fields']['field_related_session']['field'] = 'field_related_session';
  $handler->display->display_options['fields']['field_related_session']['settings'] = array(
    'link' => 0,
  );
  /* Field: Booking: Check-in date */
  $handler->display->display_options['fields']['checkin']['id'] = 'checkin';
  $handler->display->display_options['fields']['checkin']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['checkin']['field'] = 'checkin';
  $handler->display->display_options['fields']['checkin']['label'] = 'Check-in';
  $handler->display->display_options['fields']['checkin']['date_format'] = 'short';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'cancel_uid';
  $handler->display->display_options['fields']['name']['label'] = '';
  $handler->display->display_options['fields']['name']['exclude'] = TRUE;
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  /* Field: Booking: Date canceled */
  $handler->display->display_options['fields']['canceled']['id'] = 'canceled';
  $handler->display->display_options['fields']['canceled']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['canceled']['field'] = 'canceled';
  $handler->display->display_options['fields']['canceled']['date_format'] = 'short';
  $handler->display->display_options['fields']['canceled']['second_date_format'] = 'html5_tools_iso8601';
  /* Field: Booking: Cancellation officer */
  $handler->display->display_options['fields']['cancel_uid']['id'] = 'cancel_uid';
  $handler->display->display_options['fields']['cancel_uid']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['cancel_uid']['field'] = 'cancel_uid';
  $handler->display->display_options['fields']['cancel_uid']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['cancel_uid']['alter']['text'] = '[name]';
  $handler->display->display_options['fields']['cancel_uid']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['cancel_uid']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['cancel_uid']['separator'] = '';
  /* Sort criterion: Profile: Last name (field_lastname) */
  $handler->display->display_options['sorts']['field_lastname_value']['id'] = 'field_lastname_value';
  $handler->display->display_options['sorts']['field_lastname_value']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['sorts']['field_lastname_value']['field'] = 'field_lastname_value';
  $handler->display->display_options['sorts']['field_lastname_value']['relationship'] = 'profile';
  /* Sort criterion: Profile: First name (field_firstname) */
  $handler->display->display_options['sorts']['field_firstname_value']['id'] = 'field_firstname_value';
  $handler->display->display_options['sorts']['field_firstname_value']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['sorts']['field_firstname_value']['field'] = 'field_firstname_value';
  $handler->display->display_options['sorts']['field_firstname_value']['relationship'] = 'profile';
  /* Sort criterion: Profile: Middle name (field_middlename) */
  $handler->display->display_options['sorts']['field_middlename_value']['id'] = 'field_middlename_value';
  $handler->display->display_options['sorts']['field_middlename_value']['table'] = 'field_data_field_middlename';
  $handler->display->display_options['sorts']['field_middlename_value']['field'] = 'field_middlename_value';
  $handler->display->display_options['sorts']['field_middlename_value']['relationship'] = 'profile';
  /* Filter criterion: Booking: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'reservation' => 'reservation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Field: Reservation type (field_product_reservation_type) */
  $handler->display->display_options['filters']['field_product_reservation_type_value']['id'] = 'field_product_reservation_type_value';
  $handler->display->display_options['filters']['field_product_reservation_type_value']['table'] = 'field_data_field_product_reservation_type';
  $handler->display->display_options['filters']['field_product_reservation_type_value']['field'] = 'field_product_reservation_type_value';
  $handler->display->display_options['filters']['field_product_reservation_type_value']['group'] = 1;
  $handler->display->display_options['filters']['field_product_reservation_type_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_product_reservation_type_value']['expose']['operator_id'] = 'field_product_reservation_type_value_op';
  $handler->display->display_options['filters']['field_product_reservation_type_value']['expose']['label'] = 'Reservation type';
  $handler->display->display_options['filters']['field_product_reservation_type_value']['expose']['operator'] = 'field_product_reservation_type_value_op';
  $handler->display->display_options['filters']['field_product_reservation_type_value']['expose']['identifier'] = 'type';
  $handler->display->display_options['filters']['field_product_reservation_type_value']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['field_product_reservation_type_value']['expose']['remember_roles'] = array(
    2 => '2',
    16 => 0,
    17 => 0,
  );
  /* Filter criterion: Attended */
  $handler->display->display_options['filters']['checkin']['id'] = 'checkin';
  $handler->display->display_options['filters']['checkin']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['checkin']['field'] = 'checkin';
  $handler->display->display_options['filters']['checkin']['ui_name'] = 'Attended';
  $handler->display->display_options['filters']['checkin']['group'] = 1;
  $handler->display->display_options['filters']['checkin']['exposed'] = TRUE;
  $handler->display->display_options['filters']['checkin']['expose']['operator_id'] = 'checkin_op';
  $handler->display->display_options['filters']['checkin']['expose']['label'] = 'Check-in date';
  $handler->display->display_options['filters']['checkin']['expose']['operator'] = 'checkin_op';
  $handler->display->display_options['filters']['checkin']['expose']['identifier'] = 'checkin';
  $handler->display->display_options['filters']['checkin']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['checkin']['group_info']['label'] = 'Attended';
  $handler->display->display_options['filters']['checkin']['group_info']['identifier'] = 'attended';
  $handler->display->display_options['filters']['checkin']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Attended',
      'operator' => '>',
      'value' => array(
        'type' => 'date',
        'value' => '1',
        'min' => '',
        'max' => '',
      ),
    ),
    2 => array(
      'title' => 'Not attended',
      'operator' => '=',
      'value' => array(
        'type' => 'date',
        'value' => '1',
        'min' => '',
        'max' => '',
      ),
    ),
  );
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: Booking: Cancellation officer */
  $handler->display->display_options['filters']['cancel_uid']['id'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid']['field'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['cancel_uid']['expose']['operator_id'] = 'cancel_uid_op';
  $handler->display->display_options['filters']['cancel_uid']['expose']['label'] = 'Cancellation officer';
  $handler->display->display_options['filters']['cancel_uid']['expose']['operator'] = 'cancel_uid_op';
  $handler->display->display_options['filters']['cancel_uid']['expose']['identifier'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['cancel_uid']['group_info']['label'] = 'Active';
  $handler->display->display_options['filters']['cancel_uid']['group_info']['identifier'] = 'active';
  $handler->display->display_options['filters']['cancel_uid']['group_info']['optional'] = FALSE;
  $handler->display->display_options['filters']['cancel_uid']['group_info']['default_group'] = '1';
  $handler->display->display_options['filters']['cancel_uid']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Active',
      'operator' => '=',
      'value' => array(
        'value' => '0',
        'min' => '',
        'max' => '',
      ),
    ),
    2 => array(
      'title' => 'Canceled',
      'operator' => '!=',
      'value' => array(
        'value' => '0',
        'min' => '',
        'max' => '',
      ),
    ),
  );
  /* Filter criterion: Field: Related session (field_related_session) (reference filter) */
  $handler->display->display_options['filters']['field_related_session_target_id_entityreference_filter']['id'] = 'field_related_session_target_id_entityreference_filter';
  $handler->display->display_options['filters']['field_related_session_target_id_entityreference_filter']['table'] = 'field_data_field_related_session';
  $handler->display->display_options['filters']['field_related_session_target_id_entityreference_filter']['field'] = 'field_related_session_target_id_entityreference_filter';
  $handler->display->display_options['filters']['field_related_session_target_id_entityreference_filter']['reference_display'] = 'conference_dashboard_node_references:sessions';

  /* Display: All reservations */
  $handler = $view->new_display('page', 'All reservations', 'all');
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Booking: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'reservation' => 'reservation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: User: Name (raw) */
  $handler->display->display_options['filters']['name']['id'] = 'name';
  $handler->display->display_options['filters']['name']['table'] = 'users';
  $handler->display->display_options['filters']['name']['field'] = 'name';
  $handler->display->display_options['filters']['name']['relationship'] = 'uid';
  $handler->display->display_options['filters']['name']['operator'] = 'contains';
  $handler->display->display_options['filters']['name']['group'] = 1;
  $handler->display->display_options['filters']['name']['exposed'] = TRUE;
  $handler->display->display_options['filters']['name']['expose']['operator_id'] = 'name_op';
  $handler->display->display_options['filters']['name']['expose']['label'] = 'Name';
  $handler->display->display_options['filters']['name']['expose']['operator'] = 'name_op';
  $handler->display->display_options['filters']['name']['expose']['identifier'] = 'name';
  $handler->display->display_options['filters']['name']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Field: Reservation type (field_product_reservation_type) */
  $handler->display->display_options['filters']['field_product_reservation_type_value']['id'] = 'field_product_reservation_type_value';
  $handler->display->display_options['filters']['field_product_reservation_type_value']['table'] = 'field_data_field_product_reservation_type';
  $handler->display->display_options['filters']['field_product_reservation_type_value']['field'] = 'field_product_reservation_type_value';
  $handler->display->display_options['filters']['field_product_reservation_type_value']['group'] = 1;
  $handler->display->display_options['filters']['field_product_reservation_type_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_product_reservation_type_value']['expose']['operator_id'] = 'field_product_reservation_type_value_op';
  $handler->display->display_options['filters']['field_product_reservation_type_value']['expose']['label'] = 'Reservation type';
  $handler->display->display_options['filters']['field_product_reservation_type_value']['expose']['operator'] = 'field_product_reservation_type_value_op';
  $handler->display->display_options['filters']['field_product_reservation_type_value']['expose']['identifier'] = 'type';
  $handler->display->display_options['filters']['field_product_reservation_type_value']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['field_product_reservation_type_value']['expose']['remember_roles'] = array(
    2 => '2',
    16 => 0,
    17 => 0,
  );
  /* Filter criterion: Attended */
  $handler->display->display_options['filters']['checkin']['id'] = 'checkin';
  $handler->display->display_options['filters']['checkin']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['checkin']['field'] = 'checkin';
  $handler->display->display_options['filters']['checkin']['ui_name'] = 'Attended';
  $handler->display->display_options['filters']['checkin']['group'] = 1;
  $handler->display->display_options['filters']['checkin']['exposed'] = TRUE;
  $handler->display->display_options['filters']['checkin']['expose']['operator_id'] = 'checkin_op';
  $handler->display->display_options['filters']['checkin']['expose']['label'] = 'Check-in date';
  $handler->display->display_options['filters']['checkin']['expose']['operator'] = 'checkin_op';
  $handler->display->display_options['filters']['checkin']['expose']['identifier'] = 'checkin';
  $handler->display->display_options['filters']['checkin']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['checkin']['group_info']['label'] = 'Attended';
  $handler->display->display_options['filters']['checkin']['group_info']['identifier'] = 'attended';
  $handler->display->display_options['filters']['checkin']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Attended',
      'operator' => '>',
      'value' => array(
        'type' => 'date',
        'value' => '1',
        'min' => '',
        'max' => '',
      ),
    ),
    2 => array(
      'title' => 'Not attended',
      'operator' => '=',
      'value' => array(
        'type' => 'date',
        'value' => '1',
        'min' => '',
        'max' => '',
      ),
    ),
  );
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: Booking: Cancellation officer */
  $handler->display->display_options['filters']['cancel_uid']['id'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid']['field'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['cancel_uid']['expose']['operator_id'] = 'cancel_uid_op';
  $handler->display->display_options['filters']['cancel_uid']['expose']['label'] = 'Cancellation officer';
  $handler->display->display_options['filters']['cancel_uid']['expose']['operator'] = 'cancel_uid_op';
  $handler->display->display_options['filters']['cancel_uid']['expose']['identifier'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['cancel_uid']['group_info']['label'] = 'Active';
  $handler->display->display_options['filters']['cancel_uid']['group_info']['identifier'] = 'active';
  $handler->display->display_options['filters']['cancel_uid']['group_info']['optional'] = FALSE;
  $handler->display->display_options['filters']['cancel_uid']['group_info']['default_group'] = '1';
  $handler->display->display_options['filters']['cancel_uid']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Active',
      'operator' => '=',
      'value' => array(
        'value' => '0',
        'min' => '',
        'max' => '',
      ),
    ),
    2 => array(
      'title' => 'Canceled',
      'operator' => '!=',
      'value' => array(
        'value' => '0',
        'min' => '',
        'max' => '',
      ),
    ),
  );
  /* Filter criterion: Field: Related session (field_related_session) (reference filter) */
  $handler->display->display_options['filters']['field_related_session_target_id_entityreference_filter']['id'] = 'field_related_session_target_id_entityreference_filter';
  $handler->display->display_options['filters']['field_related_session_target_id_entityreference_filter']['table'] = 'field_data_field_related_session';
  $handler->display->display_options['filters']['field_related_session_target_id_entityreference_filter']['field'] = 'field_related_session_target_id_entityreference_filter';
  $handler->display->display_options['filters']['field_related_session_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_related_session_target_id_entityreference_filter']['expose']['operator_id'] = 'field_related_session_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['field_related_session_target_id_entityreference_filter']['expose']['label'] = 'Related session';
  $handler->display->display_options['filters']['field_related_session_target_id_entityreference_filter']['expose']['operator'] = 'field_related_session_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['field_related_session_target_id_entityreference_filter']['expose']['identifier'] = 'session';
  $handler->display->display_options['filters']['field_related_session_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['field_related_session_target_id_entityreference_filter']['reference_display'] = 'conference_dashboard_node_references:sessions';
  $handler->display->display_options['path'] = 'admin/conference/reservations';

  /* Display: CSV */
  $handler = $view->new_display('views_data_export', 'CSV', 'csv');
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_csv';
  $handler->display->display_options['style_options']['provide_file'] = 1;
  $handler->display->display_options['style_options']['parent_sort'] = 1;
  $handler->display->display_options['style_options']['quote'] = 1;
  $handler->display->display_options['style_options']['trim'] = 0;
  $handler->display->display_options['style_options']['replace_newlines'] = 0;
  $handler->display->display_options['style_options']['header'] = 1;
  $handler->display->display_options['style_options']['keep_html'] = 0;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['relationships']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['label'] = 'Conference';
  /* Relationship: Booking: Owner */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'conference_booking';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['label'] = 'Owner';
  /* Relationship: Booking: Check-in officer */
  $handler->display->display_options['relationships']['checkin_uid']['id'] = 'checkin_uid';
  $handler->display->display_options['relationships']['checkin_uid']['table'] = 'conference_booking';
  $handler->display->display_options['relationships']['checkin_uid']['field'] = 'checkin_uid';
  $handler->display->display_options['relationships']['checkin_uid']['label'] = 'Officer';
  /* Relationship: User: Profile */
  $handler->display->display_options['relationships']['profile']['id'] = 'profile';
  $handler->display->display_options['relationships']['profile']['table'] = 'users';
  $handler->display->display_options['relationships']['profile']['field'] = 'profile';
  $handler->display->display_options['relationships']['profile']['relationship'] = 'uid';
  $handler->display->display_options['relationships']['profile']['required'] = TRUE;
  $handler->display->display_options['relationships']['profile']['bundle_types'] = array(
    'profile' => 'profile',
  );
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['relationship'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = 'User ID';
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Profile: Last name */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_lastname']['alter']['text'] = '[field_lastname], [field_firstname] [field_middlename]';
  $handler->display->display_options['fields']['field_lastname']['alter']['path'] = 'user/[uid]';
  $handler->display->display_options['fields']['field_lastname']['alter']['trim_whitespace'] = TRUE;
  /* Field: Profile: First name */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  /* Field: Profile: Middle name */
  $handler->display->display_options['fields']['field_middlename']['id'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['table'] = 'field_data_field_middlename';
  $handler->display->display_options['fields']['field_middlename']['field'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_middlename']['element_label_colon'] = FALSE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['relationship'] = 'uid';
  $handler->display->display_options['fields']['mail']['label'] = 'Email';
  $handler->display->display_options['fields']['mail']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['mail']['alter']['text'] = '<span class="email">[mail]</span>';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['mail']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['mail']['link_to_user'] = '0';
  /* Field: Content: Conference year */
  $handler->display->display_options['fields']['conference_year']['id'] = 'conference_year';
  $handler->display->display_options['fields']['conference_year']['table'] = 'field_data_conference_year';
  $handler->display->display_options['fields']['conference_year']['field'] = 'conference_year';
  $handler->display->display_options['fields']['conference_year']['relationship'] = 'conference_reference_target_id';
  /* Field: Content: Session type */
  $handler->display->display_options['fields']['field_session_type']['id'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['table'] = 'field_data_field_session_type';
  $handler->display->display_options['fields']['field_session_type']['field'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['relationship'] = 'conference_reference_target_id';
  $handler->display->display_options['fields']['field_session_type']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  /* Field: Field: Related session */
  $handler->display->display_options['fields']['field_related_session']['id'] = 'field_related_session';
  $handler->display->display_options['fields']['field_related_session']['table'] = 'field_data_field_related_session';
  $handler->display->display_options['fields']['field_related_session']['field'] = 'field_related_session';
  $handler->display->display_options['fields']['field_related_session']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  /* Field: Field: Reservation recipient */
  $handler->display->display_options['fields']['field_reservation_recipient']['id'] = 'field_reservation_recipient';
  $handler->display->display_options['fields']['field_reservation_recipient']['table'] = 'field_data_field_reservation_recipient';
  $handler->display->display_options['fields']['field_reservation_recipient']['field'] = 'field_reservation_recipient';
  /* Field: Field: Conference */
  $handler->display->display_options['fields']['conference_reference']['id'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference']['field'] = 'conference_reference';
  /* Field: Booking: Check-in date */
  $handler->display->display_options['fields']['checkin']['id'] = 'checkin';
  $handler->display->display_options['fields']['checkin']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['checkin']['field'] = 'checkin';
  $handler->display->display_options['fields']['checkin']['date_format'] = 'short';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['path'] = 'admin/conference/reservations/export';
  $handler->display->display_options['displays'] = array(
    'all' => 'all',
    'default' => 0,
  );

  /* Display: Dashboard: count */
  $handler = $view->new_display('attachment', 'Dashboard: count', 'count');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access conference dashboard';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Booking: Booking ID */
  $handler->display->display_options['fields']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['label'] = 'Booking №';
  $handler->display->display_options['fields']['booking_id']['separator'] = '';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Field: Reservation type (field_product_reservation_type) */
  $handler->display->display_options['arguments']['field_product_reservation_type_value']['id'] = 'field_product_reservation_type_value';
  $handler->display->display_options['arguments']['field_product_reservation_type_value']['table'] = 'field_data_field_product_reservation_type';
  $handler->display->display_options['arguments']['field_product_reservation_type_value']['field'] = 'field_product_reservation_type_value';
  $handler->display->display_options['arguments']['field_product_reservation_type_value']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_product_reservation_type_value']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_product_reservation_type_value']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_product_reservation_type_value']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['field_product_reservation_type_value']['limit'] = '0';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Booking: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'reservation' => 'reservation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Booking: Cancellation officer */
  $handler->display->display_options['filters']['cancel_uid']['id'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid']['field'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['value']['value'] = '0';
  $handler->display->display_options['inherit_arguments'] = FALSE;
  $views['reservations'] = $view;

  return $views;
}