<?php
/**
 * @file
 * conference_schedule.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function conference_schedule_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'conference_rooms';
  $view->description = '';
  $view->tag = 'conference';
  $view->base_table = 'node';
  $view->human_name = 'Conference rooms';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['disable_sql_rewrite'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Sort criterion: Content: Weight (conference_weight) */
  $handler->display->display_options['sorts']['conference_weight_value']['id'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['table'] = 'field_data_conference_weight';
  $handler->display->display_options['sorts']['conference_weight_value']['field'] = 'conference_weight_value';
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'conference_room' => 'conference_room',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Manage conference rooms';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'refresh scheduling information';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'No rooms have been added.';
  $handler->display->display_options['empty']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Draggableviews: Content */
  $handler->display->display_options['fields']['draggableviews']['id'] = 'draggableviews';
  $handler->display->display_options['fields']['draggableviews']['table'] = 'node';
  $handler->display->display_options['fields']['draggableviews']['field'] = 'draggableviews';
  $handler->display->display_options['fields']['draggableviews']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['hide_alter_empty'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['draggableviews']['handler'] = 'draggableviews_handler_fieldapi';
  $handler->display->display_options['fields']['draggableviews']['draggableviews']['ajax'] = 0;
  $handler->display->display_options['fields']['draggableviews']['draggableviews']['draggableviews_handler_fieldapi'] = array(
    'field' => 'field_data_conference_weight:conference_weight_value',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Name';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Room capacity */
  $handler->display->display_options['fields']['conference_room_capacity']['id'] = 'conference_room_capacity';
  $handler->display->display_options['fields']['conference_room_capacity']['table'] = 'field_data_conference_room_capacity';
  $handler->display->display_options['fields']['conference_room_capacity']['field'] = 'conference_room_capacity';
  $handler->display->display_options['fields']['conference_room_capacity']['label'] = 'Capacity';
  $handler->display->display_options['fields']['conference_room_capacity']['settings'] = array(
    'thousand_separator' => '',
    'prefix_suffix' => 1,
  );
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  $handler->display->display_options['path'] = 'admin/conference/settings/schedule/rooms';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Rooms';
  $handler->display->display_options['menu']['weight'] = '100';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $export['conference_rooms'] = $view;

  $view = new view();
  $view->name = 'conference_schedule';
  $view->description = '';
  $view->tag = 'conference';
  $view->base_table = 'node';
  $view->human_name = 'Conference schedule';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Conference schedule';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'views_content_cache';
  $handler->display->display_options['cache']['results_min_lifespan'] = '-1';
  $handler->display->display_options['cache']['results_max_lifespan'] = '21600';
  $handler->display->display_options['cache']['output_min_lifespan'] = '-1';
  $handler->display->display_options['cache']['output_max_lifespan'] = '21600';
  $handler->display->display_options['cache']['keys'] = array(
    'node' => array(
      'session' => 'session',
      'area' => 0,
      'article' => 0,
      'page' => 0,
      'conference' => 0,
      'conference_room' => 0,
      'conference_timeslot' => 0,
      'event' => 0,
      'gazette' => 0,
      'help' => 0,
      'presentation' => 0,
      'product' => 0,
      'webform' => 0,
    ),
    'node_only' => array(
      'node_changed' => 0,
    ),
  );
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'conference_timeslot',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['list']['element_type'] = 'ul';
  $handler->display->display_options['style_options']['row']['element_type'] = 'li';
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'title' => array(
      'element_type' => 'h3',
      'class' => 'session-title',
    ),
    'field_session_type' => array(
      'element_type' => 'div',
      'class' => 'session-metadata',
    ),
  );
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['id'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['field'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['label'] = 'Time slot';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['id'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['field'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['label'] = 'Room';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['relationships']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['label'] = 'Referenced conference';
  $handler->display->display_options['relationships']['conference_reference_target_id']['required'] = TRUE;
  /* Field: Content: Conference room */
  $handler->display->display_options['fields']['conference_room_reference']['id'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['field'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_room_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_room_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_room_reference']['type'] = 'node_reference_plain';
  /* Field: Content: Time slot */
  $handler->display->display_options['fields']['conference_timeslot']['id'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['field'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['fields']['conference_timeslot']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['alter']['text'] = '[conference_timeslot] ([conference_timeslot_1])';
  $handler->display->display_options['fields']['conference_timeslot']['alter']['trim_whitespace'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot']['settings'] = array(
    'format_type' => 'weekday_and_hour',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Time slot (reference) */
  $handler->display->display_options['fields']['conference_timeslot_reference']['id'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['field'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['ui_name'] = 'Time slot (reference)';
  $handler->display->display_options['fields']['conference_timeslot_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['type'] = 'node_reference_nid';
  /* Field: Content: Session number */
  $handler->display->display_options['fields']['conference_session_number']['id'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['field'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['label'] = '';
  $handler->display->display_options['fields']['conference_session_number']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_session_number']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['conference_session_number']['alter']['text'] = '[conference_session_number].';
  $handler->display->display_options['fields']['conference_session_number']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_session_number']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['conference_session_number']['settings'] = array(
    'thousand_separator' => '',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['label'] = '';
  $handler->display->display_options['fields']['conference_areas']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_areas']['element_label_colon'] = FALSE;
  /* Field: Content: Session type */
  $handler->display->display_options['fields']['field_session_type']['id'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['table'] = 'field_data_field_session_type';
  $handler->display->display_options['fields']['field_session_type']['field'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['label'] = '';
  $handler->display->display_options['fields']['field_session_type']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_session_type']['alter']['text'] = '[conference_areas] / [field_session_type]';
  $handler->display->display_options['fields']['field_session_type']['element_label_colon'] = FALSE;
  /* Sort criterion: Content: Time slot -  start date (conference_timeslot) */
  $handler->display->display_options['sorts']['conference_timeslot_value']['id'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['sorts']['conference_timeslot_value']['field'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['relationship'] = 'conference_timeslot_reference_target_id';
  /* Sort criterion: Content: Session number (conference_session_number) */
  $handler->display->display_options['sorts']['conference_session_number_value']['id'] = 'conference_session_number_value';
  $handler->display->display_options['sorts']['conference_session_number_value']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['sorts']['conference_session_number_value']['field'] = 'conference_session_number_value';
  /* Sort criterion: Content: Weight (conference_weight) */
  $handler->display->display_options['sorts']['conference_weight_value']['id'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['table'] = 'field_data_conference_weight';
  $handler->display->display_options['sorts']['conference_weight_value']['field'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['relationship'] = 'conference_room_reference_target_id';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Content: Time-slot picker (conference_timeslot_picker) */
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['id'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['table'] = 'field_data_conference_timeslot_picker';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['field'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['operator'] = 'not empty';
  /* Filter criterion: Content: Published or admin */
  $handler->display->display_options['filters']['status_extra']['id'] = 'status_extra';
  $handler->display->display_options['filters']['status_extra']['table'] = 'node';
  $handler->display->display_options['filters']['status_extra']['field'] = 'status_extra';

  /* Display: Personal schedule iCal */
  $handler = $view->new_display('feed', 'Personal schedule iCal', 'personal_feed');
  $handler->display->display_options['defaults']['cache'] = FALSE;
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'date_ical';
  $handler->display->display_options['style_options']['cal_name'] = 'Personal schedule';
  $handler->display->display_options['row_plugin'] = 'date_ical_fields';
  $handler->display->display_options['row_options']['date_field'] = 'conference_timeslot';
  $handler->display->display_options['row_options']['title_field'] = 'title';
  $handler->display->display_options['row_options']['description_field'] = 'rendered_entity';
  $handler->display->display_options['row_options']['location_field'] = 'conference_room_reference';
  $handler->display->display_options['row_options']['additional_settings'] = array(
    'skip_blank_dates' => 0,
  );
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['id'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['field'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['label'] = 'Time slot';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['id'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['field'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['label'] = 'Room';
  /* Relationship: Flags: personal_calendar */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'In personal schedule';
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'personal_calendar';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Conference room */
  $handler->display->display_options['fields']['conference_room_reference']['id'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['field'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_room_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_room_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_room_reference']['type'] = 'node_reference_plain';
  /* Field: Content: Time slot */
  $handler->display->display_options['fields']['conference_timeslot']['id'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['field'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['fields']['conference_timeslot']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['alter']['text'] = '[conference_timeslot] ([conference_timeslot_1])';
  $handler->display->display_options['fields']['conference_timeslot']['alter']['trim_whitespace'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot']['settings'] = array(
    'format_type' => 'weekday_and_hour',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Time slot (reference) */
  $handler->display->display_options['fields']['conference_timeslot_reference']['id'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['field'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['ui_name'] = 'Time slot (reference)';
  $handler->display->display_options['fields']['conference_timeslot_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['type'] = 'node_reference_nid';
  /* Field: Content: Session number */
  $handler->display->display_options['fields']['conference_session_number']['id'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['field'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['label'] = '';
  $handler->display->display_options['fields']['conference_session_number']['alter']['text'] = '[conference_session_number]';
  $handler->display->display_options['fields']['conference_session_number']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_session_number']['settings'] = array(
    'thousand_separator' => '',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '[title] ([conference_session_number])';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Rendered Content */
  $handler->display->display_options['fields']['rendered_entity']['id'] = 'rendered_entity';
  $handler->display->display_options['fields']['rendered_entity']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['rendered_entity']['field'] = 'rendered_entity';
  $handler->display->display_options['fields']['rendered_entity']['label'] = '';
  $handler->display->display_options['fields']['rendered_entity']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['rendered_entity']['link_to_entity'] = 1;
  $handler->display->display_options['fields']['rendered_entity']['display'] = 'view';
  $handler->display->display_options['fields']['rendered_entity']['view_mode'] = 'ical';
  $handler->display->display_options['fields']['rendered_entity']['bypass_access'] = 0;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Flags: User uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'flagging';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'current_user';
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['path'] = 'user/%/conference/%/schedule.ics';
  $handler->display->display_options['displays'] = array(
    'default' => 0,
    'personal' => 0,
    'user_sessions' => 0,
    'weekday_print' => 0,
  );

  /* Display: Single day */
  $handler = $view->new_display('attachment', 'Single day', 'weekday');
  $handler->display->display_options['display_description'] = 'Called from the conference schedule module.';
  $handler->display->display_options['defaults']['cache'] = FALSE;
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'conference_timeslot',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['uses_fields'] = TRUE;
  $handler->display->display_options['style_options']['list']['element_type'] = 'ul';
  $handler->display->display_options['style_options']['row']['element_type'] = 'li';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'node';
  $handler->display->display_options['row_options']['view_mode'] = 'conference_schedule';
  $handler->display->display_options['row_options']['links'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Time slot */
  $handler->display->display_options['fields']['conference_timeslot']['id'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['field'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['fields']['conference_timeslot']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot']['alter']['text'] = '[conference_timeslot] ([conference_timeslot_1])';
  $handler->display->display_options['fields']['conference_timeslot']['alter']['trim_whitespace'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot']['settings'] = array(
    'format_type' => 'weekday_and_hour',
    'fromto' => 'value',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Time slot -  start date (conference_timeslot) */
  $handler->display->display_options['arguments']['conference_timeslot_value']['id'] = 'conference_timeslot_value';
  $handler->display->display_options['arguments']['conference_timeslot_value']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['arguments']['conference_timeslot_value']['field'] = 'conference_timeslot_value';
  $handler->display->display_options['arguments']['conference_timeslot_value']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['arguments']['conference_timeslot_value']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['conference_timeslot_value']['default_argument_type'] = 'date';
  $handler->display->display_options['arguments']['conference_timeslot_value']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_timeslot_value']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_timeslot_value']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['conference_timeslot_value']['granularity'] = 'day';
  $handler->display->display_options['arguments']['conference_timeslot_value']['use_fromto'] = 'no';
  $handler->display->display_options['inherit_arguments'] = FALSE;

  /* Display: Schedule iCal */
  $handler = $view->new_display('feed', 'Schedule iCal', 'general_feed');
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'date_ical';
  $handler->display->display_options['style_options']['cal_name'] = 'Conference schedule';
  $handler->display->display_options['row_plugin'] = 'date_ical_fields';
  $handler->display->display_options['row_options']['date_field'] = 'conference_timeslot';
  $handler->display->display_options['row_options']['title_field'] = 'title';
  $handler->display->display_options['row_options']['description_field'] = 'rendered_entity';
  $handler->display->display_options['row_options']['location_field'] = 'conference_room_reference';
  $handler->display->display_options['row_options']['additional_settings'] = array(
    'skip_blank_dates' => 0,
  );
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Conference room */
  $handler->display->display_options['fields']['conference_room_reference']['id'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['field'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_room_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_room_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_room_reference']['type'] = 'node_reference_plain';
  /* Field: Content: Time slot */
  $handler->display->display_options['fields']['conference_timeslot']['id'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['field'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['fields']['conference_timeslot']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['alter']['text'] = '[conference_timeslot] ([conference_timeslot_1])';
  $handler->display->display_options['fields']['conference_timeslot']['alter']['trim_whitespace'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot']['settings'] = array(
    'format_type' => 'weekday_and_hour',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Time slot (reference) */
  $handler->display->display_options['fields']['conference_timeslot_reference']['id'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['field'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['ui_name'] = 'Time slot (reference)';
  $handler->display->display_options['fields']['conference_timeslot_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['type'] = 'node_reference_nid';
  /* Field: Content: Session number */
  $handler->display->display_options['fields']['conference_session_number']['id'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['field'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['label'] = '';
  $handler->display->display_options['fields']['conference_session_number']['alter']['text'] = '[title] / Session [conference_session_number] / [field_session_type]';
  $handler->display->display_options['fields']['conference_session_number']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_session_number']['settings'] = array(
    'thousand_separator' => '',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '[title] ([conference_session_number])';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Rendered Content */
  $handler->display->display_options['fields']['rendered_entity']['id'] = 'rendered_entity';
  $handler->display->display_options['fields']['rendered_entity']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['rendered_entity']['field'] = 'rendered_entity';
  $handler->display->display_options['fields']['rendered_entity']['label'] = '';
  $handler->display->display_options['fields']['rendered_entity']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['rendered_entity']['link_to_entity'] = 1;
  $handler->display->display_options['fields']['rendered_entity']['display'] = 'view';
  $handler->display->display_options['fields']['rendered_entity']['view_mode'] = 'ical';
  $handler->display->display_options['fields']['rendered_entity']['bypass_access'] = 0;
  $handler->display->display_options['path'] = 'conference/schedule/ical';
  $handler->display->display_options['displays'] = array(
    'byday' => 'byday',
    'full_list' => 'full_list',
    'default' => 0,
    'byarea' => 0,
    'personal' => 0,
    'user_sessions' => 0,
  );

  /* Display: XLS */
  $handler = $view->new_display('views_data_export', 'XLS', 'export');
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
    14 => '14',
    4 => '4',
  );
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_xls';
  $handler->display->display_options['style_options']['provide_file'] = 1;
  $handler->display->display_options['style_options']['parent_sort'] = 0;
  $handler->display->display_options['path'] = 'conference/schedule/xls';
  $handler->display->display_options['displays'] = array(
    'default' => 0,
    'byday' => 0,
    'full_list' => 0,
    'byarea' => 0,
    'personal' => 0,
    'user_sessions' => 0,
  );

  /* Display: Personal */
  $handler = $view->new_display('page', 'Personal', 'personal');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Personal schedule';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    8 => '8',
  );
  $handler->display->display_options['defaults']['cache'] = FALSE;
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'conference_timeslot',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['list']['element_type'] = 'ul';
  $handler->display->display_options['style_options']['row']['element_type'] = 'li';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'title' => array(
      'element_type' => 'div',
      'class' => 'session-title',
    ),
    'field_session_type' => array(
      'element_type' => 'div',
      'class' => 'session-metadata',
    ),
    'conference_timeslot' => array(
      'element_type' => 'div',
      'class' => 'field-name-field-timeslot-picker',
    ),
    'ops' => array(
      'element_type' => 'ul',
      'class' => 'links inline personal-calendar',
    ),
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'You have no items in your personal schedule.';
  $handler->display->display_options['empty']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['id'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['field'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['label'] = 'Time slot';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['id'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['field'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['label'] = 'Room';
  /* Relationship: Flags: personal_calendar */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Personal calendar';
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'personal_calendar';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Time slot (reference) */
  $handler->display->display_options['fields']['conference_timeslot_reference']['id'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['field'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['ui_name'] = 'Time slot (reference)';
  $handler->display->display_options['fields']['conference_timeslot_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['type'] = 'node_reference_nid';
  /* Field: Content: Session number */
  $handler->display->display_options['fields']['conference_session_number']['id'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['field'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['label'] = '';
  $handler->display->display_options['fields']['conference_session_number']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_session_number']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['conference_session_number']['alter']['text'] = '[conference_session_number].';
  $handler->display->display_options['fields']['conference_session_number']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_session_number']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['conference_session_number']['settings'] = array(
    'thousand_separator' => '',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['label'] = '';
  $handler->display->display_options['fields']['conference_areas']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_areas']['element_label_colon'] = FALSE;
  /* Field: Content: Session type */
  $handler->display->display_options['fields']['field_session_type']['id'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['table'] = 'field_data_field_session_type';
  $handler->display->display_options['fields']['field_session_type']['field'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['label'] = '';
  $handler->display->display_options['fields']['field_session_type']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_session_type']['alter']['text'] = '[conference_areas] / [field_session_type]';
  $handler->display->display_options['fields']['field_session_type']['element_label_colon'] = FALSE;
  /* Field: Content: Conference room */
  $handler->display->display_options['fields']['conference_room_reference']['id'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['field'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_room_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_room_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_room_reference']['type'] = 'node_reference_plain';
  /* Field: Content: Time slot */
  $handler->display->display_options['fields']['conference_timeslot']['id'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['field'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['fields']['conference_timeslot']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['alter']['text'] = '[conference_timeslot] ([conference_room_reference])';
  $handler->display->display_options['fields']['conference_timeslot']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot']['settings'] = array(
    'format_type' => 'weekday_and_hour',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flagging';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = '';
  $handler->display->display_options['fields']['ops']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['ops']['alter']['text'] = '<li class="flag-personal_calendar">[ops]</li>';
  $handler->display->display_options['fields']['ops']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Global: Null */
  $handler->display->display_options['arguments']['null']['id'] = 'null';
  $handler->display->display_options['arguments']['null']['table'] = 'views';
  $handler->display->display_options['arguments']['null']['field'] = 'null';
  $handler->display->display_options['arguments']['null']['default_action'] = 'default';
  $handler->display->display_options['arguments']['null']['default_argument_type'] = 'current_user';
  $handler->display->display_options['arguments']['null']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['null']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['null']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Content: Time-slot picker (conference_timeslot_picker) */
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['id'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['table'] = 'field_data_conference_timeslot_picker';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['field'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['operator'] = 'not empty';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group'] = 1;
  /* Filter criterion: Content: Published or admin */
  $handler->display->display_options['filters']['status_extra']['id'] = 'status_extra';
  $handler->display->display_options['filters']['status_extra']['table'] = 'node';
  $handler->display->display_options['filters']['status_extra']['field'] = 'status_extra';
  $handler->display->display_options['path'] = 'conference/schedule/personal';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Personal schedule';
  $handler->display->display_options['menu']['weight'] = '3';
  $handler->display->display_options['menu']['name'] = 'menu-schedule';
  $handler->display->display_options['menu']['context'] = 0;

  /* Display: User sessions */
  $handler = $view->new_display('page', 'User sessions', 'user_sessions');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Your sessions';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    8 => '8',
  );
  $handler->display->display_options['defaults']['cache'] = FALSE;
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['defaults']['query'] = FALSE;
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['disable_sql_rewrite'] = TRUE;
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['element_type'] = 'h4';
  $handler->display->display_options['style_options']['list']['element_type'] = 'ul';
  $handler->display->display_options['style_options']['row']['element_type'] = 'li';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'conference_session_number' => array(
      'element_type' => 'div',
      'class' => 'field-name-field-session-number',
    ),
    'title' => array(
      'element_type' => 'div',
      'class' => 'session-title',
    ),
    'field_session_type' => array(
      'element_type' => 'div',
      'class' => 'session-metadata',
    ),
    'conference_timeslot' => array(
      'element_type' => 'div',
      'class' => 'field-name-field-timeslot-picker',
    ),
    'ops' => array(
      'element_type' => 'ul',
      'class' => 'links inline personal-calendar',
    ),
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = 'Sessions in which you\'re either a speaker or the chair.';
  $handler->display->display_options['header']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'There are no sessions listed in which you are either a speaker or a chair.

If you expected to see sessions listed on this page, chances are you registered for the conference using a different e-mail address from the one you provided when you submitted your paper. [Let us know](/contact) which one you’d like to keep and we’ll take care of it. The next time you log in you\'ll find everything in its right place.';
  $handler->display->display_options['empty']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['id'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['field'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['label'] = 'Time slot';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['id'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['field'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['label'] = 'Room';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_areas_target_id']['id'] = 'conference_areas_target_id';
  $handler->display->display_options['relationships']['conference_areas_target_id']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['relationships']['conference_areas_target_id']['field'] = 'conference_areas_target_id';
  $handler->display->display_options['relationships']['conference_areas_target_id']['label'] = 'Areas';
  /* Relationship: Session chair */
  $handler->display->display_options['relationships']['conference_session_chairs_target_id']['id'] = 'conference_session_chairs_target_id';
  $handler->display->display_options['relationships']['conference_session_chairs_target_id']['table'] = 'field_data_conference_session_chairs';
  $handler->display->display_options['relationships']['conference_session_chairs_target_id']['field'] = 'conference_session_chairs_target_id';
  $handler->display->display_options['relationships']['conference_session_chairs_target_id']['ui_name'] = 'Session chair';
  $handler->display->display_options['relationships']['conference_session_chairs_target_id']['label'] = 'Session chair';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_presentations_target_id']['id'] = 'conference_presentations_target_id';
  $handler->display->display_options['relationships']['conference_presentations_target_id']['table'] = 'field_data_conference_presentations';
  $handler->display->display_options['relationships']['conference_presentations_target_id']['field'] = 'conference_presentations_target_id';
  $handler->display->display_options['relationships']['conference_presentations_target_id']['label'] = 'Presentations';
  /* Relationship: Presenter */
  $handler->display->display_options['relationships']['conference_presenters_target_id_1']['id'] = 'conference_presenters_target_id_1';
  $handler->display->display_options['relationships']['conference_presenters_target_id_1']['table'] = 'field_data_conference_presenters';
  $handler->display->display_options['relationships']['conference_presenters_target_id_1']['field'] = 'conference_presenters_target_id';
  $handler->display->display_options['relationships']['conference_presenters_target_id_1']['relationship'] = 'conference_presentations_target_id';
  $handler->display->display_options['relationships']['conference_presenters_target_id_1']['ui_name'] = 'Presenter';
  $handler->display->display_options['relationships']['conference_presenters_target_id_1']['label'] = 'Presenter';
  /* Relationship: Flags: personal_calendar */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Personal calendar';
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'personal_calendar';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Time slot (reference) */
  $handler->display->display_options['fields']['conference_timeslot_reference']['id'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['field'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['ui_name'] = 'Time slot (reference)';
  $handler->display->display_options['fields']['conference_timeslot_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['type'] = 'node_reference_nid';
  /* Field: Content: Session number */
  $handler->display->display_options['fields']['conference_session_number']['id'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['field'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['label'] = '';
  $handler->display->display_options['fields']['conference_session_number']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['conference_session_number']['alter']['text'] = '[conference_session_number].';
  $handler->display->display_options['fields']['conference_session_number']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_session_number']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['conference_session_number']['settings'] = array(
    'thousand_separator' => '',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['label'] = '';
  $handler->display->display_options['fields']['conference_areas']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_areas']['element_label_colon'] = FALSE;
  /* Field: Content: Session type */
  $handler->display->display_options['fields']['field_session_type']['id'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['table'] = 'field_data_field_session_type';
  $handler->display->display_options['fields']['field_session_type']['field'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['label'] = '';
  $handler->display->display_options['fields']['field_session_type']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_session_type']['alter']['text'] = '[conference_areas] / [field_session_type]';
  $handler->display->display_options['fields']['field_session_type']['element_label_colon'] = FALSE;
  /* Field: Content: Conference room */
  $handler->display->display_options['fields']['conference_room_reference']['id'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['field'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_room_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_room_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_room_reference']['type'] = 'node_reference_plain';
  /* Field: Content: Time slot */
  $handler->display->display_options['fields']['conference_timeslot']['id'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['field'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['fields']['conference_timeslot']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['alter']['text'] = '[conference_timeslot] ([conference_room_reference])';
  $handler->display->display_options['fields']['conference_timeslot']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot']['settings'] = array(
    'format_type' => 'weekday_and_hour',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flagging';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = '';
  $handler->display->display_options['fields']['ops']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['ops']['alter']['text'] = '<li class="flag-personal_calendar">[ops]</li>';
  $handler->display->display_options['fields']['ops']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    2 => 'OR',
  );
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Content: Time-slot picker (conference_timeslot_picker) */
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['id'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['table'] = 'field_data_conference_timeslot_picker';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['field'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['operator'] = 'not empty';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group'] = 1;
  /* Filter criterion: User: Current */
  $handler->display->display_options['filters']['uid_current']['id'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['table'] = 'users';
  $handler->display->display_options['filters']['uid_current']['field'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['relationship'] = 'conference_session_chairs_target_id';
  $handler->display->display_options['filters']['uid_current']['value'] = '1';
  $handler->display->display_options['filters']['uid_current']['group'] = 2;
  /* Filter criterion: User: Current */
  $handler->display->display_options['filters']['uid_current_1']['id'] = 'uid_current_1';
  $handler->display->display_options['filters']['uid_current_1']['table'] = 'users';
  $handler->display->display_options['filters']['uid_current_1']['field'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current_1']['relationship'] = 'conference_presenters_target_id_1';
  $handler->display->display_options['filters']['uid_current_1']['value'] = '1';
  $handler->display->display_options['filters']['uid_current_1']['group'] = 2;
  /* Filter criterion: Content: Published or admin */
  $handler->display->display_options['filters']['status_extra']['id'] = 'status_extra';
  $handler->display->display_options['filters']['status_extra']['table'] = 'node';
  $handler->display->display_options['filters']['status_extra']['field'] = 'status_extra';
  $handler->display->display_options['path'] = 'conference/schedule/yours';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Your sessions';
  $handler->display->display_options['menu']['weight'] = '2';
  $handler->display->display_options['menu']['name'] = 'menu-schedule';
  $handler->display->display_options['menu']['context'] = 0;

  /* Display: By area */
  $handler = $view->new_display('attachment', 'By area', 'byarea');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Conference schedule by area';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['list']['element_type'] = 'ul';
  $handler->display->display_options['style_options']['row']['element_type'] = 'li';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'title' => array(
      'element_type' => 'h3',
      'class' => 'session-title',
    ),
    'field_session_type' => array(
      'element_type' => 'div',
      'class' => 'session-metadata',
    ),
    'conference_timeslot' => array(
      'element_type' => 'div',
      'class' => 'field-name-field-timeslot-picker',
    ),
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Session number */
  $handler->display->display_options['fields']['conference_session_number']['id'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['field'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['label'] = '';
  $handler->display->display_options['fields']['conference_session_number']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_session_number']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['conference_session_number']['alter']['text'] = '[conference_session_number].';
  $handler->display->display_options['fields']['conference_session_number']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_session_number']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['conference_session_number']['settings'] = array(
    'thousand_separator' => '',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Time slot (reference) */
  $handler->display->display_options['fields']['conference_timeslot_reference']['id'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['field'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['ui_name'] = 'Time slot (reference)';
  $handler->display->display_options['fields']['conference_timeslot_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['type'] = 'node_reference_nid';
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['label'] = '';
  $handler->display->display_options['fields']['conference_areas']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_areas']['element_label_colon'] = FALSE;
  /* Field: Content: Session type */
  $handler->display->display_options['fields']['field_session_type']['id'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['table'] = 'field_data_field_session_type';
  $handler->display->display_options['fields']['field_session_type']['field'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['label'] = '';
  $handler->display->display_options['fields']['field_session_type']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_session_type']['alter']['text'] = '[conference_areas] / [field_session_type]';
  $handler->display->display_options['fields']['field_session_type']['element_label_colon'] = FALSE;
  /* Field: Content: Conference room */
  $handler->display->display_options['fields']['conference_room_reference']['id'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['field'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_room_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_room_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_room_reference']['type'] = 'node_reference_plain';
  /* Field: Content: Time slot */
  $handler->display->display_options['fields']['conference_timeslot']['id'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['field'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['fields']['conference_timeslot']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['alter']['text'] = '[conference_timeslot] ([conference_room_reference])';
  $handler->display->display_options['fields']['conference_timeslot']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot']['settings'] = array(
    'format_type' => 'weekday_and_hour',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Time slot -  start date (conference_timeslot) */
  $handler->display->display_options['sorts']['conference_timeslot_value']['id'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['sorts']['conference_timeslot_value']['field'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['relationship'] = 'conference_timeslot_reference_target_id';
  /* Sort criterion: Content: Weight (conference_weight) */
  $handler->display->display_options['sorts']['conference_weight_value']['id'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['table'] = 'field_data_conference_weight';
  $handler->display->display_options['sorts']['conference_weight_value']['field'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['relationship'] = 'conference_room_reference_target_id';
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Areas (conference_areas) */
  $handler->display->display_options['arguments']['conference_areas_target_id']['id'] = 'conference_areas_target_id';
  $handler->display->display_options['arguments']['conference_areas_target_id']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['arguments']['conference_areas_target_id']['field'] = 'conference_areas_target_id';
  $handler->display->display_options['arguments']['conference_areas_target_id']['default_action'] = 'summary';
  $handler->display->display_options['arguments']['conference_areas_target_id']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['conference_areas_target_id']['title'] = 'Conference schedule: %1';
  $handler->display->display_options['arguments']['conference_areas_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['conference_areas_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_areas_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_areas_target_id']['summary_options']['count'] = FALSE;
  $handler->display->display_options['arguments']['conference_areas_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Content: Time-slot picker (conference_timeslot_picker) */
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['id'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['table'] = 'field_data_conference_timeslot_picker';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['field'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['operator'] = 'not empty';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group'] = 1;
  /* Filter criterion: Content: Published or admin */
  $handler->display->display_options['filters']['status_extra']['id'] = 'status_extra';
  $handler->display->display_options['filters']['status_extra']['table'] = 'node';
  $handler->display->display_options['filters']['status_extra']['field'] = 'status_extra';
  $handler->display->display_options['filters']['status_extra']['group'] = 1;

  /* Display: Single day (XML) */
  $handler = $view->new_display('page', 'Single day (XML)', 'weekday_print');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Export schedule';
  $handler->display->display_options['defaults']['cache'] = FALSE;
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'conference_timeslot',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['uses_fields'] = TRUE;
  $handler->display->display_options['style_options']['group']['element_type'] = 'schedule-h3';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['element_type'] = '';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['last_every_nth'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'conference_session_number' => array(
      'element_type' => 'session-number',
      'class' => '',
    ),
    'title' => array(
      'element_type' => 'schedule-h4',
      'class' => '',
    ),
    'conference_areas' => array(
      'element_type' => 'area',
      'class' => '',
    ),
    'field_session_type' => array(
      'element_type' => 'sessiontype',
      'class' => '',
    ),
    'title_1' => array(
      'element_type' => 'timeslot',
      'class' => '',
    ),
    'title_2' => array(
      'element_type' => 'room',
      'class' => '',
    ),
    'body' => array(
      'element_type' => '',
      'class' => '',
    ),
    'conference_presentations' => array(
      'element_type' => '',
      'class' => '',
    ),
    'conference_session_chairs' => array(
      'element_type' => 'session-chair',
      'class' => '',
      'label_element_type' => 'session-chair-label',
      'label_class' => '',
    ),
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Session number */
  $handler->display->display_options['fields']['conference_session_number']['id'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['field'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['label'] = '';
  $handler->display->display_options['fields']['conference_session_number']['alter']['text'] = '<session-number>[conference_session_number]</session-number>';
  $handler->display->display_options['fields']['conference_session_number']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_session_number']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['conference_session_number']['empty_zero'] = TRUE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['text'] = '[conference_session_number] [title]';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Time slot */
  $handler->display->display_options['fields']['conference_timeslot']['id'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['field'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['fields']['conference_timeslot']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['alter']['text'] = '[conference_timeslot] ([conference_timeslot_1])';
  $handler->display->display_options['fields']['conference_timeslot']['alter']['trim_whitespace'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['alter']['strip_tags'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot']['settings'] = array(
    'format_type' => 'weekday_and_hour',
    'fromto' => 'value',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['label'] = '';
  $handler->display->display_options['fields']['conference_areas']['alter']['text'] = '[conference_areas][field_session_type]';
  $handler->display->display_options['fields']['conference_areas']['alter']['trim_whitespace'] = TRUE;
  $handler->display->display_options['fields']['conference_areas']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_areas']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_areas']['delta_offset'] = '0';
  $handler->display->display_options['fields']['conference_areas']['separator'] = '; ';
  /* Field: Content: Session type */
  $handler->display->display_options['fields']['field_session_type']['id'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['table'] = 'field_data_field_session_type';
  $handler->display->display_options['fields']['field_session_type']['field'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['label'] = '';
  $handler->display->display_options['fields']['field_session_type']['alter']['text'] = ' [field_session_type]';
  $handler->display->display_options['fields']['field_session_type']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_session_type']['hide_empty'] = TRUE;
  /* Field: Time slot */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['fields']['title_1']['ui_name'] = 'Time slot';
  $handler->display->display_options['fields']['title_1']['label'] = '';
  $handler->display->display_options['fields']['title_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title_1']['link_to_node'] = FALSE;
  /* Field: Room */
  $handler->display->display_options['fields']['title_2']['id'] = 'title_2';
  $handler->display->display_options['fields']['title_2']['table'] = 'node';
  $handler->display->display_options['fields']['title_2']['field'] = 'title';
  $handler->display->display_options['fields']['title_2']['relationship'] = 'conference_room_reference_target_id';
  $handler->display->display_options['fields']['title_2']['ui_name'] = 'Room';
  $handler->display->display_options['fields']['title_2']['label'] = '';
  $handler->display->display_options['fields']['title_2']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title_2']['link_to_node'] = FALSE;
  /* Field: Content: Body */
  $handler->display->display_options['fields']['body']['id'] = 'body';
  $handler->display->display_options['fields']['body']['table'] = 'field_data_body';
  $handler->display->display_options['fields']['body']['field'] = 'body';
  $handler->display->display_options['fields']['body']['label'] = '';
  $handler->display->display_options['fields']['body']['element_label_colon'] = FALSE;
  /* Field: Field: Presentations */
  $handler->display->display_options['fields']['conference_presentations']['id'] = 'conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['table'] = 'field_data_conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['field'] = 'conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['label'] = '';
  $handler->display->display_options['fields']['conference_presentations']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_presentations']['type'] = 'entityreference_entity_view';
  $handler->display->display_options['fields']['conference_presentations']['settings'] = array(
    'skip_access_check' => 0,
    'view_mode' => 'conference_schedule_xml',
    'links' => 0,
  );
  $handler->display->display_options['fields']['conference_presentations']['delta_offset'] = '0';
  $handler->display->display_options['fields']['conference_presentations']['separator'] = ' ';
  /* Field: Content: Session chairs */
  $handler->display->display_options['fields']['conference_session_chairs']['id'] = 'conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['table'] = 'field_data_conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['field'] = 'conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['type'] = 'entityreference_entity_view';
  $handler->display->display_options['fields']['conference_session_chairs']['settings'] = array(
    'skip_access_check' => 0,
    'view_mode' => 'conference_schedule_xml',
    'links' => 0,
  );
  $handler->display->display_options['fields']['conference_session_chairs']['delta_offset'] = '0';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Time slot -  start date (conference_timeslot) */
  $handler->display->display_options['arguments']['conference_timeslot_value']['id'] = 'conference_timeslot_value';
  $handler->display->display_options['arguments']['conference_timeslot_value']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['arguments']['conference_timeslot_value']['field'] = 'conference_timeslot_value';
  $handler->display->display_options['arguments']['conference_timeslot_value']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['arguments']['conference_timeslot_value']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['conference_timeslot_value']['default_argument_type'] = 'date';
  $handler->display->display_options['arguments']['conference_timeslot_value']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_timeslot_value']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_timeslot_value']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['conference_timeslot_value']['granularity'] = 'day';
  $handler->display->display_options['arguments']['conference_timeslot_value']['use_fromto'] = 'no';
  $handler->display->display_options['path'] = 'admin/conference/schedule/export/%';
  $export['conference_schedule'] = $view;

  $view = new view();
  $view->name = 'conference_schedule_by_area';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Conference schedule by area';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Conference schedule by area';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'conference_session_chairs' => 'conference_session_chairs',
    'conference_timeslot_picker' => 'conference_timeslot_picker',
    'conference_timeslot_1' => 'conference_timeslot_1',
    'conference_timeslot' => 'conference_timeslot_1',
    'conference_room_reference' => 'conference_room_reference',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_session_chairs' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_timeslot_picker' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_timeslot_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'conference_timeslot' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_room_reference' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'There are no scheduled sessions in this area.';
  $handler->display->display_options['empty']['area']['format'] = 'markdown';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['id'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['field'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['label'] = 'Room';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['id'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['field'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['label'] = 'Time slot';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Session';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Session chair */
  $handler->display->display_options['fields']['conference_session_chairs']['id'] = 'conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['table'] = 'field_data_conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['field'] = 'conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['settings'] = array(
    'link' => 0,
  );
  $handler->display->display_options['fields']['conference_session_chairs']['delta_offset'] = '0';
  /* Field: Content: Time-slot picker */
  $handler->display->display_options['fields']['conference_timeslot_picker']['id'] = 'conference_timeslot_picker';
  $handler->display->display_options['fields']['conference_timeslot_picker']['table'] = 'field_data_conference_timeslot_picker';
  $handler->display->display_options['fields']['conference_timeslot_picker']['field'] = 'conference_timeslot_picker';
  $handler->display->display_options['fields']['conference_timeslot_picker']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot_picker']['element_label_colon'] = FALSE;
  /* Sort criterion: Content: Time slot -  start date (conference_timeslot) */
  $handler->display->display_options['sorts']['conference_timeslot_value']['id'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['sorts']['conference_timeslot_value']['field'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['relationship'] = 'conference_timeslot_reference_target_id';
  /* Sort criterion: Content: Weight (conference_weight) */
  $handler->display->display_options['sorts']['conference_weight_value']['id'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['table'] = 'field_data_conference_weight';
  $handler->display->display_options['sorts']['conference_weight_value']['field'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['relationship'] = 'conference_room_reference_target_id';
  /* Contextual filter: Content: Areas (conference_areas) */
  $handler->display->display_options['arguments']['conference_areas_target_id']['id'] = 'conference_areas_target_id';
  $handler->display->display_options['arguments']['conference_areas_target_id']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['arguments']['conference_areas_target_id']['field'] = 'conference_areas_target_id';
  $handler->display->display_options['arguments']['conference_areas_target_id']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['conference_areas_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['conference_areas_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_areas_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_areas_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  /* Filter criterion: Content: Time-slot picker (conference_timeslot_picker) */
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['id'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['table'] = 'field_data_conference_timeslot_picker';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['field'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['operator'] = 'not empty';
  $export['conference_schedule_by_area'] = $view;

  $view = new view();
  $view->name = 'conference_schedule_by_day';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Conference schedule by day';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Conference schedule by day';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'conference_timeslot',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'conference_areas' => 'conference_areas',
    'title' => 'title',
    'conference_session_chairs' => 'conference_session_chairs',
    'conference_timeslot_picker' => 'conference_timeslot_picker',
    'conference_timeslot' => 'conference_timeslot',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'conference_areas' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_session_chairs' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_timeslot_picker' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_timeslot' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'There are no scheduled sessions on the selected day.';
  $handler->display->display_options['empty']['area']['format'] = 'markdown';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['id'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['field'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['label'] = 'Room';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['id'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['field'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['label'] = 'Time slot';
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['settings'] = array(
    'link' => 0,
  );
  $handler->display->display_options['fields']['conference_areas']['delta_offset'] = '0';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Session';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Session chair */
  $handler->display->display_options['fields']['conference_session_chairs']['id'] = 'conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['table'] = 'field_data_conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['field'] = 'conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['settings'] = array(
    'link' => 0,
  );
  $handler->display->display_options['fields']['conference_session_chairs']['delta_offset'] = '0';
  /* Field: Content: Time-slot picker */
  $handler->display->display_options['fields']['conference_timeslot_picker']['id'] = 'conference_timeslot_picker';
  $handler->display->display_options['fields']['conference_timeslot_picker']['table'] = 'field_data_conference_timeslot_picker';
  $handler->display->display_options['fields']['conference_timeslot_picker']['field'] = 'conference_timeslot_picker';
  $handler->display->display_options['fields']['conference_timeslot_picker']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot_picker']['element_label_colon'] = FALSE;
  /* Field: Time slot (for grouping) */
  $handler->display->display_options['fields']['conference_timeslot']['id'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['field'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['fields']['conference_timeslot']['ui_name'] = 'Time slot (for grouping)';
  $handler->display->display_options['fields']['conference_timeslot']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot']['settings'] = array(
    'format_type' => 'conference_schedule_time',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_remaining_days' => 0,
  );
  /* Sort criterion: Content: Time slot -  start date (conference_timeslot) */
  $handler->display->display_options['sorts']['conference_timeslot_value']['id'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['sorts']['conference_timeslot_value']['field'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['relationship'] = 'conference_timeslot_reference_target_id';
  /* Sort criterion: Content: Weight (conference_weight) */
  $handler->display->display_options['sorts']['conference_weight_value']['id'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['table'] = 'field_data_conference_weight';
  $handler->display->display_options['sorts']['conference_weight_value']['field'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['relationship'] = 'conference_room_reference_target_id';
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['break_phrase'] = TRUE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  /* Filter criterion: Content: Time-slot picker (conference_timeslot_picker) */
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['id'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['table'] = 'field_data_conference_timeslot_picker';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['field'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['operator'] = 'not empty';
  $export['conference_schedule_by_day'] = $view;

  $view = new view();
  $view->name = 'conference_schedule_node_references';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Conference Schedule node references';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;

  /* Display: Room */
  $handler = $view->new_display('entityreference', 'Room', 'room');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'entityreference_style';
  $handler->display->display_options['style_options']['search_fields'] = array(
    'title' => 'title',
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'entityreference_fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'title' => 'title',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Weight (conference_weight) */
  $handler->display->display_options['sorts']['conference_weight_value']['id'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['table'] = 'field_data_conference_weight';
  $handler->display->display_options['sorts']['conference_weight_value']['field'] = 'conference_weight_value';
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'conference_room' => 'conference_room',
  );

  /* Display: Time slot */
  $handler = $view->new_display('entityreference', 'Time slot', 'timeslot');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'entityreference_style';
  $handler->display->display_options['style_options']['search_fields'] = array(
    'title' => 'title',
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'entityreference_fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Time slot -  start date (conference_timeslot) */
  $handler->display->display_options['sorts']['conference_timeslot_value']['id'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['sorts']['conference_timeslot_value']['field'] = 'conference_timeslot_value';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'conference_timeslot' => 'conference_timeslot',
  );
  $export['conference_schedule_node_references'] = $view;

  $view = new view();
  $view->name = 'conference_schedule_presentation_search';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Conference schedule presentation search';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Conference schedule presentation search';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['query']['options']['pure_distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'conference_areas' => 'conference_areas',
    'title' => 'title',
    'conference_session_chairs' => 'conference_session_chairs',
    'conference_timeslot_picker' => 'conference_timeslot_picker',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'conference_areas' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_session_chairs' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_timeslot_picker' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'There are no sessions matching your search terms.';
  $handler->display->display_options['empty']['area']['format'] = 'markdown';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['id'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['field'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['label'] = 'Room';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['id'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['field'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['label'] = 'Time slot';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_presentations_target_id']['id'] = 'conference_presentations_target_id';
  $handler->display->display_options['relationships']['conference_presentations_target_id']['table'] = 'field_data_conference_presentations';
  $handler->display->display_options['relationships']['conference_presentations_target_id']['field'] = 'conference_presentations_target_id';
  $handler->display->display_options['relationships']['conference_presentations_target_id']['label'] = 'Presentations';
  $handler->display->display_options['relationships']['conference_presentations_target_id']['required'] = TRUE;
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['settings'] = array(
    'link' => 0,
  );
  $handler->display->display_options['fields']['conference_areas']['delta_offset'] = '0';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Session';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Session chair */
  $handler->display->display_options['fields']['conference_session_chairs']['id'] = 'conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['table'] = 'field_data_conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['field'] = 'conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['settings'] = array(
    'link' => 0,
  );
  $handler->display->display_options['fields']['conference_session_chairs']['delta_offset'] = '0';
  /* Field: Content: Time-slot picker */
  $handler->display->display_options['fields']['conference_timeslot_picker']['id'] = 'conference_timeslot_picker';
  $handler->display->display_options['fields']['conference_timeslot_picker']['table'] = 'field_data_conference_timeslot_picker';
  $handler->display->display_options['fields']['conference_timeslot_picker']['field'] = 'conference_timeslot_picker';
  $handler->display->display_options['fields']['conference_timeslot_picker']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot_picker']['element_label_colon'] = FALSE;
  /* Sort criterion: Content: Time slot -  start date (conference_timeslot) */
  $handler->display->display_options['sorts']['conference_timeslot_value']['id'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['sorts']['conference_timeslot_value']['field'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['relationship'] = 'conference_timeslot_reference_target_id';
  /* Sort criterion: Content: Weight (conference_weight) */
  $handler->display->display_options['sorts']['conference_weight_value']['id'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['table'] = 'field_data_conference_weight';
  $handler->display->display_options['sorts']['conference_weight_value']['field'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['relationship'] = 'conference_room_reference_target_id';
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'conference_presentations_target_id';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'empty';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['break_phrase'] = TRUE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  /* Filter criterion: Content: Time-slot picker (conference_timeslot_picker) */
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['id'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['table'] = 'field_data_conference_timeslot_picker';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['field'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['operator'] = 'not empty';
  $export['conference_schedule_presentation_search'] = $view;

  $view = new view();
  $view->name = 'conference_timeslots';
  $view->description = '';
  $view->tag = 'conference';
  $view->base_table = 'node';
  $view->human_name = 'Conference time slots';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'refresh scheduling information';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['disable_sql_rewrite'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Time slot */
  $handler->display->display_options['fields']['conference_timeslot']['id'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['field'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['settings'] = array(
    'format_type' => 'weekday_and_hour',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Sort criterion: Content: Time slot -  start date (conference_timeslot) */
  $handler->display->display_options['sorts']['conference_timeslot_value']['id'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['sorts']['conference_timeslot_value']['field'] = 'conference_timeslot_value';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'conference_timeslot' => 'conference_timeslot',
  );

  /* Display: By room */
  $handler = $view->new_display('page', 'By room', 'page_1');
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['id'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['field'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['label'] = 'Time slot';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['id'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['field'] = 'conference_room_reference_target_id';
  $handler->display->display_options['relationships']['conference_room_reference_target_id']['label'] = 'Room';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Time slot */
  $handler->display->display_options['fields']['conference_timeslot']['id'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['field'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['fields']['conference_timeslot']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot']['settings'] = array(
    'format_type' => 'long_no_year_12_hour',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  /* Field: Content: Session number */
  $handler->display->display_options['fields']['conference_session_number']['id'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['field'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_session_number']['hide_empty'] = TRUE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '[conference_session_number][title]';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Conference room */
  $handler->display->display_options['fields']['conference_room_reference']['id'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['field'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_room_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_room_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_room_reference']['type'] = 'node_reference_plain';
  /* Field: Time slot (reference) */
  $handler->display->display_options['fields']['conference_timeslot_reference']['id'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['field'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['ui_name'] = 'Time slot (reference)';
  $handler->display->display_options['fields']['conference_timeslot_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['type'] = 'node_reference_nid';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Weight (conference_weight) */
  $handler->display->display_options['sorts']['conference_weight_value']['id'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['table'] = 'field_data_conference_weight';
  $handler->display->display_options['sorts']['conference_weight_value']['field'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['relationship'] = 'conference_room_reference_target_id';
  /* Sort criterion: Content: Time slot -  start date (conference_timeslot) */
  $handler->display->display_options['sorts']['conference_timeslot_value']['id'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['sorts']['conference_timeslot_value']['field'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['path'] = 'conference/schedule/rooms';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Manage conference time slots';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'conference_timeslot' => 'conference_timeslot',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_timeslot' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'No time slots have been created.';
  $handler->display->display_options['empty']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['path'] = 'admin/conference/settings/schedule/timeslots';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Time slots';
  $handler->display->display_options['menu']['weight'] = '100';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $export['conference_timeslots'] = $view;

  return $export;
}
