<?php
/**
 * @file
 * conference_dashboard.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function conference_dashboard_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'conference_dashboard_node_references';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'node';
  $view->human_name = 'Conference Dashboard node references';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_related_session_conference_booking']['id'] = 'reverse_field_related_session_conference_booking';
  $handler->display->display_options['relationships']['reverse_field_related_session_conference_booking']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_field_related_session_conference_booking']['field'] = 'reverse_field_related_session_conference_booking';
  $handler->display->display_options['relationships']['reverse_field_related_session_conference_booking']['label'] = 'Booking';
  $handler->display->display_options['relationships']['reverse_field_related_session_conference_booking']['required'] = TRUE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;

  /* Display: Sessions */
  $handler = $view->new_display('entityreference', 'Sessions', 'sessions');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'entityreference_style';
  $handler->display->display_options['style_options']['search_fields'] = array(
    'title' => 'title',
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'entityreference_fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $export['conference_dashboard_node_references'] = $view;

  $view = new view();
  $view->name = 'conference_presentations';
  $view->description = '';
  $view->tag = 'conference';
  $view->base_table = 'node';
  $view->human_name = 'Conference presentations';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Presentations';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'presentations';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['disable_sql_rewrite'] = TRUE;
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '100';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'counter' => 'counter',
    'title' => 'title',
    'conference_area' => 'conference_area',
    'conference_presenters' => 'conference_presenters',
    'title_1' => 'title_1',
    'created_1' => 'created_1',
    'created' => 'created_1',
    'ops' => 'ops',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['style_options']['default'] = 'created';
  $handler->display->display_options['style_options']['info'] = array(
    'counter' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_area' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_presenters' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'ops' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['content'] = 'No presentations match the specified criteria.';
  $handler->display->display_options['empty']['area']['format'] = 'markdown';
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['id'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['field'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['label'] = 'Sessions';
  /* Relationship: Flags: presentation_approve */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Approve';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_approve';
  $handler->display->display_options['relationships']['flag_content_rel']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_reject */
  $handler->display->display_options['relationships']['flag_content_rel_2']['id'] = 'flag_content_rel_2';
  $handler->display->display_options['relationships']['flag_content_rel_2']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_2']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_2']['ui_name'] = 'Reject';
  $handler->display->display_options['relationships']['flag_content_rel_2']['label'] = 'Reject';
  $handler->display->display_options['relationships']['flag_content_rel_2']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_2']['flag'] = 'presentation_reject';
  $handler->display->display_options['relationships']['flag_content_rel_2']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_withdraw */
  $handler->display->display_options['relationships']['flag_content_rel_1']['id'] = 'flag_content_rel_1';
  $handler->display->display_options['relationships']['flag_content_rel_1']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_1']['ui_name'] = 'Withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_1']['label'] = 'Withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_1']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_1']['flag'] = 'presentation_withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_1']['user_scope'] = 'any';
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Area */
  $handler->display->display_options['fields']['conference_area']['id'] = 'conference_area';
  $handler->display->display_options['fields']['conference_area']['table'] = 'field_data_conference_area';
  $handler->display->display_options['fields']['conference_area']['field'] = 'conference_area';
  $handler->display->display_options['fields']['conference_area']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['fields']['title_1']['label'] = 'Session';
  /* Field: Content: Post date */
  $handler->display->display_options['fields']['created_1']['id'] = 'created_1';
  $handler->display->display_options['fields']['created_1']['table'] = 'node';
  $handler->display->display_options['fields']['created_1']['field'] = 'created';
  $handler->display->display_options['fields']['created_1']['label'] = 'Submitted';
  $handler->display->display_options['fields']['created_1']['date_format'] = 'short';
  /* Field: Submitted (time ago) */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'node';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['ui_name'] = 'Submitted (time ago)';
  $handler->display->display_options['fields']['created']['label'] = '';
  $handler->display->display_options['fields']['created']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['created']['alter']['text'] = '<span class="time-ago">[created]</span>';
  $handler->display->display_options['fields']['created']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['created']['date_format'] = 'time ago';
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flagging';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = '';
  $handler->display->display_options['fields']['ops']['element_label_colon'] = FALSE;
  /* Field: Content: Comment count */
  $handler->display->display_options['fields']['comment_count']['id'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['table'] = 'node_comment_statistics';
  $handler->display->display_options['fields']['comment_count']['field'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['label'] = 'Comments';
  $handler->display->display_options['fields']['comment_count']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['format_plural_singular'] = '1 comment';
  $handler->display->display_options['fields']['comment_count']['format_plural_plural'] = '@count comments';
  /* Field: Content: New comments */
  $handler->display->display_options['fields']['new_comments']['id'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['table'] = 'node';
  $handler->display->display_options['fields']['new_comments']['field'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['label'] = '';
  $handler->display->display_options['fields']['new_comments']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['alter']['text'] = '<span class="new">[new_comments]</a>';
  $handler->display->display_options['fields']['new_comments']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['new_comments']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['format_plural_singular'] = '1 new comment';
  $handler->display->display_options['fields']['new_comments']['format_plural_plural'] = '@count new comments';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'presentation' => 'presentation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
    2 => '2',
    16 => 0,
    17 => 0,
  );
  /* Filter criterion: Content: Area (conference_area) (reference filter) */
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['id'] = 'conference_area_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['table'] = 'field_data_conference_area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['field'] = 'conference_area_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_area_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['label'] = 'Area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['operator'] = 'conference_area_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['identifier'] = 'area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:area';
  /* Filter criterion: Approved */
  $handler->display->display_options['filters']['flagged']['id'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['filters']['flagged']['ui_name'] = 'Approved';
  $handler->display->display_options['filters']['flagged']['value'] = 'All';
  $handler->display->display_options['filters']['flagged']['group'] = 1;
  $handler->display->display_options['filters']['flagged']['exposed'] = TRUE;
  $handler->display->display_options['filters']['flagged']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged']['expose']['label'] = 'Approved';
  $handler->display->display_options['filters']['flagged']['expose']['operator'] = 'flagged_op';
  $handler->display->display_options['filters']['flagged']['expose']['identifier'] = 'approved';
  $handler->display->display_options['filters']['flagged']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Rejected */
  $handler->display->display_options['filters']['flagged_1']['id'] = 'flagged_1';
  $handler->display->display_options['filters']['flagged_1']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_1']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_1']['relationship'] = 'flag_content_rel_1';
  $handler->display->display_options['filters']['flagged_1']['ui_name'] = 'Rejected';
  $handler->display->display_options['filters']['flagged_1']['value'] = 'All';
  $handler->display->display_options['filters']['flagged_1']['group'] = 1;
  $handler->display->display_options['filters']['flagged_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['flagged_1']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged_1']['expose']['label'] = 'Rejected';
  $handler->display->display_options['filters']['flagged_1']['expose']['operator'] = 'flagged_1_op';
  $handler->display->display_options['filters']['flagged_1']['expose']['identifier'] = 'rejected';
  $handler->display->display_options['filters']['flagged_1']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Withdrawn */
  $handler->display->display_options['filters']['flagged_2']['id'] = 'flagged_2';
  $handler->display->display_options['filters']['flagged_2']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_2']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_2']['relationship'] = 'flag_content_rel_2';
  $handler->display->display_options['filters']['flagged_2']['ui_name'] = 'Withdrawn';
  $handler->display->display_options['filters']['flagged_2']['value'] = '0';
  $handler->display->display_options['filters']['flagged_2']['group'] = 1;
  $handler->display->display_options['filters']['flagged_2']['exposed'] = TRUE;
  $handler->display->display_options['filters']['flagged_2']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged_2']['expose']['label'] = 'Withdrawn';
  $handler->display->display_options['filters']['flagged_2']['expose']['operator'] = 'flagged_2_op';
  $handler->display->display_options['filters']['flagged_2']['expose']['identifier'] = 'withdrawn';
  $handler->display->display_options['filters']['flagged_2']['expose']['remember_roles'] = array(
    2 => '2',
  );

  /* Display: All */
  $handler = $view->new_display('page', 'All', 'page');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'presentations';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'counter' => 'counter',
    'title' => 'title',
    'title_2' => 'title_2',
    'conference_presenters' => 'conference_presenters',
    'title_1' => 'title_1',
    'conference_areas' => 'conference_areas',
    'created_1' => 'created_1',
    'created' => 'created_1',
    'ops' => 'ops',
    'comment_count' => 'comment_count',
    'new_comments' => 'comment_count',
    'flagged' => 'flagged',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['style_options']['default'] = 'created';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'counter' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_2' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_presenters' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_areas' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'ops' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'comment_count' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 1,
    ),
    'new_comments' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'flagged' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['sticky'] = TRUE;
  $handler->display->display_options['style_options']['empty_table'] = TRUE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_presenters_target_id']['id'] = 'conference_presenters_target_id';
  $handler->display->display_options['relationships']['conference_presenters_target_id']['table'] = 'field_data_conference_presenters';
  $handler->display->display_options['relationships']['conference_presenters_target_id']['field'] = 'conference_presenters_target_id';
  $handler->display->display_options['relationships']['conference_presenters_target_id']['label'] = 'Presenter';
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['id'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['field'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['label'] = 'Sessions';
  /* Relationship: Flags: presentation_approve */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Approve';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_approve';
  $handler->display->display_options['relationships']['flag_content_rel']['user_scope'] = 'any';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['relationships']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['label'] = 'Area';
  /* Relationship: Flags: presentation_reject */
  $handler->display->display_options['relationships']['flag_content_rel_1']['id'] = 'flag_content_rel_1';
  $handler->display->display_options['relationships']['flag_content_rel_1']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_1']['label'] = 'Reject';
  $handler->display->display_options['relationships']['flag_content_rel_1']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_1']['flag'] = 'presentation_reject';
  $handler->display->display_options['relationships']['flag_content_rel_1']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_withdraw */
  $handler->display->display_options['relationships']['flag_content_rel_2']['id'] = 'flag_content_rel_2';
  $handler->display->display_options['relationships']['flag_content_rel_2']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_2']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_2']['ui_name'] = 'Withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_2']['label'] = 'Withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_2']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_2']['flag'] = 'presentation_withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_2']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_notified */
  $handler->display->display_options['relationships']['flag_content_rel_3']['id'] = 'flag_content_rel_3';
  $handler->display->display_options['relationships']['flag_content_rel_3']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_3']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_3']['label'] = 'Notified';
  $handler->display->display_options['relationships']['flag_content_rel_3']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_3']['flag'] = 'presentation_notified';
  $handler->display->display_options['relationships']['flag_content_rel_3']['user_scope'] = 'any';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: Content */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'node';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::conference_booking_node_cancel_withdraw_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 1,
      'label' => 'Cancel withdrawal of presentation',
    ),
    'action::views_bulk_operations_script_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::conference_booking_node_withdraw_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 1,
      'label' => 'Withdraw presentation from conference',
    ),
  );
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_2']['id'] = 'title_2';
  $handler->display->display_options['fields']['title_2']['table'] = 'node';
  $handler->display->display_options['fields']['title_2']['field'] = 'title';
  $handler->display->display_options['fields']['title_2']['relationship'] = 'conference_area_target_id';
  $handler->display->display_options['fields']['title_2']['label'] = 'Area';
  /* Field: Content: Presenters */
  $handler->display->display_options['fields']['conference_presenters']['id'] = 'conference_presenters';
  $handler->display->display_options['fields']['conference_presenters']['table'] = 'field_data_conference_presenters';
  $handler->display->display_options['fields']['conference_presenters']['field'] = 'conference_presenters';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['fields']['title_1']['label'] = 'Session';
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['relationship'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['fields']['conference_areas']['label'] = 'Session area';
  /* Field: Content: Post date */
  $handler->display->display_options['fields']['created_1']['id'] = 'created_1';
  $handler->display->display_options['fields']['created_1']['table'] = 'node';
  $handler->display->display_options['fields']['created_1']['field'] = 'created';
  $handler->display->display_options['fields']['created_1']['label'] = 'Submitted';
  $handler->display->display_options['fields']['created_1']['date_format'] = 'short';
  /* Field: Submitted (time ago) */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'node';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['ui_name'] = 'Submitted (time ago)';
  $handler->display->display_options['fields']['created']['label'] = '';
  $handler->display->display_options['fields']['created']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['created']['alter']['text'] = '<span class="time-ago">[created]</span>';
  $handler->display->display_options['fields']['created']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['created']['date_format'] = 'time ago';
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flagging';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = '';
  $handler->display->display_options['fields']['ops']['element_label_colon'] = FALSE;
  /* Field: Content: Comment count */
  $handler->display->display_options['fields']['comment_count']['id'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['table'] = 'node_comment_statistics';
  $handler->display->display_options['fields']['comment_count']['field'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['label'] = 'Comments';
  $handler->display->display_options['fields']['comment_count']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['separator'] = '';
  $handler->display->display_options['fields']['comment_count']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['format_plural_singular'] = '1 comment';
  $handler->display->display_options['fields']['comment_count']['format_plural_plural'] = '@count comments';
  /* Field: Content: New comments */
  $handler->display->display_options['fields']['new_comments']['id'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['table'] = 'node';
  $handler->display->display_options['fields']['new_comments']['field'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['label'] = '';
  $handler->display->display_options['fields']['new_comments']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['alter']['text'] = '<span class="new">[new_comments]</a>';
  $handler->display->display_options['fields']['new_comments']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['new_comments']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['separator'] = '';
  $handler->display->display_options['fields']['new_comments']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['format_plural_singular'] = '1 new comment';
  $handler->display->display_options['fields']['new_comments']['format_plural_plural'] = '@count new comments';
  /* Field: Flags: Flagged */
  $handler->display->display_options['fields']['flagged']['id'] = 'flagged';
  $handler->display->display_options['fields']['flagged']['table'] = 'flagging';
  $handler->display->display_options['fields']['flagged']['field'] = 'flagged';
  $handler->display->display_options['fields']['flagged']['relationship'] = 'flag_content_rel_2';
  $handler->display->display_options['fields']['flagged']['label'] = 'Withdrawn';
  $handler->display->display_options['fields']['flagged']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['flagged']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['flagged']['not'] = 0;
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  $handler->display->display_options['path'] = 'admin/conference/presentations';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Presentations';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $handler->display->display_options['tab_options']['title'] = 'Presentations';
  $handler->display->display_options['tab_options']['weight'] = '0';

  /* Display: By chair */
  $handler = $view->new_display('page', 'By chair', 'bychair');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Presentations in your areas';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'presentations_area';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'conference_area',
      'rendered' => 0,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'counter' => 'counter',
    'title' => 'title',
    'conference_area' => 'conference_area',
    'title_1' => 'title_1',
    'created_1' => 'created_1',
    'created' => 'created_1',
    'ops' => 'ops',
    'comment_count' => 'comment_count',
    'new_comments' => 'comment_count',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'counter' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_area' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'created_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'ops' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'comment_count' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 1,
    ),
    'new_comments' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['sticky'] = TRUE;
  $handler->display->display_options['style_options']['empty_table'] = TRUE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['content'] = 'There are no presentations, or you\'re not the chair of the selected area.';
  $handler->display->display_options['empty']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['relationships']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['label'] = 'Area';
  /* Relationship: Sessions */
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['id'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['field'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['ui_name'] = 'Sessions';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['label'] = 'Sessions';
  /* Relationship: Flags: presentation_approve */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Approve';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_approve';
  /* Relationship: Flags: presentation_reject */
  $handler->display->display_options['relationships']['flag_content_rel_1']['id'] = 'flag_content_rel_1';
  $handler->display->display_options['relationships']['flag_content_rel_1']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_1']['label'] = 'Reject';
  $handler->display->display_options['relationships']['flag_content_rel_1']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_1']['flag'] = 'presentation_reject';
  $handler->display->display_options['relationships']['flag_content_rel_1']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_withdraw */
  $handler->display->display_options['relationships']['flag_content_rel_2']['id'] = 'flag_content_rel_2';
  $handler->display->display_options['relationships']['flag_content_rel_2']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_2']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_2']['ui_name'] = 'Withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_2']['label'] = 'Withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_2']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_2']['flag'] = 'presentation_withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_2']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_notified */
  $handler->display->display_options['relationships']['flag_content_rel_3']['id'] = 'flag_content_rel_3';
  $handler->display->display_options['relationships']['flag_content_rel_3']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_3']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_3']['label'] = 'Notified';
  $handler->display->display_options['relationships']['flag_content_rel_3']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_3']['flag'] = 'presentation_notified';
  $handler->display->display_options['relationships']['flag_content_rel_3']['user_scope'] = 'any';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Area (conference_area) */
  $handler->display->display_options['sorts']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['sorts']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['sorts']['conference_area_target_id']['field'] = 'conference_area_target_id';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  $handler->display->display_options['path'] = 'admin/conference/areas/presentations';
  $handler->display->display_options['menu']['type'] = 'default tab';
  $handler->display->display_options['menu']['title'] = 'Presentations';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'tab';
  $handler->display->display_options['tab_options']['title'] = 'In your areas';
  $handler->display->display_options['tab_options']['weight'] = '100';

  /* Display: Dashboard: withdrawn */
  $handler = $view->new_display('attachment', 'Dashboard: withdrawn', 'presentations_withdrawn');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['element_type'] = '';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['element_type'] = '';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['last_every_nth'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Flags: presentation_withdraw */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['ui_name'] = 'Withdraw';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Withdraw';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_withdraw';
  $handler->display->display_options['relationships']['flag_content_rel']['user_scope'] = 'any';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Area (conference_area) */
  $handler->display->display_options['arguments']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['arguments']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['arguments']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['arguments']['conference_area_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'presentation' => 'presentation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged']['id'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['filters']['flagged']['value'] = '1';
  $handler->display->display_options['filters']['flagged']['group'] = 1;
  $handler->display->display_options['inherit_arguments'] = FALSE;

  /* Display: Dashboard: rejected */
  $handler = $view->new_display('attachment', 'Dashboard: rejected', 'presentations_rejected');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['element_type'] = '';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['element_type'] = '';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['last_every_nth'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Flags: presentation_approve */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Approved';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_approve';
  $handler->display->display_options['relationships']['flag_content_rel']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_reject */
  $handler->display->display_options['relationships']['flag_content_rel_1']['id'] = 'flag_content_rel_1';
  $handler->display->display_options['relationships']['flag_content_rel_1']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_1']['label'] = 'Rejected';
  $handler->display->display_options['relationships']['flag_content_rel_1']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_1']['flag'] = 'presentation_reject';
  $handler->display->display_options['relationships']['flag_content_rel_1']['user_scope'] = 'any';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Area (conference_area) */
  $handler->display->display_options['arguments']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['arguments']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['arguments']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['arguments']['conference_area_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'presentation' => 'presentation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged']['id'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['filters']['flagged']['value'] = '0';
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged_1']['id'] = 'flagged_1';
  $handler->display->display_options['filters']['flagged_1']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_1']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_1']['relationship'] = 'flag_content_rel_1';
  $handler->display->display_options['filters']['flagged_1']['value'] = '1';
  $handler->display->display_options['inherit_arguments'] = FALSE;

  /* Display: Dashboard: pending notifications */
  $handler = $view->new_display('attachment', 'Dashboard: pending notifications', 'notifications');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['element_type'] = '';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['element_type'] = '';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['last_every_nth'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Flags: presentation_notified */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['ui_name'] = 'Notified';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Notified';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_notified';
  $handler->display->display_options['relationships']['flag_content_rel']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_approve */
  $handler->display->display_options['relationships']['flag_content_rel_1']['id'] = 'flag_content_rel_1';
  $handler->display->display_options['relationships']['flag_content_rel_1']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_1']['label'] = 'Approved';
  $handler->display->display_options['relationships']['flag_content_rel_1']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_1']['flag'] = 'presentation_approve';
  $handler->display->display_options['relationships']['flag_content_rel_1']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_reject */
  $handler->display->display_options['relationships']['flag_content_rel_2']['id'] = 'flag_content_rel_2';
  $handler->display->display_options['relationships']['flag_content_rel_2']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_2']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_2']['label'] = 'Rejected';
  $handler->display->display_options['relationships']['flag_content_rel_2']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_2']['flag'] = 'presentation_reject';
  $handler->display->display_options['relationships']['flag_content_rel_2']['user_scope'] = 'any';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['relationships']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['label'] = 'Area';
  $handler->display->display_options['relationships']['conference_area_target_id']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid_1']['id'] = 'nid_1';
  $handler->display->display_options['fields']['nid_1']['table'] = 'node';
  $handler->display->display_options['fields']['nid_1']['field'] = 'nid';
  $handler->display->display_options['fields']['nid_1']['relationship'] = 'conference_area_target_id';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Area (conference_area) */
  $handler->display->display_options['arguments']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['arguments']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['arguments']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['arguments']['conference_area_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    2 => 'OR',
  );
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'presentation' => 'presentation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged']['id'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['filters']['flagged']['value'] = '0';
  $handler->display->display_options['filters']['flagged']['group'] = 1;
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged_1']['id'] = 'flagged_1';
  $handler->display->display_options['filters']['flagged_1']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_1']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_1']['relationship'] = 'flag_content_rel_1';
  $handler->display->display_options['filters']['flagged_1']['value'] = '1';
  $handler->display->display_options['filters']['flagged_1']['group'] = 2;
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged_2']['id'] = 'flagged_2';
  $handler->display->display_options['filters']['flagged_2']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_2']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_2']['relationship'] = 'flag_content_rel_2';
  $handler->display->display_options['filters']['flagged_2']['value'] = '1';
  $handler->display->display_options['filters']['flagged_2']['group'] = 2;
  $handler->display->display_options['inherit_arguments'] = FALSE;

  /* Display: Dashboard: unassigned */
  $handler = $view->new_display('attachment', 'Dashboard: unassigned', 'unassigned_count');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['element_type'] = '';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['element_type'] = '';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['last_every_nth'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Flags: presentation_approve */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Approved';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_approve';
  $handler->display->display_options['relationships']['flag_content_rel']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_reject */
  $handler->display->display_options['relationships']['flag_content_rel_1']['id'] = 'flag_content_rel_1';
  $handler->display->display_options['relationships']['flag_content_rel_1']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_1']['label'] = 'Rejected';
  $handler->display->display_options['relationships']['flag_content_rel_1']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_1']['flag'] = 'presentation_reject';
  $handler->display->display_options['relationships']['flag_content_rel_1']['user_scope'] = 'any';
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['id'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['field'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['label'] = 'Session';
  /* Relationship: Flags: presentation_withdraw */
  $handler->display->display_options['relationships']['flag_content_rel_2']['id'] = 'flag_content_rel_2';
  $handler->display->display_options['relationships']['flag_content_rel_2']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_2']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_2']['label'] = 'Withdrawn';
  $handler->display->display_options['relationships']['flag_content_rel_2']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_2']['flag'] = 'presentation_withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_2']['user_scope'] = 'any';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    2 => 'OR',
  );
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'presentation' => 'presentation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged']['id'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['filters']['flagged']['value'] = '1';
  $handler->display->display_options['filters']['flagged']['group'] = 1;
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged_1']['id'] = 'flagged_1';
  $handler->display->display_options['filters']['flagged_1']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_1']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_1']['relationship'] = 'flag_content_rel_1';
  $handler->display->display_options['filters']['flagged_1']['value'] = '0';
  $handler->display->display_options['filters']['flagged_1']['group'] = 1;
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged_2']['id'] = 'flagged_2';
  $handler->display->display_options['filters']['flagged_2']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_2']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_2']['relationship'] = 'flag_content_rel_2';
  $handler->display->display_options['filters']['flagged_2']['value'] = '0';
  $handler->display->display_options['filters']['flagged_2']['group'] = 1;
  /* Filter criterion: Presenter */
  $handler->display->display_options['filters']['conference_presenters_target_id']['id'] = 'conference_presenters_target_id';
  $handler->display->display_options['filters']['conference_presenters_target_id']['table'] = 'field_data_conference_presenters';
  $handler->display->display_options['filters']['conference_presenters_target_id']['field'] = 'conference_presenters_target_id';
  $handler->display->display_options['filters']['conference_presenters_target_id']['ui_name'] = 'Presenter';
  $handler->display->display_options['filters']['conference_presenters_target_id']['operator'] = 'empty';
  $handler->display->display_options['filters']['conference_presenters_target_id']['group'] = 2;
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['relationship'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['filters']['title']['operator'] = 'empty';
  $handler->display->display_options['filters']['title']['group'] = 2;
  /* Filter criterion: Content: Area (conference_area) */
  $handler->display->display_options['filters']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['filters']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['filters']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['filters']['conference_area_target_id']['operator'] = 'empty';
  $handler->display->display_options['filters']['conference_area_target_id']['group'] = 2;
  $handler->display->display_options['inherit_arguments'] = FALSE;

  /* Display: Unassigned */
  $handler = $view->new_display('page', 'Unassigned', 'unassigned');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Unassigned presentations';
  $handler->display->display_options['display_description'] = 'Presentations not assigned to a session';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'presentations_unassigned';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'counter' => 'counter',
    'title' => 'title',
    'title_2' => 'title_2',
    'conference_presenters' => 'conference_presenters',
    'title_1' => 'title_1',
    'created_1' => 'created_1',
    'created' => 'created_1',
    'ops' => 'ops',
    'comment_count' => 'comment_count',
    'new_comments' => 'comment_count',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['style_options']['default'] = 'created';
  $handler->display->display_options['style_options']['info'] = array(
    'counter' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_2' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_presenters' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'created_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'ops' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'comment_count' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 1,
    ),
    'new_comments' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['empty_table'] = TRUE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = 'Approved presentations that haven’t been assigned to a session, that do not have a presenter, or that haven’t been assigned to an area.';
  $handler->display->display_options['header']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'There are no unassigned presentations.';
  $handler->display->display_options['empty']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_presenters_target_id']['id'] = 'conference_presenters_target_id';
  $handler->display->display_options['relationships']['conference_presenters_target_id']['table'] = 'field_data_conference_presenters';
  $handler->display->display_options['relationships']['conference_presenters_target_id']['field'] = 'conference_presenters_target_id';
  $handler->display->display_options['relationships']['conference_presenters_target_id']['label'] = 'Presenter';
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['id'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['field'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['label'] = 'Sessions';
  /* Relationship: Flags: presentation_approve */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Approve';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_approve';
  $handler->display->display_options['relationships']['flag_content_rel']['user_scope'] = 'any';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['relationships']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['label'] = 'Area';
  /* Relationship: Flags: presentation_withdraw */
  $handler->display->display_options['relationships']['flag_content_rel_1']['id'] = 'flag_content_rel_1';
  $handler->display->display_options['relationships']['flag_content_rel_1']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_1']['label'] = 'Withdrawn';
  $handler->display->display_options['relationships']['flag_content_rel_1']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_1']['flag'] = 'presentation_withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_1']['user_scope'] = 'any';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_2']['id'] = 'title_2';
  $handler->display->display_options['fields']['title_2']['table'] = 'node';
  $handler->display->display_options['fields']['title_2']['field'] = 'title';
  $handler->display->display_options['fields']['title_2']['relationship'] = 'conference_area_target_id';
  $handler->display->display_options['fields']['title_2']['label'] = 'Area';
  /* Field: Content: Presenters */
  $handler->display->display_options['fields']['conference_presenters']['id'] = 'conference_presenters';
  $handler->display->display_options['fields']['conference_presenters']['table'] = 'field_data_conference_presenters';
  $handler->display->display_options['fields']['conference_presenters']['field'] = 'conference_presenters';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['fields']['title_1']['label'] = 'Session';
  /* Field: Content: Post date */
  $handler->display->display_options['fields']['created_1']['id'] = 'created_1';
  $handler->display->display_options['fields']['created_1']['table'] = 'node';
  $handler->display->display_options['fields']['created_1']['field'] = 'created';
  $handler->display->display_options['fields']['created_1']['label'] = 'Submitted';
  $handler->display->display_options['fields']['created_1']['date_format'] = 'short';
  /* Field: Submitted (time ago) */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'node';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['ui_name'] = 'Submitted (time ago)';
  $handler->display->display_options['fields']['created']['label'] = '';
  $handler->display->display_options['fields']['created']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['created']['alter']['text'] = '<span class="time-ago">[created]</span>';
  $handler->display->display_options['fields']['created']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['created']['date_format'] = 'time ago';
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flagging';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = '';
  $handler->display->display_options['fields']['ops']['element_label_colon'] = FALSE;
  /* Field: Content: Comment count */
  $handler->display->display_options['fields']['comment_count']['id'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['table'] = 'node_comment_statistics';
  $handler->display->display_options['fields']['comment_count']['field'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['label'] = 'Comments';
  $handler->display->display_options['fields']['comment_count']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['separator'] = '';
  $handler->display->display_options['fields']['comment_count']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['format_plural_singular'] = '1 comment';
  $handler->display->display_options['fields']['comment_count']['format_plural_plural'] = '@count comments';
  /* Field: Content: New comments */
  $handler->display->display_options['fields']['new_comments']['id'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['table'] = 'node';
  $handler->display->display_options['fields']['new_comments']['field'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['label'] = '';
  $handler->display->display_options['fields']['new_comments']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['alter']['text'] = '<span class="new">[new_comments]</a>';
  $handler->display->display_options['fields']['new_comments']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['new_comments']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['separator'] = '';
  $handler->display->display_options['fields']['new_comments']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['format_plural_singular'] = '1 new comment';
  $handler->display->display_options['fields']['new_comments']['format_plural_plural'] = '@count new comments';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    2 => 'OR',
  );
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'presentation' => 'presentation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: Content: Area (conference_area) (reference filter) */
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['id'] = 'conference_area_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['table'] = 'field_data_conference_area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['field'] = 'conference_area_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_area_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['label'] = 'Area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['operator'] = 'conference_area_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['identifier'] = 'area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged']['id'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['filters']['flagged']['value'] = '1';
  $handler->display->display_options['filters']['flagged']['group'] = 1;
  $handler->display->display_options['filters']['flagged']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged']['expose']['label'] = 'Approved';
  $handler->display->display_options['filters']['flagged']['expose']['operator'] = 'flagged_op';
  $handler->display->display_options['filters']['flagged']['expose']['identifier'] = 'approved';
  $handler->display->display_options['filters']['flagged']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title_1']['id'] = 'title_1';
  $handler->display->display_options['filters']['title_1']['table'] = 'node';
  $handler->display->display_options['filters']['title_1']['field'] = 'title';
  $handler->display->display_options['filters']['title_1']['relationship'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['filters']['title_1']['operator'] = 'empty';
  $handler->display->display_options['filters']['title_1']['group'] = 2;
  /* Filter criterion: Content: Presenters (conference_presenters) */
  $handler->display->display_options['filters']['conference_presenters_target_id']['id'] = 'conference_presenters_target_id';
  $handler->display->display_options['filters']['conference_presenters_target_id']['table'] = 'field_data_conference_presenters';
  $handler->display->display_options['filters']['conference_presenters_target_id']['field'] = 'conference_presenters_target_id';
  $handler->display->display_options['filters']['conference_presenters_target_id']['operator'] = 'empty';
  $handler->display->display_options['filters']['conference_presenters_target_id']['group'] = 2;
  /* Filter criterion: Content: Area (conference_area) */
  $handler->display->display_options['filters']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['filters']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['filters']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['filters']['conference_area_target_id']['operator'] = 'empty';
  $handler->display->display_options['filters']['conference_area_target_id']['group'] = 2;
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged_1']['id'] = 'flagged_1';
  $handler->display->display_options['filters']['flagged_1']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_1']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_1']['relationship'] = 'flag_content_rel_1';
  $handler->display->display_options['filters']['flagged_1']['value'] = '0';
  $handler->display->display_options['path'] = 'admin/conference/presentations/unassigned';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Unassigned presentations';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Dashboard: approved */
  $handler = $view->new_display('attachment', 'Dashboard: approved', 'presentations_approved');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['element_type'] = '';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['element_type'] = '';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['last_every_nth'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Flags: presentation_approve */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Approved';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_approve';
  $handler->display->display_options['relationships']['flag_content_rel']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_reject */
  $handler->display->display_options['relationships']['flag_content_rel_1']['id'] = 'flag_content_rel_1';
  $handler->display->display_options['relationships']['flag_content_rel_1']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_1']['label'] = 'Rejected';
  $handler->display->display_options['relationships']['flag_content_rel_1']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_1']['flag'] = 'presentation_reject';
  $handler->display->display_options['relationships']['flag_content_rel_1']['user_scope'] = 'any';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Area (conference_area) */
  $handler->display->display_options['arguments']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['arguments']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['arguments']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['arguments']['conference_area_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'presentation' => 'presentation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged']['id'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['filters']['flagged']['value'] = '1';
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged_1']['id'] = 'flagged_1';
  $handler->display->display_options['filters']['flagged_1']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_1']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_1']['relationship'] = 'flag_content_rel_1';
  $handler->display->display_options['filters']['flagged_1']['value'] = '0';
  $handler->display->display_options['inherit_arguments'] = FALSE;

  /* Display: Dashboard: pending */
  $handler = $view->new_display('attachment', 'Dashboard: pending', 'presentations_pending');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['element_type'] = '';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['element_type'] = '';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['last_every_nth'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Flags: presentation_approve */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Approved';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_approve';
  $handler->display->display_options['relationships']['flag_content_rel']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_reject */
  $handler->display->display_options['relationships']['flag_content_rel_1']['id'] = 'flag_content_rel_1';
  $handler->display->display_options['relationships']['flag_content_rel_1']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_1']['label'] = 'Rejected';
  $handler->display->display_options['relationships']['flag_content_rel_1']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_1']['flag'] = 'presentation_reject';
  $handler->display->display_options['relationships']['flag_content_rel_1']['user_scope'] = 'any';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['relationships']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['label'] = 'Area';
  $handler->display->display_options['relationships']['conference_area_target_id']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid_1']['id'] = 'nid_1';
  $handler->display->display_options['fields']['nid_1']['table'] = 'node';
  $handler->display->display_options['fields']['nid_1']['field'] = 'nid';
  $handler->display->display_options['fields']['nid_1']['relationship'] = 'conference_area_target_id';
  $handler->display->display_options['fields']['nid_1']['label'] = 'Area Nid';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Area (conference_area) */
  $handler->display->display_options['arguments']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['arguments']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['arguments']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['arguments']['conference_area_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'presentation' => 'presentation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged']['id'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['filters']['flagged']['value'] = '0';
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged_1']['id'] = 'flagged_1';
  $handler->display->display_options['filters']['flagged_1']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_1']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_1']['relationship'] = 'flag_content_rel_1';
  $handler->display->display_options['filters']['flagged_1']['value'] = '0';
  $handler->display->display_options['inherit_arguments'] = FALSE;

  /* Display: Dashboard: all */
  $handler = $view->new_display('attachment', 'Dashboard: all', 'presentations_all');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['element_type'] = '';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['element_type'] = '';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['last_every_nth'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'presentation' => 'presentation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['inherit_arguments'] = FALSE;

  /* Display: Dashboard: area */
  $handler = $view->new_display('attachment', 'Dashboard: area', 'presentations_area');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['element_type'] = '';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['element_type'] = '';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['last_every_nth'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['relationships']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['label'] = 'Area';
  $handler->display->display_options['relationships']['conference_area_target_id']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid_1']['id'] = 'nid_1';
  $handler->display->display_options['fields']['nid_1']['table'] = 'node';
  $handler->display->display_options['fields']['nid_1']['field'] = 'nid';
  $handler->display->display_options['fields']['nid_1']['relationship'] = 'conference_area_target_id';
  $handler->display->display_options['fields']['nid_1']['label'] = 'Area Nid';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Area (conference_area) */
  $handler->display->display_options['arguments']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['arguments']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['arguments']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['arguments']['conference_area_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'presentation' => 'presentation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['inherit_arguments'] = FALSE;

  /* Display: All CSV */
  $handler = $view->new_display('views_data_export', 'All CSV', 'xls');
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_csv';
  $handler->display->display_options['style_options']['provide_file'] = 1;
  $handler->display->display_options['style_options']['parent_sort'] = 0;
  $handler->display->display_options['style_options']['quote'] = 1;
  $handler->display->display_options['style_options']['trim'] = 0;
  $handler->display->display_options['style_options']['replace_newlines'] = 1;
  $handler->display->display_options['style_options']['newline_replacement'] = '';
  $handler->display->display_options['style_options']['header'] = 1;
  $handler->display->display_options['style_options']['keep_html'] = 0;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = 'Node ID';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Area */
  $handler->display->display_options['fields']['conference_area']['id'] = 'conference_area';
  $handler->display->display_options['fields']['conference_area']['table'] = 'field_data_conference_area';
  $handler->display->display_options['fields']['conference_area']['field'] = 'conference_area';
  $handler->display->display_options['fields']['conference_area']['element_label_colon'] = FALSE;
  /* Field: Content: Presenters */
  $handler->display->display_options['fields']['conference_presenters']['id'] = 'conference_presenters';
  $handler->display->display_options['fields']['conference_presenters']['table'] = 'field_data_conference_presenters';
  $handler->display->display_options['fields']['conference_presenters']['field'] = 'conference_presenters';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['fields']['title_1']['label'] = 'Session';
  /* Field: Content: Post date */
  $handler->display->display_options['fields']['created_1']['id'] = 'created_1';
  $handler->display->display_options['fields']['created_1']['table'] = 'node';
  $handler->display->display_options['fields']['created_1']['field'] = 'created';
  $handler->display->display_options['fields']['created_1']['label'] = 'Submitted';
  $handler->display->display_options['fields']['created_1']['date_format'] = 'short';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'presentation' => 'presentation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
    2 => '2',
    16 => 0,
    17 => 0,
  );
  /* Filter criterion: Content: Area (conference_area) (reference filter) */
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['id'] = 'conference_area_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['table'] = 'field_data_conference_area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['field'] = 'conference_area_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_area_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['label'] = 'Area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['operator'] = 'conference_area_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['identifier'] = 'area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Approved */
  $handler->display->display_options['filters']['flagged']['id'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['filters']['flagged']['ui_name'] = 'Approved';
  $handler->display->display_options['filters']['flagged']['value'] = 'All';
  $handler->display->display_options['filters']['flagged']['group'] = 1;
  $handler->display->display_options['filters']['flagged']['exposed'] = TRUE;
  $handler->display->display_options['filters']['flagged']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged']['expose']['label'] = 'Approved';
  $handler->display->display_options['filters']['flagged']['expose']['operator'] = 'flagged_op';
  $handler->display->display_options['filters']['flagged']['expose']['identifier'] = 'approved';
  $handler->display->display_options['filters']['flagged']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Rejected */
  $handler->display->display_options['filters']['flagged_1']['id'] = 'flagged_1';
  $handler->display->display_options['filters']['flagged_1']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_1']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_1']['relationship'] = 'flag_content_rel_2';
  $handler->display->display_options['filters']['flagged_1']['ui_name'] = 'Rejected';
  $handler->display->display_options['filters']['flagged_1']['value'] = 'All';
  $handler->display->display_options['filters']['flagged_1']['group'] = 1;
  $handler->display->display_options['filters']['flagged_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['flagged_1']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged_1']['expose']['label'] = 'Rejected';
  $handler->display->display_options['filters']['flagged_1']['expose']['operator'] = 'flagged_1_op';
  $handler->display->display_options['filters']['flagged_1']['expose']['identifier'] = 'rejected';
  $handler->display->display_options['filters']['flagged_1']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Withdrawn */
  $handler->display->display_options['filters']['flagged_2']['id'] = 'flagged_2';
  $handler->display->display_options['filters']['flagged_2']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_2']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_2']['relationship'] = 'flag_content_rel_1';
  $handler->display->display_options['filters']['flagged_2']['ui_name'] = 'Withdrawn';
  $handler->display->display_options['filters']['flagged_2']['value'] = '0';
  $handler->display->display_options['filters']['flagged_2']['group'] = 1;
  $handler->display->display_options['filters']['flagged_2']['exposed'] = TRUE;
  $handler->display->display_options['filters']['flagged_2']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged_2']['expose']['label'] = 'Withdrawn';
  $handler->display->display_options['filters']['flagged_2']['expose']['operator'] = 'flagged_2_op';
  $handler->display->display_options['filters']['flagged_2']['expose']['identifier'] = 'withdrawn';
  $handler->display->display_options['filters']['flagged_2']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['path'] = 'admin/conference/presentations/%/presentations_export';
  $handler->display->display_options['displays'] = array(
    'page' => 'page',
    'default' => 0,
    'bychair' => 0,
  );
  $handler->display->display_options['use_batch'] = 'batch';
  $handler->display->display_options['segment_size'] = '100';

  /* Display: Notifications */
  $handler = $view->new_display('page', 'Notifications', 'all_notifications');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Pending notifications';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'presentations_pending_notification';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'counter' => 'counter',
    'title' => 'title',
    'title_2' => 'title_2',
    'conference_presenters' => 'conference_presenters',
    'title_1' => 'title_1',
    'conference_areas' => 'conference_areas',
    'created_1' => 'created_1',
    'created' => 'created_1',
    'ops' => 'ops',
    'comment_count' => 'comment_count',
    'new_comments' => 'comment_count',
    'flagged' => 'flagged',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['style_options']['default'] = 'created';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'counter' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_2' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_presenters' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_areas' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'ops' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'comment_count' => array(
      'sortable' => 1,
      'default_sort_order' => 'desc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 1,
    ),
    'new_comments' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'flagged' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['sticky'] = TRUE;
  $handler->display->display_options['style_options']['empty_table'] = TRUE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_presenters_target_id']['id'] = 'conference_presenters_target_id';
  $handler->display->display_options['relationships']['conference_presenters_target_id']['table'] = 'field_data_conference_presenters';
  $handler->display->display_options['relationships']['conference_presenters_target_id']['field'] = 'conference_presenters_target_id';
  $handler->display->display_options['relationships']['conference_presenters_target_id']['label'] = 'Presenter';
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['id'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['field'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['label'] = 'Sessions';
  /* Relationship: Flags: presentation_approve */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Approve';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_approve';
  $handler->display->display_options['relationships']['flag_content_rel']['user_scope'] = 'any';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['relationships']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['label'] = 'Area';
  /* Relationship: Flags: presentation_reject */
  $handler->display->display_options['relationships']['flag_content_rel_1']['id'] = 'flag_content_rel_1';
  $handler->display->display_options['relationships']['flag_content_rel_1']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_1']['label'] = 'Reject';
  $handler->display->display_options['relationships']['flag_content_rel_1']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_1']['flag'] = 'presentation_reject';
  $handler->display->display_options['relationships']['flag_content_rel_1']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_withdraw */
  $handler->display->display_options['relationships']['flag_content_rel_2']['id'] = 'flag_content_rel_2';
  $handler->display->display_options['relationships']['flag_content_rel_2']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_2']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_2']['ui_name'] = 'Withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_2']['label'] = 'Withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_2']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_2']['flag'] = 'presentation_withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_2']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_notified */
  $handler->display->display_options['relationships']['flag_content_rel_3']['id'] = 'flag_content_rel_3';
  $handler->display->display_options['relationships']['flag_content_rel_3']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_3']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_3']['label'] = 'Notified';
  $handler->display->display_options['relationships']['flag_content_rel_3']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_3']['flag'] = 'presentation_notified';
  $handler->display->display_options['relationships']['flag_content_rel_3']['user_scope'] = 'any';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: Content */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'node';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '1';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['row_clickable'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::conference_submissions_notify_speaker' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
  );
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_2']['id'] = 'title_2';
  $handler->display->display_options['fields']['title_2']['table'] = 'node';
  $handler->display->display_options['fields']['title_2']['field'] = 'title';
  $handler->display->display_options['fields']['title_2']['relationship'] = 'conference_area_target_id';
  $handler->display->display_options['fields']['title_2']['label'] = 'Area';
  /* Field: Content: Presenters */
  $handler->display->display_options['fields']['conference_presenters']['id'] = 'conference_presenters';
  $handler->display->display_options['fields']['conference_presenters']['table'] = 'field_data_conference_presenters';
  $handler->display->display_options['fields']['conference_presenters']['field'] = 'conference_presenters';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['fields']['title_1']['label'] = 'Session';
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['relationship'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['fields']['conference_areas']['label'] = 'Session area';
  /* Field: Content: Post date */
  $handler->display->display_options['fields']['created_1']['id'] = 'created_1';
  $handler->display->display_options['fields']['created_1']['table'] = 'node';
  $handler->display->display_options['fields']['created_1']['field'] = 'created';
  $handler->display->display_options['fields']['created_1']['label'] = 'Submitted';
  $handler->display->display_options['fields']['created_1']['date_format'] = 'short';
  /* Field: Submitted (time ago) */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'node';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['ui_name'] = 'Submitted (time ago)';
  $handler->display->display_options['fields']['created']['label'] = '';
  $handler->display->display_options['fields']['created']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['created']['alter']['text'] = '<span class="time-ago">[created]</span>';
  $handler->display->display_options['fields']['created']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['created']['date_format'] = 'time ago';
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flagging';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = '';
  $handler->display->display_options['fields']['ops']['element_label_colon'] = FALSE;
  /* Field: Content: Comment count */
  $handler->display->display_options['fields']['comment_count']['id'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['table'] = 'node_comment_statistics';
  $handler->display->display_options['fields']['comment_count']['field'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['label'] = 'Comments';
  $handler->display->display_options['fields']['comment_count']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['separator'] = '';
  $handler->display->display_options['fields']['comment_count']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['format_plural_singular'] = '1 comment';
  $handler->display->display_options['fields']['comment_count']['format_plural_plural'] = '@count comments';
  /* Field: Content: New comments */
  $handler->display->display_options['fields']['new_comments']['id'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['table'] = 'node';
  $handler->display->display_options['fields']['new_comments']['field'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['label'] = '';
  $handler->display->display_options['fields']['new_comments']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['alter']['text'] = '<span class="new">[new_comments]</a>';
  $handler->display->display_options['fields']['new_comments']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['new_comments']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['separator'] = '';
  $handler->display->display_options['fields']['new_comments']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['format_plural_singular'] = '1 new comment';
  $handler->display->display_options['fields']['new_comments']['format_plural_plural'] = '@count new comments';
  /* Field: Flags: Flagged */
  $handler->display->display_options['fields']['flagged']['id'] = 'flagged';
  $handler->display->display_options['fields']['flagged']['table'] = 'flagging';
  $handler->display->display_options['fields']['flagged']['field'] = 'flagged';
  $handler->display->display_options['fields']['flagged']['relationship'] = 'flag_content_rel_2';
  $handler->display->display_options['fields']['flagged']['label'] = 'Withdrawn';
  $handler->display->display_options['fields']['flagged']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['flagged']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['flagged']['not'] = 0;
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    2 => 'OR',
  );
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'presentation' => 'presentation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
    2 => '2',
    16 => 0,
    17 => 0,
  );
  /* Filter criterion: Content: Area (conference_area) (reference filter) */
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['id'] = 'conference_area_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['table'] = 'field_data_conference_area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['field'] = 'conference_area_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_area_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['label'] = 'Area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['operator'] = 'conference_area_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['identifier'] = 'area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:area';
  /* Filter criterion: Withdrawn */
  $handler->display->display_options['filters']['flagged_2']['id'] = 'flagged_2';
  $handler->display->display_options['filters']['flagged_2']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_2']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_2']['relationship'] = 'flag_content_rel_2';
  $handler->display->display_options['filters']['flagged_2']['ui_name'] = 'Withdrawn';
  $handler->display->display_options['filters']['flagged_2']['value'] = '0';
  $handler->display->display_options['filters']['flagged_2']['group'] = 1;
  $handler->display->display_options['filters']['flagged_2']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged_2']['expose']['label'] = 'Withdrawn';
  $handler->display->display_options['filters']['flagged_2']['expose']['operator'] = 'flagged_2_op';
  $handler->display->display_options['filters']['flagged_2']['expose']['identifier'] = 'withdrawn';
  $handler->display->display_options['filters']['flagged_2']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged_3']['id'] = 'flagged_3';
  $handler->display->display_options['filters']['flagged_3']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_3']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_3']['relationship'] = 'flag_content_rel_3';
  $handler->display->display_options['filters']['flagged_3']['value'] = '0';
  $handler->display->display_options['filters']['flagged_3']['group'] = 1;
  $handler->display->display_options['filters']['flagged_3']['exposed'] = TRUE;
  $handler->display->display_options['filters']['flagged_3']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged_3']['expose']['label'] = 'Notified';
  $handler->display->display_options['filters']['flagged_3']['expose']['operator'] = 'flagged_3_op';
  $handler->display->display_options['filters']['flagged_3']['expose']['identifier'] = 'notified';
  $handler->display->display_options['filters']['flagged_3']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Approved */
  $handler->display->display_options['filters']['flagged']['id'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['filters']['flagged']['ui_name'] = 'Approved';
  $handler->display->display_options['filters']['flagged']['value'] = '1';
  $handler->display->display_options['filters']['flagged']['group'] = 2;
  $handler->display->display_options['filters']['flagged']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged']['expose']['label'] = 'Approved';
  $handler->display->display_options['filters']['flagged']['expose']['operator'] = 'flagged_op';
  $handler->display->display_options['filters']['flagged']['expose']['identifier'] = 'approved';
  $handler->display->display_options['filters']['flagged']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Rejected */
  $handler->display->display_options['filters']['flagged_1']['id'] = 'flagged_1';
  $handler->display->display_options['filters']['flagged_1']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_1']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_1']['relationship'] = 'flag_content_rel_1';
  $handler->display->display_options['filters']['flagged_1']['ui_name'] = 'Rejected';
  $handler->display->display_options['filters']['flagged_1']['value'] = '1';
  $handler->display->display_options['filters']['flagged_1']['group'] = 2;
  $handler->display->display_options['filters']['flagged_1']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged_1']['expose']['label'] = 'Rejected';
  $handler->display->display_options['filters']['flagged_1']['expose']['operator'] = 'flagged_1_op';
  $handler->display->display_options['filters']['flagged_1']['expose']['identifier'] = 'rejected';
  $handler->display->display_options['filters']['flagged_1']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['path'] = 'admin/conference/notifications/all';
  $handler->display->display_options['menu']['type'] = 'default tab';
  $handler->display->display_options['menu']['title'] = 'All';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'tab';
  $handler->display->display_options['tab_options']['title'] = 'Pending notifications';
  $handler->display->display_options['tab_options']['weight'] = '10';

  /* Display: Notifications by chair */
  $handler = $view->new_display('page', 'Notifications by chair', 'bychair_notifications');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Pending notifications in your areas';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'presentations_area_pending_notification';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'conference_area',
      'rendered' => 0,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'counter' => 'counter',
    'title' => 'title',
    'conference_area' => 'conference_area',
    'title_1' => 'title_1',
    'created_1' => 'created_1',
    'created' => 'created_1',
    'ops' => 'ops',
    'comment_count' => 'comment_count',
    'new_comments' => 'comment_count',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'counter' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_area' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'created_1' => array(
      'sortable' => 1,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'ops' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'comment_count' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 1,
    ),
    'new_comments' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['sticky'] = TRUE;
  $handler->display->display_options['style_options']['empty_table'] = TRUE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['content'] = 'There are no presentations, or you\'re not the chair of the selected area.';
  $handler->display->display_options['empty']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['relationships']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['label'] = 'Area';
  /* Relationship: Sessions */
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['id'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['field'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['ui_name'] = 'Sessions';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['label'] = 'Sessions';
  /* Relationship: Flags: presentation_approve */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Approve';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_approve';
  /* Relationship: Flags: presentation_reject */
  $handler->display->display_options['relationships']['flag_content_rel_1']['id'] = 'flag_content_rel_1';
  $handler->display->display_options['relationships']['flag_content_rel_1']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_1']['label'] = 'Reject';
  $handler->display->display_options['relationships']['flag_content_rel_1']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_1']['flag'] = 'presentation_reject';
  $handler->display->display_options['relationships']['flag_content_rel_1']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_withdraw */
  $handler->display->display_options['relationships']['flag_content_rel_2']['id'] = 'flag_content_rel_2';
  $handler->display->display_options['relationships']['flag_content_rel_2']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_2']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_2']['ui_name'] = 'Withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_2']['label'] = 'Withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_2']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_2']['flag'] = 'presentation_withdraw';
  $handler->display->display_options['relationships']['flag_content_rel_2']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_notified */
  $handler->display->display_options['relationships']['flag_content_rel_3']['id'] = 'flag_content_rel_3';
  $handler->display->display_options['relationships']['flag_content_rel_3']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_3']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_3']['label'] = 'Notified';
  $handler->display->display_options['relationships']['flag_content_rel_3']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_3']['flag'] = 'presentation_notified';
  $handler->display->display_options['relationships']['flag_content_rel_3']['user_scope'] = 'any';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: Content */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'node';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = '';
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '1';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['row_clickable'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::conference_submissions_notify_speaker' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
  );
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Area */
  $handler->display->display_options['fields']['conference_area']['id'] = 'conference_area';
  $handler->display->display_options['fields']['conference_area']['table'] = 'field_data_conference_area';
  $handler->display->display_options['fields']['conference_area']['field'] = 'conference_area';
  $handler->display->display_options['fields']['conference_area']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['fields']['title_1']['label'] = 'Session';
  /* Field: Content: Post date */
  $handler->display->display_options['fields']['created_1']['id'] = 'created_1';
  $handler->display->display_options['fields']['created_1']['table'] = 'node';
  $handler->display->display_options['fields']['created_1']['field'] = 'created';
  $handler->display->display_options['fields']['created_1']['label'] = 'Submitted';
  $handler->display->display_options['fields']['created_1']['date_format'] = 'short';
  /* Field: Submitted (time ago) */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'node';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['ui_name'] = 'Submitted (time ago)';
  $handler->display->display_options['fields']['created']['label'] = '';
  $handler->display->display_options['fields']['created']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['created']['alter']['text'] = '<span class="time-ago">[created]</span>';
  $handler->display->display_options['fields']['created']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['created']['date_format'] = 'time ago';
  /* Field: Flags: Flag link */
  $handler->display->display_options['fields']['ops']['id'] = 'ops';
  $handler->display->display_options['fields']['ops']['table'] = 'flagging';
  $handler->display->display_options['fields']['ops']['field'] = 'ops';
  $handler->display->display_options['fields']['ops']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['fields']['ops']['label'] = '';
  $handler->display->display_options['fields']['ops']['element_label_colon'] = FALSE;
  /* Field: Content: Comment count */
  $handler->display->display_options['fields']['comment_count']['id'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['table'] = 'node_comment_statistics';
  $handler->display->display_options['fields']['comment_count']['field'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['label'] = 'Comments';
  $handler->display->display_options['fields']['comment_count']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['format_plural_singular'] = '1 comment';
  $handler->display->display_options['fields']['comment_count']['format_plural_plural'] = '@count comments';
  /* Field: Content: New comments */
  $handler->display->display_options['fields']['new_comments']['id'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['table'] = 'node';
  $handler->display->display_options['fields']['new_comments']['field'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['label'] = '';
  $handler->display->display_options['fields']['new_comments']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['alter']['text'] = '<span class="new">[new_comments]</a>';
  $handler->display->display_options['fields']['new_comments']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['new_comments']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['format_plural_singular'] = '1 new comment';
  $handler->display->display_options['fields']['new_comments']['format_plural_plural'] = '@count new comments';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Area (conference_area) */
  $handler->display->display_options['sorts']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['sorts']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['sorts']['conference_area_target_id']['field'] = 'conference_area_target_id';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    2 => 'OR',
  );
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'presentation' => 'presentation',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Content: Area (conference_area) (reference filter) */
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['id'] = 'conference_area_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['table'] = 'field_data_conference_area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['field'] = 'conference_area_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_area_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['label'] = 'Area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['operator'] = 'conference_area_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['identifier'] = 'area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:area';
  /* Filter criterion: Withdrawn */
  $handler->display->display_options['filters']['flagged_2']['id'] = 'flagged_2';
  $handler->display->display_options['filters']['flagged_2']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_2']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_2']['relationship'] = 'flag_content_rel_2';
  $handler->display->display_options['filters']['flagged_2']['ui_name'] = 'Withdrawn';
  $handler->display->display_options['filters']['flagged_2']['value'] = '0';
  $handler->display->display_options['filters']['flagged_2']['group'] = 1;
  $handler->display->display_options['filters']['flagged_2']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged_2']['expose']['label'] = 'Withdrawn';
  $handler->display->display_options['filters']['flagged_2']['expose']['operator'] = 'flagged_2_op';
  $handler->display->display_options['filters']['flagged_2']['expose']['identifier'] = 'withdrawn';
  $handler->display->display_options['filters']['flagged_2']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Approved */
  $handler->display->display_options['filters']['flagged']['id'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['filters']['flagged']['ui_name'] = 'Approved';
  $handler->display->display_options['filters']['flagged']['value'] = '1';
  $handler->display->display_options['filters']['flagged']['group'] = 2;
  $handler->display->display_options['filters']['flagged']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged']['expose']['label'] = 'Approved';
  $handler->display->display_options['filters']['flagged']['expose']['operator'] = 'flagged_op';
  $handler->display->display_options['filters']['flagged']['expose']['identifier'] = 'approved';
  $handler->display->display_options['filters']['flagged']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Rejected */
  $handler->display->display_options['filters']['flagged_1']['id'] = 'flagged_1';
  $handler->display->display_options['filters']['flagged_1']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_1']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_1']['relationship'] = 'flag_content_rel_1';
  $handler->display->display_options['filters']['flagged_1']['ui_name'] = 'Rejected';
  $handler->display->display_options['filters']['flagged_1']['value'] = '1';
  $handler->display->display_options['filters']['flagged_1']['group'] = 2;
  $handler->display->display_options['filters']['flagged_1']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged_1']['expose']['label'] = 'Rejected';
  $handler->display->display_options['filters']['flagged_1']['expose']['operator'] = 'flagged_1_op';
  $handler->display->display_options['filters']['flagged_1']['expose']['identifier'] = 'rejected';
  $handler->display->display_options['filters']['flagged_1']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Flags: Flagged */
  $handler->display->display_options['filters']['flagged_3']['id'] = 'flagged_3';
  $handler->display->display_options['filters']['flagged_3']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_3']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_3']['relationship'] = 'flag_content_rel_3';
  $handler->display->display_options['filters']['flagged_3']['value'] = '0';
  $handler->display->display_options['filters']['flagged_3']['exposed'] = TRUE;
  $handler->display->display_options['filters']['flagged_3']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged_3']['expose']['label'] = 'Notified';
  $handler->display->display_options['filters']['flagged_3']['expose']['operator'] = 'flagged_3_op';
  $handler->display->display_options['filters']['flagged_3']['expose']['identifier'] = 'notified';
  $handler->display->display_options['filters']['flagged_3']['expose']['required'] = TRUE;
  $handler->display->display_options['filters']['flagged_3']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['path'] = 'admin/conference/areas/notifications';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Pending notifications';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $export['conference_presentations'] = $view;

  $view = new view();
  $view->name = 'conference_session_chairs';
  $view->description = '';
  $view->tag = 'conference';
  $view->base_table = 'users';
  $view->human_name = 'Conference session chairs';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Session chairs';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '100';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'counter' => 'counter',
    'uid' => 'uid',
    'field_firstname' => 'field_firstname',
    'field_middlename' => 'field_middlename',
    'field_lastname' => 'field_lastname',
    'mail' => 'field_lastname',
    'conference_reference' => 'conference_reference',
    'conference_reference_1' => 'conference_reference_1',
    'booking_id' => 'booking_id',
    'conference_registration' => 'conference_registration',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'counter' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'uid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_firstname' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_middlename' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_lastname' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'mail' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_reference' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_reference_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'booking_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_registration' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_conference_session_chairs_node']['id'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['relationships']['reverse_conference_session_chairs_node']['table'] = 'users';
  $handler->display->display_options['relationships']['reverse_conference_session_chairs_node']['field'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['relationships']['reverse_conference_session_chairs_node']['label'] = 'Session';
  /* Relationship: Registration */
  $handler->display->display_options['relationships']['conference_booking']['id'] = 'conference_booking';
  $handler->display->display_options['relationships']['conference_booking']['table'] = 'users';
  $handler->display->display_options['relationships']['conference_booking']['field'] = 'conference_booking';
  $handler->display->display_options['relationships']['conference_booking']['ui_name'] = 'Registration';
  $handler->display->display_options['relationships']['conference_booking']['label'] = 'Reigstration';
  $handler->display->display_options['relationships']['conference_booking']['bundle_types'] = array(
    'registration' => 'registration',
  );
  /* Relationship: User: Profile */
  $handler->display->display_options['relationships']['profile']['id'] = 'profile';
  $handler->display->display_options['relationships']['profile']['table'] = 'users';
  $handler->display->display_options['relationships']['profile']['field'] = 'profile';
  $handler->display->display_options['relationships']['profile']['bundle_types'] = array(
    'profile' => 'profile',
  );
  /* Field: Bulk operations: User */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'users';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = '';
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['row_clickable'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::conference_booking_user_cancel_withdraw_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::conference_booking_user_unregister_conference_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::conference_booking_user_withdraw_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
  );
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  $handler->display->display_options['fields']['counter']['reverse'] = 1;
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Profile: First name */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_firstname']['label'] = '';
  $handler->display->display_options['fields']['field_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_firstname']['group_column'] = 'entity_id';
  /* Field: Profile: Middle name */
  $handler->display->display_options['fields']['field_middlename']['id'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['table'] = 'field_data_field_middlename';
  $handler->display->display_options['fields']['field_middlename']['field'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_middlename']['label'] = '';
  $handler->display->display_options['fields']['field_middlename']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_middlename']['element_label_colon'] = FALSE;
  /* Field: Profile: Last name */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_lastname']['label'] = 'Name';
  $handler->display->display_options['fields']['field_lastname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['text'] = '[field_lastname], [field_firstname] [field_middlename]';
  $handler->display->display_options['fields']['field_lastname']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['path'] = 'user/[uid]';
  $handler->display->display_options['fields']['field_lastname']['alter']['trim_whitespace'] = TRUE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['label'] = '';
  $handler->display->display_options['fields']['mail']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['mail']['alter']['text'] = '<span class="email">[mail]</span>';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['mail']['link_to_user'] = '0';
  /* Field: Presentation conference */
  $handler->display->display_options['fields']['conference_reference']['id'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['relationship'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['fields']['conference_reference']['ui_name'] = 'Presentation conference';
  $handler->display->display_options['fields']['conference_reference']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_reference']['group_column'] = 'entity_id';
  /* Field: Booking conference */
  $handler->display->display_options['fields']['conference_reference_1']['id'] = 'conference_reference_1';
  $handler->display->display_options['fields']['conference_reference_1']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference_1']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference_1']['relationship'] = 'conference_booking';
  $handler->display->display_options['fields']['conference_reference_1']['ui_name'] = 'Booking conference';
  $handler->display->display_options['fields']['conference_reference_1']['label'] = 'Booking conference';
  $handler->display->display_options['fields']['conference_reference_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_reference_1']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_reference_1']['group_column'] = 'entity_id';
  /* Field: Booking: Booking ID */
  $handler->display->display_options['fields']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['relationship'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['booking_id']['separator'] = '';
  /* Field: User: Conference registration */
  $handler->display->display_options['fields']['conference_registration']['id'] = 'conference_registration';
  $handler->display->display_options['fields']['conference_registration']['table'] = 'views_entity_user';
  $handler->display->display_options['fields']['conference_registration']['field'] = 'conference_registration';
  /* Sort criterion: Profile: Last name (field_lastname) */
  $handler->display->display_options['sorts']['field_lastname_value']['id'] = 'field_lastname_value';
  $handler->display->display_options['sorts']['field_lastname_value']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['sorts']['field_lastname_value']['field'] = 'field_lastname_value';
  $handler->display->display_options['sorts']['field_lastname_value']['relationship'] = 'profile';
  /* Sort criterion: Profile: First name (field_firstname) */
  $handler->display->display_options['sorts']['field_firstname_value']['id'] = 'field_firstname_value';
  $handler->display->display_options['sorts']['field_firstname_value']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['sorts']['field_firstname_value']['field'] = 'field_firstname_value';
  $handler->display->display_options['sorts']['field_firstname_value']['relationship'] = 'profile';
  /* Sort criterion: Profile: Middle name (field_middlename) */
  $handler->display->display_options['sorts']['field_middlename_value']['id'] = 'field_middlename_value';
  $handler->display->display_options['sorts']['field_middlename_value']['table'] = 'field_data_field_middlename';
  $handler->display->display_options['sorts']['field_middlename_value']['field'] = 'field_middlename_value';
  $handler->display->display_options['sorts']['field_middlename_value']['relationship'] = 'profile';
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    2 => 'OR',
    3 => 'OR',
    4 => 'OR',
  );
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['relationship'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: Content: Areas (conference_areas) (reference filter) */
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['id'] = 'conference_areas_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['field'] = 'conference_areas_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['relationship'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_areas_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['label'] = 'Area';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['operator'] = 'conference_areas_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['identifier'] = 'area';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:area';
  /* Filter criterion: Global: Fields comparison */
  $handler->display->display_options['filters']['fields_compare']['id'] = 'fields_compare';
  $handler->display->display_options['filters']['fields_compare']['table'] = 'views';
  $handler->display->display_options['filters']['fields_compare']['field'] = 'fields_compare';
  $handler->display->display_options['filters']['fields_compare']['group'] = 2;
  $handler->display->display_options['filters']['fields_compare']['right_field'] = 'conference_reference_1';
  $handler->display->display_options['filters']['fields_compare']['left_field'] = 'conference_reference';
  /* Filter criterion: Global: Fields comparison */
  $handler->display->display_options['filters']['fields_compare_1']['id'] = 'fields_compare_1';
  $handler->display->display_options['filters']['fields_compare_1']['table'] = 'views';
  $handler->display->display_options['filters']['fields_compare_1']['field'] = 'fields_compare';
  $handler->display->display_options['filters']['fields_compare_1']['operator'] = '<>';
  $handler->display->display_options['filters']['fields_compare_1']['group'] = 2;
  $handler->display->display_options['filters']['fields_compare_1']['right_field'] = 'conference_reference_1';
  $handler->display->display_options['filters']['fields_compare_1']['left_field'] = 'conference_reference';
  /* Filter criterion: Booking: Booking ID */
  $handler->display->display_options['filters']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['filters']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['filters']['booking_id']['relationship'] = 'conference_booking';
  $handler->display->display_options['filters']['booking_id']['operator'] = 'empty';
  $handler->display->display_options['filters']['booking_id']['group'] = 2;
  /* Filter criterion: Booking: Cancellation officer */
  $handler->display->display_options['filters']['cancel_uid']['id'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid']['field'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['relationship'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid']['value']['value'] = '0';
  $handler->display->display_options['filters']['cancel_uid']['group'] = 3;
  /* Filter criterion: Booking: Cancellation officer */
  $handler->display->display_options['filters']['cancel_uid_1']['id'] = 'cancel_uid_1';
  $handler->display->display_options['filters']['cancel_uid_1']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid_1']['field'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid_1']['relationship'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid_1']['operator'] = 'empty';
  $handler->display->display_options['filters']['cancel_uid_1']['group'] = 3;
  /* Filter criterion: Registration (Pseudo-filter) */
  $handler->display->display_options['filters']['booking_id_1']['id'] = 'booking_id_1';
  $handler->display->display_options['filters']['booking_id_1']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['booking_id_1']['field'] = 'booking_id';
  $handler->display->display_options['filters']['booking_id_1']['relationship'] = 'conference_booking';
  $handler->display->display_options['filters']['booking_id_1']['ui_name'] = 'Registration (Pseudo-filter)';
  $handler->display->display_options['filters']['booking_id_1']['group'] = 4;
  $handler->display->display_options['filters']['booking_id_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['booking_id_1']['expose']['operator_id'] = 'booking_id_1_op';
  $handler->display->display_options['filters']['booking_id_1']['expose']['label'] = 'Booking ID';
  $handler->display->display_options['filters']['booking_id_1']['expose']['operator'] = 'booking_id_1_op';
  $handler->display->display_options['filters']['booking_id_1']['expose']['identifier'] = 'booking_id_1';
  $handler->display->display_options['filters']['booking_id_1']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['booking_id_1']['group_info']['label'] = 'Registered';
  $handler->display->display_options['filters']['booking_id_1']['group_info']['identifier'] = 'registered';
  $handler->display->display_options['filters']['booking_id_1']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Yes',
      'operator' => '=',
      'value' => array(
        'value' => 'yes',
        'min' => '',
        'max' => '',
      ),
    ),
    2 => array(
      'title' => 'No',
      'operator' => '=',
      'value' => array(
        'value' => 'no',
        'min' => '',
        'max' => '',
      ),
    ),
  );

  /* Display: Admin */
  $handler = $view->new_display('page', 'Admin', 'admin');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'session_chairs_unregistered';
  $handler->display->display_options['path'] = 'admin/conference/chairs';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Session chairs';
  $handler->display->display_options['menu']['weight'] = '10';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'tab';
  $handler->display->display_options['tab_options']['title'] = 'Session chairs';
  $handler->display->display_options['tab_options']['weight'] = '0';

  /* Display: Dashboard: Registered */
  $handler = $view->new_display('attachment', 'Dashboard: Registered', 'registered');
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_conference_session_chairs_node']['id'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['relationships']['reverse_conference_session_chairs_node']['table'] = 'users';
  $handler->display->display_options['relationships']['reverse_conference_session_chairs_node']['field'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['relationships']['reverse_conference_session_chairs_node']['label'] = 'Session';
  /* Relationship: Registration */
  $handler->display->display_options['relationships']['conference_booking']['id'] = 'conference_booking';
  $handler->display->display_options['relationships']['conference_booking']['table'] = 'users';
  $handler->display->display_options['relationships']['conference_booking']['field'] = 'conference_booking';
  $handler->display->display_options['relationships']['conference_booking']['ui_name'] = 'Registration';
  $handler->display->display_options['relationships']['conference_booking']['label'] = 'Reigstration';
  $handler->display->display_options['relationships']['conference_booking']['bundle_types'] = array(
    'registration' => 'registration',
  );
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  $handler->display->display_options['fields']['counter']['reverse'] = 1;
  /* Field: Presentation conference */
  $handler->display->display_options['fields']['conference_reference']['id'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['relationship'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['fields']['conference_reference']['ui_name'] = 'Presentation conference';
  $handler->display->display_options['fields']['conference_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_reference']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_reference']['group_column'] = 'entity_id';
  /* Field: Booking conference */
  $handler->display->display_options['fields']['conference_reference_1']['id'] = 'conference_reference_1';
  $handler->display->display_options['fields']['conference_reference_1']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference_1']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference_1']['relationship'] = 'conference_booking';
  $handler->display->display_options['fields']['conference_reference_1']['ui_name'] = 'Booking conference';
  $handler->display->display_options['fields']['conference_reference_1']['label'] = 'Booking conference';
  $handler->display->display_options['fields']['conference_reference_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_reference_1']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_reference_1']['group_column'] = 'entity_id';
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['relationship'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: Global: Fields comparison */
  $handler->display->display_options['filters']['fields_compare']['id'] = 'fields_compare';
  $handler->display->display_options['filters']['fields_compare']['table'] = 'views';
  $handler->display->display_options['filters']['fields_compare']['field'] = 'fields_compare';
  $handler->display->display_options['filters']['fields_compare']['group'] = 1;
  $handler->display->display_options['filters']['fields_compare']['right_field'] = 'conference_reference_1';
  $handler->display->display_options['filters']['fields_compare']['left_field'] = 'conference_reference';
  /* Filter criterion: Booking: Cancellation officer */
  $handler->display->display_options['filters']['cancel_uid']['id'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid']['field'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['relationship'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid']['value']['value'] = '0';
  $handler->display->display_options['filters']['cancel_uid']['group'] = 1;
  $handler->display->display_options['inherit_arguments'] = FALSE;

  /* Display: Data export */
  $handler = $view->new_display('views_data_export', 'Data export', 'csv');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'session_chairs_unregistered';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_csv';
  $handler->display->display_options['style_options']['provide_file'] = 1;
  $handler->display->display_options['style_options']['parent_sort'] = 0;
  $handler->display->display_options['style_options']['quote'] = 1;
  $handler->display->display_options['style_options']['trim'] = 0;
  $handler->display->display_options['style_options']['replace_newlines'] = 0;
  $handler->display->display_options['style_options']['header'] = 1;
  $handler->display->display_options['style_options']['keep_html'] = 0;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  $handler->display->display_options['fields']['counter']['reverse'] = 1;
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = 'User ID';
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Profile: First name */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_firstname']['group_column'] = 'entity_id';
  /* Field: Profile: Middle name */
  $handler->display->display_options['fields']['field_middlename']['id'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['table'] = 'field_data_field_middlename';
  $handler->display->display_options['fields']['field_middlename']['field'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_middlename']['element_label_colon'] = FALSE;
  /* Field: Profile: Last name */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_lastname']['alter']['text'] = '[field_lastname], [field_firstname] [field_middlename]';
  $handler->display->display_options['fields']['field_lastname']['alter']['path'] = 'user/[uid]';
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['label'] = '';
  $handler->display->display_options['fields']['mail']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['mail']['alter']['text'] = '<span class="email">[mail]</span>';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['mail']['link_to_user'] = '0';
  /* Field: Presentation conference */
  $handler->display->display_options['fields']['conference_reference']['id'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['relationship'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['fields']['conference_reference']['ui_name'] = 'Presentation conference';
  $handler->display->display_options['fields']['conference_reference']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_reference']['group_column'] = 'entity_id';
  /* Field: Booking conference */
  $handler->display->display_options['fields']['conference_reference_1']['id'] = 'conference_reference_1';
  $handler->display->display_options['fields']['conference_reference_1']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference_1']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference_1']['relationship'] = 'conference_booking';
  $handler->display->display_options['fields']['conference_reference_1']['ui_name'] = 'Booking conference';
  $handler->display->display_options['fields']['conference_reference_1']['label'] = 'Booking conference';
  $handler->display->display_options['fields']['conference_reference_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_reference_1']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_reference_1']['group_column'] = 'entity_id';
  /* Field: Booking: Booking ID */
  $handler->display->display_options['fields']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['relationship'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['booking_id']['separator'] = '';
  /* Field: User: Conference registration */
  $handler->display->display_options['fields']['conference_registration']['id'] = 'conference_registration';
  $handler->display->display_options['fields']['conference_registration']['table'] = 'views_entity_user';
  $handler->display->display_options['fields']['conference_registration']['field'] = 'conference_registration';
  $handler->display->display_options['path'] = 'admin/conference/chairs/export';
  $handler->display->display_options['displays'] = array(
    'admin' => 'admin',
    'default' => 0,
  );

  /* Display: By chair */
  $handler = $view->new_display('page', 'By chair', 'bychair');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Session chairs in your areas';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'session_chairs_area_registered';
  $handler->display->display_options['path'] = 'admin/conference/areas/chairs';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Session chairs';
  $handler->display->display_options['menu']['weight'] = '10';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Dashboard: Area registered */
  $handler = $view->new_display('attachment', 'Dashboard: Area registered', 'counter');
  $handler->display->display_options['display_description'] = 'Provides counts for the conference dashboard';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_conference_session_chairs_node']['id'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['relationships']['reverse_conference_session_chairs_node']['table'] = 'users';
  $handler->display->display_options['relationships']['reverse_conference_session_chairs_node']['field'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['relationships']['reverse_conference_session_chairs_node']['label'] = 'Session';
  /* Relationship: Registration */
  $handler->display->display_options['relationships']['conference_booking']['id'] = 'conference_booking';
  $handler->display->display_options['relationships']['conference_booking']['table'] = 'users';
  $handler->display->display_options['relationships']['conference_booking']['field'] = 'conference_booking';
  $handler->display->display_options['relationships']['conference_booking']['ui_name'] = 'Registration';
  $handler->display->display_options['relationships']['conference_booking']['label'] = 'Reigstration';
  $handler->display->display_options['relationships']['conference_booking']['bundle_types'] = array(
    'registration' => 'registration',
  );
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_areas_target_id']['id'] = 'conference_areas_target_id';
  $handler->display->display_options['relationships']['conference_areas_target_id']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['relationships']['conference_areas_target_id']['field'] = 'conference_areas_target_id';
  $handler->display->display_options['relationships']['conference_areas_target_id']['relationship'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['relationships']['conference_areas_target_id']['label'] = 'Areas';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  $handler->display->display_options['fields']['counter']['reverse'] = 1;
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Presentation conference */
  $handler->display->display_options['fields']['conference_reference']['id'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['relationship'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['fields']['conference_reference']['ui_name'] = 'Presentation conference';
  $handler->display->display_options['fields']['conference_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_reference']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_reference']['group_column'] = 'entity_id';
  /* Field: Booking conference */
  $handler->display->display_options['fields']['conference_reference_1']['id'] = 'conference_reference_1';
  $handler->display->display_options['fields']['conference_reference_1']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference_1']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference_1']['relationship'] = 'conference_booking';
  $handler->display->display_options['fields']['conference_reference_1']['ui_name'] = 'Booking conference';
  $handler->display->display_options['fields']['conference_reference_1']['label'] = 'Booking conference';
  $handler->display->display_options['fields']['conference_reference_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_reference_1']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_reference_1']['group_column'] = 'entity_id';
  /* Field: Booking: Booking ID */
  $handler->display->display_options['fields']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['relationship'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['booking_id']['separator'] = '';
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['relationship'] = 'conference_areas_target_id';
  $handler->display->display_options['fields']['nid']['label'] = 'Area Nid';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Areas (conference_areas) */
  $handler->display->display_options['arguments']['conference_areas_target_id']['id'] = 'conference_areas_target_id';
  $handler->display->display_options['arguments']['conference_areas_target_id']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['arguments']['conference_areas_target_id']['field'] = 'conference_areas_target_id';
  $handler->display->display_options['arguments']['conference_areas_target_id']['relationship'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['arguments']['conference_areas_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_areas_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['conference_areas_target_id']['default_argument_options']['argument'] = 'any';
  $handler->display->display_options['arguments']['conference_areas_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_areas_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_areas_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['relationship'] = 'reverse_conference_session_chairs_node';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Booking: Booking ID */
  $handler->display->display_options['arguments']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['arguments']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['arguments']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['arguments']['booking_id']['relationship'] = 'conference_booking';
  $handler->display->display_options['arguments']['booking_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['booking_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['booking_id']['default_argument_options']['argument'] = 'any';
  $handler->display->display_options['arguments']['booking_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['booking_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['booking_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['inherit_arguments'] = FALSE;
  $export['conference_session_chairs'] = $view;

  $view = new view();
  $view->name = 'conference_sessions';
  $view->description = '';
  $view->tag = 'conference';
  $view->base_table = 'node';
  $view->human_name = 'Conference sessions';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Conference sessions';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'sessions';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['disable_sql_rewrite'] = TRUE;
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '100';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'views_bulk_operations' => 'views_bulk_operations',
    'counter' => 'counter',
    'conference_session_number' => 'title',
    'title' => 'title',
    'field_session_type' => 'field_session_type',
    'conference_session_chairs' => 'conference_session_chairs',
    'conference_areas' => 'conference_areas',
    'conference_presentations' => 'conference_presentations',
    'field_technical' => 'field_technical',
    'field_room_size' => 'field_room_size',
    'field_room_configuration' => 'field_room_size',
    'field_notes' => 'field_notes',
    'conference_timeslot_reference' => 'conference_timeslot_reference',
    'count' => 'count',
    'comment_count' => 'comment_count',
    'new_comments' => 'new_comments',
    'edit_node' => 'edit_node',
    'schedule_node' => 'schedule_node',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'views_bulk_operations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'counter' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_session_number' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'field_session_type' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_session_chairs' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_areas' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_presentations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_technical' => array(
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'field_room_size' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => ', ',
      'empty_column' => 0,
    ),
    'field_room_configuration' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_notes' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_timeslot_reference' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'count' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'comment_count' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'new_comments' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'schedule_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['id'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['field'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['label'] = 'Time slot';
  /* Relationship: Flags: personal_calendar counter */
  $handler->display->display_options['relationships']['flag_count_rel']['id'] = 'flag_count_rel';
  $handler->display->display_options['relationships']['flag_count_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_count_rel']['field'] = 'flag_count_rel';
  $handler->display->display_options['relationships']['flag_count_rel']['label'] = 'Personal schedule counter';
  $handler->display->display_options['relationships']['flag_count_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_count_rel']['flag'] = 'personal_calendar';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_areas_target_id']['id'] = 'conference_areas_target_id';
  $handler->display->display_options['relationships']['conference_areas_target_id']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['relationships']['conference_areas_target_id']['field'] = 'conference_areas_target_id';
  $handler->display->display_options['relationships']['conference_areas_target_id']['label'] = 'Areas';
  /* Field: Content: Session number */
  $handler->display->display_options['fields']['conference_session_number']['id'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['field'] = 'conference_session_number';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  /* Field: Field: Presentations */
  $handler->display->display_options['fields']['conference_presentations']['id'] = 'conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['table'] = 'field_data_conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['field'] = 'conference_presentations';
  /* Field: Content: Audio-video requirements */
  $handler->display->display_options['fields']['field_technical']['id'] = 'field_technical';
  $handler->display->display_options['fields']['field_technical']['table'] = 'field_data_field_technical';
  $handler->display->display_options['fields']['field_technical']['field'] = 'field_technical';
  $handler->display->display_options['fields']['field_technical']['label'] = 'Audio-video';
  $handler->display->display_options['fields']['field_technical']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_technical']['multi_type'] = 'ul';
  /* Field: Content: Room size */
  $handler->display->display_options['fields']['field_room_size']['id'] = 'field_room_size';
  $handler->display->display_options['fields']['field_room_size']['table'] = 'field_data_field_room_size';
  $handler->display->display_options['fields']['field_room_size']['field'] = 'field_room_size';
  $handler->display->display_options['fields']['field_room_size']['label'] = 'Room';
  $handler->display->display_options['fields']['field_room_size']['type'] = 'list_key';
  /* Field: Content: Room configuration */
  $handler->display->display_options['fields']['field_room_configuration']['id'] = 'field_room_configuration';
  $handler->display->display_options['fields']['field_room_configuration']['table'] = 'field_data_field_room_configuration';
  $handler->display->display_options['fields']['field_room_configuration']['field'] = 'field_room_configuration';
  /* Field: Content: Scheduling issues */
  $handler->display->display_options['fields']['field_notes']['id'] = 'field_notes';
  $handler->display->display_options['fields']['field_notes']['table'] = 'field_data_field_notes';
  $handler->display->display_options['fields']['field_notes']['field'] = 'field_notes';
  $handler->display->display_options['fields']['field_notes']['settings'] = array(
    'trim_length' => '100',
  );
  /* Field: Content: Conference time slot */
  $handler->display->display_options['fields']['conference_timeslot_reference']['id'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['field'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['label'] = 'Time slot';
  $handler->display->display_options['fields']['conference_timeslot_reference']['type'] = 'node_reference_plain';
  /* Field: Personal schedule counter */
  $handler->display->display_options['fields']['count']['id'] = 'count';
  $handler->display->display_options['fields']['count']['table'] = 'flag_counts';
  $handler->display->display_options['fields']['count']['field'] = 'count';
  $handler->display->display_options['fields']['count']['relationship'] = 'flag_count_rel';
  $handler->display->display_options['fields']['count']['ui_name'] = 'Personal schedule counter';
  $handler->display->display_options['fields']['count']['label'] = 'Personal schedules';
  $handler->display->display_options['fields']['count']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['count']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['count']['separator'] = '';
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title_1']['id'] = 'title_1';
  $handler->display->display_options['sorts']['title_1']['table'] = 'node';
  $handler->display->display_options['sorts']['title_1']['field'] = 'title';
  $handler->display->display_options['sorts']['title_1']['relationship'] = 'conference_areas_target_id';
  $handler->display->display_options['sorts']['title_1']['exposed'] = TRUE;
  $handler->display->display_options['sorts']['title_1']['expose']['label'] = 'Area';
  /* Sort criterion: Content: Time slot -  start date (conference_timeslot) */
  $handler->display->display_options['sorts']['conference_timeslot_value']['id'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['sorts']['conference_timeslot_value']['field'] = 'conference_timeslot_value';
  $handler->display->display_options['sorts']['conference_timeslot_value']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['sorts']['conference_timeslot_value']['exposed'] = TRUE;
  $handler->display->display_options['sorts']['conference_timeslot_value']['expose']['label'] = 'Time slot';
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['sorts']['title']['exposed'] = TRUE;
  $handler->display->display_options['sorts']['title']['expose']['label'] = 'Title';
  /* Sort criterion: Content: Weight (conference_weight) */
  $handler->display->display_options['sorts']['conference_weight_value']['id'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['table'] = 'field_data_conference_weight';
  $handler->display->display_options['sorts']['conference_weight_value']['field'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['exposed'] = TRUE;
  $handler->display->display_options['sorts']['conference_weight_value']['expose']['label'] = 'Area chair’s sorting';
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Type';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: Content: Session type (field_session_type) (reference filter) */
  $handler->display->display_options['filters']['field_session_type_target_id_entityreference_filter']['id'] = 'field_session_type_target_id_entityreference_filter';
  $handler->display->display_options['filters']['field_session_type_target_id_entityreference_filter']['table'] = 'field_data_field_session_type';
  $handler->display->display_options['filters']['field_session_type_target_id_entityreference_filter']['field'] = 'field_session_type_target_id_entityreference_filter';
  $handler->display->display_options['filters']['field_session_type_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['field_session_type_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_session_type_target_id_entityreference_filter']['expose']['operator_id'] = 'field_session_type_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['field_session_type_target_id_entityreference_filter']['expose']['label'] = 'Session type';
  $handler->display->display_options['filters']['field_session_type_target_id_entityreference_filter']['expose']['operator'] = 'field_session_type_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['field_session_type_target_id_entityreference_filter']['expose']['identifier'] = 'field_session_type_target_id_entityreference_filter';
  $handler->display->display_options['filters']['field_session_type_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['field_session_type_target_id_entityreference_filter']['reference_display'] = 'conference_submissions_taxonomy_references:entityreference_1';
  /* Filter criterion: Content: Areas (conference_areas) (reference filter) */
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['id'] = 'conference_areas_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['field'] = 'conference_areas_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_areas_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['label'] = 'Area';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['operator'] = 'conference_areas_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['identifier'] = 'area';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:area';
  /* Filter criterion: Content: Audio-video requirements (field_technical) */
  $handler->display->display_options['filters']['field_technical_value']['id'] = 'field_technical_value';
  $handler->display->display_options['filters']['field_technical_value']['table'] = 'field_data_field_technical';
  $handler->display->display_options['filters']['field_technical_value']['field'] = 'field_technical_value';
  $handler->display->display_options['filters']['field_technical_value']['group'] = 1;
  $handler->display->display_options['filters']['field_technical_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_technical_value']['expose']['operator_id'] = 'field_technical_value_op';
  $handler->display->display_options['filters']['field_technical_value']['expose']['label'] = 'Audio-video';
  $handler->display->display_options['filters']['field_technical_value']['expose']['operator'] = 'field_technical_value_op';
  $handler->display->display_options['filters']['field_technical_value']['expose']['identifier'] = 'field_technical_value';
  $handler->display->display_options['filters']['field_technical_value']['expose']['multiple'] = TRUE;
  /* Filter criterion: Content: Room size (field_room_size) */
  $handler->display->display_options['filters']['field_room_size_value']['id'] = 'field_room_size_value';
  $handler->display->display_options['filters']['field_room_size_value']['table'] = 'field_data_field_room_size';
  $handler->display->display_options['filters']['field_room_size_value']['field'] = 'field_room_size_value';
  $handler->display->display_options['filters']['field_room_size_value']['group'] = 1;
  $handler->display->display_options['filters']['field_room_size_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_room_size_value']['expose']['operator_id'] = 'field_room_size_value_op';
  $handler->display->display_options['filters']['field_room_size_value']['expose']['label'] = 'Room size';
  $handler->display->display_options['filters']['field_room_size_value']['expose']['operator'] = 'field_room_size_value_op';
  $handler->display->display_options['filters']['field_room_size_value']['expose']['identifier'] = 'field_room_size_value';
  /* Filter criterion: Content: Room configuration (field_room_configuration) */
  $handler->display->display_options['filters']['field_room_configuration_value']['id'] = 'field_room_configuration_value';
  $handler->display->display_options['filters']['field_room_configuration_value']['table'] = 'field_data_field_room_configuration';
  $handler->display->display_options['filters']['field_room_configuration_value']['field'] = 'field_room_configuration_value';
  $handler->display->display_options['filters']['field_room_configuration_value']['group'] = 1;
  $handler->display->display_options['filters']['field_room_configuration_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_room_configuration_value']['expose']['operator_id'] = 'field_room_configuration_value_op';
  $handler->display->display_options['filters']['field_room_configuration_value']['expose']['label'] = 'Room type';
  $handler->display->display_options['filters']['field_room_configuration_value']['expose']['operator'] = 'field_room_configuration_value_op';
  $handler->display->display_options['filters']['field_room_configuration_value']['expose']['identifier'] = 'field_room_configuration_value';
  /* Filter criterion: Content: Scheduling issues (field_notes) */
  $handler->display->display_options['filters']['field_notes_value']['id'] = 'field_notes_value';
  $handler->display->display_options['filters']['field_notes_value']['table'] = 'field_data_field_notes';
  $handler->display->display_options['filters']['field_notes_value']['field'] = 'field_notes_value';
  $handler->display->display_options['filters']['field_notes_value']['group'] = 1;
  $handler->display->display_options['filters']['field_notes_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_notes_value']['expose']['operator_id'] = 'field_notes_value_op';
  $handler->display->display_options['filters']['field_notes_value']['expose']['label'] = 'Scheduling issues (field_notes)';
  $handler->display->display_options['filters']['field_notes_value']['expose']['operator'] = 'field_notes_value_op';
  $handler->display->display_options['filters']['field_notes_value']['expose']['identifier'] = 'field_notes_value';
  $handler->display->display_options['filters']['field_notes_value']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['field_notes_value']['group_info']['label'] = 'Scheduling issues';
  $handler->display->display_options['filters']['field_notes_value']['group_info']['identifier'] = 'field_notes_value';
  $handler->display->display_options['filters']['field_notes_value']['group_info']['remember'] = 1;
  $handler->display->display_options['filters']['field_notes_value']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Sessions with issues',
      'operator' => 'not empty',
      'value' => '.',
    ),
    2 => array(
      'title' => 'Sessions without issues',
      'operator' => 'empty',
      'value' => '.',
    ),
  );
  /* Filter criterion: Content: Time-slot picker (conference_timeslot_picker) */
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['id'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['table'] = 'field_data_conference_timeslot_picker';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['field'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group'] = 1;
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['expose']['operator_id'] = 'conference_timeslot_picker_value_op';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['expose']['label'] = 'Time-slot picker (conference_timeslot_picker)';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['expose']['operator'] = 'conference_timeslot_picker_value_op';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['expose']['identifier'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group_info']['label'] = 'Scheduled?';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group_info']['identifier'] = 'scheduled';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Scheduled',
      'operator' => 'not empty',
      'value' => array(
        '_none' => '_none',
      ),
    ),
    2 => array(
      'title' => 'Not scheduled',
      'operator' => 'empty',
      'value' => array(
        '_none' => '_none',
      ),
    ),
  );
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
    2 => '2',
    16 => 0,
    17 => 0,
  );
  /* Filter criterion: Content: Session number (conference_session_number) */
  $handler->display->display_options['filters']['conference_session_number_value']['id'] = 'conference_session_number_value';
  $handler->display->display_options['filters']['conference_session_number_value']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['filters']['conference_session_number_value']['field'] = 'conference_session_number_value';
  $handler->display->display_options['filters']['conference_session_number_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['conference_session_number_value']['group'] = 1;
  $handler->display->display_options['filters']['conference_session_number_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['operator_id'] = 'conference_session_number_value_op';
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['label'] = 'Session number';
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['operator'] = 'conference_session_number_value_op';
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['identifier'] = 'number';
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['remember_roles'] = array(
    2 => '2',
    16 => 0,
    17 => 0,
  );
  /* Filter criterion: MAX(Field: Presentations (conference_presentations:delta)) */
  $handler->display->display_options['filters']['delta']['id'] = 'delta';
  $handler->display->display_options['filters']['delta']['table'] = 'field_data_conference_presentations';
  $handler->display->display_options['filters']['delta']['field'] = 'delta';
  $handler->display->display_options['filters']['delta']['group_type'] = 'max';
  $handler->display->display_options['filters']['delta']['group'] = 1;
  $handler->display->display_options['filters']['delta']['exposed'] = TRUE;
  $handler->display->display_options['filters']['delta']['expose']['operator_id'] = 'delta_op';
  $handler->display->display_options['filters']['delta']['expose']['label'] = 'Presentations (conference_presentations:delta)';
  $handler->display->display_options['filters']['delta']['expose']['operator'] = 'delta_op';
  $handler->display->display_options['filters']['delta']['expose']['identifier'] = 'delta';
  $handler->display->display_options['filters']['delta']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['delta']['group_info']['label'] = 'Number of presentations';
  $handler->display->display_options['filters']['delta']['group_info']['identifier'] = 'delta';
  $handler->display->display_options['filters']['delta']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Two or fewer',
      'operator' => '<',
      'value' => array(
        'value' => '2',
        'min' => '',
        'max' => '1',
      ),
    ),
  );

  /* Display: All */
  $handler = $view->new_display('page', 'All', 'page');
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Bulk operations: Content */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'node';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = '';
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: Content: Session number */
  $handler->display->display_options['fields']['conference_session_number']['id'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['field'] = 'conference_session_number';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  /* Field: Content: Session type */
  $handler->display->display_options['fields']['field_session_type']['id'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['table'] = 'field_data_field_session_type';
  $handler->display->display_options['fields']['field_session_type']['field'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['label'] = 'Type';
  $handler->display->display_options['fields']['field_session_type']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  /* Field: Content: Session chairs */
  $handler->display->display_options['fields']['conference_session_chairs']['id'] = 'conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['table'] = 'field_data_conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['field'] = 'conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs']['settings'] = array(
    'link' => 1,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_session_chairs']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['conference_session_chairs']['delta_offset'] = '0';
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['label'] = 'Area';
  $handler->display->display_options['fields']['conference_areas']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_areas']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['conference_areas']['delta_offset'] = '0';
  $handler->display->display_options['fields']['conference_areas']['multi_type'] = 'ul';
  /* Field: Field: Presentations */
  $handler->display->display_options['fields']['conference_presentations']['id'] = 'conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['table'] = 'field_data_conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['field'] = 'conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['settings'] = array(
    'link' => 1,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_presentations']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['conference_presentations']['delta_offset'] = '0';
  $handler->display->display_options['fields']['conference_presentations']['multi_type'] = 'ul';
  /* Field: Content: Audio-video requirements */
  $handler->display->display_options['fields']['field_technical']['id'] = 'field_technical';
  $handler->display->display_options['fields']['field_technical']['table'] = 'field_data_field_technical';
  $handler->display->display_options['fields']['field_technical']['field'] = 'field_technical';
  $handler->display->display_options['fields']['field_technical']['label'] = 'Audio-video';
  $handler->display->display_options['fields']['field_technical']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['field_technical']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_technical']['multi_type'] = 'ul';
  /* Field: Content: Room size */
  $handler->display->display_options['fields']['field_room_size']['id'] = 'field_room_size';
  $handler->display->display_options['fields']['field_room_size']['table'] = 'field_data_field_room_size';
  $handler->display->display_options['fields']['field_room_size']['field'] = 'field_room_size';
  $handler->display->display_options['fields']['field_room_size']['label'] = 'Room';
  $handler->display->display_options['fields']['field_room_size']['type'] = 'list_key';
  /* Field: Content: Room configuration */
  $handler->display->display_options['fields']['field_room_configuration']['id'] = 'field_room_configuration';
  $handler->display->display_options['fields']['field_room_configuration']['table'] = 'field_data_field_room_configuration';
  $handler->display->display_options['fields']['field_room_configuration']['field'] = 'field_room_configuration';
  /* Field: Content: Scheduling issues */
  $handler->display->display_options['fields']['field_notes']['id'] = 'field_notes';
  $handler->display->display_options['fields']['field_notes']['table'] = 'field_data_field_notes';
  $handler->display->display_options['fields']['field_notes']['field'] = 'field_notes';
  $handler->display->display_options['fields']['field_notes']['settings'] = array(
    'trim_length' => '100',
  );
  /* Field: Content: Conference time slot */
  $handler->display->display_options['fields']['conference_timeslot_reference']['id'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['field'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['label'] = 'Time slot';
  $handler->display->display_options['fields']['conference_timeslot_reference']['type'] = 'node_reference_plain';
  /* Field: Personal schedule counter */
  $handler->display->display_options['fields']['count']['id'] = 'count';
  $handler->display->display_options['fields']['count']['table'] = 'flag_counts';
  $handler->display->display_options['fields']['count']['field'] = 'count';
  $handler->display->display_options['fields']['count']['relationship'] = 'flag_count_rel';
  $handler->display->display_options['fields']['count']['ui_name'] = 'Personal schedule counter';
  $handler->display->display_options['fields']['count']['label'] = 'Personal schedules';
  $handler->display->display_options['fields']['count']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['count']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['count']['separator'] = '';
  /* Field: Content: Comment count */
  $handler->display->display_options['fields']['comment_count']['id'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['table'] = 'node_comment_statistics';
  $handler->display->display_options['fields']['comment_count']['field'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['label'] = 'Comments';
  $handler->display->display_options['fields']['comment_count']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['format_plural_singular'] = '1 comment';
  $handler->display->display_options['fields']['comment_count']['format_plural_plural'] = '@count comments';
  /* Field: Content: New comments */
  $handler->display->display_options['fields']['new_comments']['id'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['table'] = 'node';
  $handler->display->display_options['fields']['new_comments']['field'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['label'] = '';
  $handler->display->display_options['fields']['new_comments']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['alter']['text'] = '<span class="new">[new_comments]</a>';
  $handler->display->display_options['fields']['new_comments']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['new_comments']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['format_plural_singular'] = '1 new comment';
  $handler->display->display_options['fields']['new_comments']['format_plural_plural'] = '@count new comments';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  /* Field: Content: Schedule link */
  $handler->display->display_options['fields']['schedule_node']['id'] = 'schedule_node';
  $handler->display->display_options['fields']['schedule_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['schedule_node']['field'] = 'schedule_node';
  $handler->display->display_options['fields']['schedule_node']['label'] = '';
  $handler->display->display_options['fields']['schedule_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['schedule_node']['text'] = 'schedule';
  $handler->display->display_options['path'] = 'admin/conference/sessions/list';
  $handler->display->display_options['menu']['type'] = 'default tab';
  $handler->display->display_options['menu']['title'] = 'List';
  $handler->display->display_options['menu']['weight'] = '-10';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'tab';
  $handler->display->display_options['tab_options']['title'] = 'Sessions';
  $handler->display->display_options['tab_options']['weight'] = '0';

  /* Display: by chair */
  $handler = $view->new_display('page', 'by chair', 'bychair');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Sessions in your areas';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'sessions_area';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'title_1',
      'rendered' => 1,
      'rendered_strip' => 1,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'draggableviews' => 'draggableviews',
    'title' => 'title',
    'field_session_type' => 'field_session_type',
    'title_1' => 'title_1',
    'field_session_options' => 'field_session_options',
    'conference_session_chairs_1' => 'conference_session_chairs_1',
    'conference_presentations' => 'conference_presentations',
    'field_technical' => 'field_session_options',
    'field_room_size' => 'field_room_size',
    'field_room_configuration' => 'field_room_size',
    'field_notes' => 'field_notes',
    'edit_node' => 'title',
    'conference_timeslot_reference' => 'conference_timeslot_reference',
    'conference_room_reference' => 'conference_room_reference',
    'count' => 'count',
    'comment_count' => 'comment_count',
    'new_comments' => 'comment_count',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'draggableviews' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'field_session_type' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_session_options' => array(
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'conference_session_chairs_1' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_presentations' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_technical' => array(
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'field_room_size' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => ', ',
      'empty_column' => 0,
    ),
    'field_room_configuration' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_notes' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_timeslot_reference' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_room_reference' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'count' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'comment_count' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'new_comments' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['content'] = 'There are no sessions, or you\'re not the chair of the selected area.';
  $handler->display->display_options['empty']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_areas_target_id']['id'] = 'conference_areas_target_id';
  $handler->display->display_options['relationships']['conference_areas_target_id']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['relationships']['conference_areas_target_id']['field'] = 'conference_areas_target_id';
  $handler->display->display_options['relationships']['conference_areas_target_id']['label'] = 'Areas';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['id'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['field'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['relationships']['conference_timeslot_reference_target_id']['label'] = 'Time slot';
  /* Relationship: Flags: personal_calendar counter */
  $handler->display->display_options['relationships']['flag_count_rel']['id'] = 'flag_count_rel';
  $handler->display->display_options['relationships']['flag_count_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_count_rel']['field'] = 'flag_count_rel';
  $handler->display->display_options['relationships']['flag_count_rel']['label'] = 'Personal schedule counter';
  $handler->display->display_options['relationships']['flag_count_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_count_rel']['flag'] = 'personal_calendar';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Draggableviews: Content */
  $handler->display->display_options['fields']['draggableviews']['id'] = 'draggableviews';
  $handler->display->display_options['fields']['draggableviews']['table'] = 'node';
  $handler->display->display_options['fields']['draggableviews']['field'] = 'draggableviews';
  $handler->display->display_options['fields']['draggableviews']['label'] = '';
  $handler->display->display_options['fields']['draggableviews']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['hide_alter_empty'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['draggableviews']['handler'] = 'draggableviews_handler_fieldapi';
  $handler->display->display_options['fields']['draggableviews']['draggableviews']['save_button_label'] = 'Save order';
  $handler->display->display_options['fields']['draggableviews']['draggableviews']['ajax'] = 1;
  $handler->display->display_options['fields']['draggableviews']['draggableviews']['draggableviews_handler_fieldapi'] = array(
    'field' => 'field_data_conference_weight:conference_weight_value',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  /* Field: Content: Session type */
  $handler->display->display_options['fields']['field_session_type']['id'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['table'] = 'field_data_field_session_type';
  $handler->display->display_options['fields']['field_session_type']['field'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['label'] = 'Type';
  $handler->display->display_options['fields']['field_session_type']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  /* Field: Content: Session chairs */
  $handler->display->display_options['fields']['conference_session_chairs_1']['id'] = 'conference_session_chairs_1';
  $handler->display->display_options['fields']['conference_session_chairs_1']['table'] = 'field_data_conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs_1']['field'] = 'conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs_1']['settings'] = array(
    'link' => 1,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_session_chairs_1']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['conference_session_chairs_1']['delta_offset'] = '0';
  $handler->display->display_options['fields']['conference_session_chairs_1']['multi_type'] = 'ul';
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['settings'] = array(
    'link' => 1,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_areas']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['conference_areas']['delta_offset'] = '0';
  /* Field: Content: Session options */
  $handler->display->display_options['fields']['field_session_options']['id'] = 'field_session_options';
  $handler->display->display_options['fields']['field_session_options']['table'] = 'field_data_field_session_options';
  $handler->display->display_options['fields']['field_session_options']['field'] = 'field_session_options';
  $handler->display->display_options['fields']['field_session_options']['label'] = 'Options';
  $handler->display->display_options['fields']['field_session_options']['type'] = 'list_key';
  $handler->display->display_options['fields']['field_session_options']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_session_options']['multi_type'] = 'ul';
  /* Field: Field: Presentations */
  $handler->display->display_options['fields']['conference_presentations']['id'] = 'conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['table'] = 'field_data_conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['field'] = 'conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['settings'] = array(
    'link' => 1,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_presentations']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['conference_presentations']['delta_offset'] = '0';
  $handler->display->display_options['fields']['conference_presentations']['multi_type'] = 'ul';
  /* Field: Content: Audio-video requirements */
  $handler->display->display_options['fields']['field_technical']['id'] = 'field_technical';
  $handler->display->display_options['fields']['field_technical']['table'] = 'field_data_field_technical';
  $handler->display->display_options['fields']['field_technical']['field'] = 'field_technical';
  $handler->display->display_options['fields']['field_technical']['label'] = 'Audio-video';
  $handler->display->display_options['fields']['field_technical']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['field_technical']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_technical']['multi_type'] = 'ul';
  /* Field: Content: Room size */
  $handler->display->display_options['fields']['field_room_size']['id'] = 'field_room_size';
  $handler->display->display_options['fields']['field_room_size']['table'] = 'field_data_field_room_size';
  $handler->display->display_options['fields']['field_room_size']['field'] = 'field_room_size';
  $handler->display->display_options['fields']['field_room_size']['label'] = 'Room';
  $handler->display->display_options['fields']['field_room_size']['type'] = 'list_key';
  /* Field: Content: Room configuration */
  $handler->display->display_options['fields']['field_room_configuration']['id'] = 'field_room_configuration';
  $handler->display->display_options['fields']['field_room_configuration']['table'] = 'field_data_field_room_configuration';
  $handler->display->display_options['fields']['field_room_configuration']['field'] = 'field_room_configuration';
  $handler->display->display_options['fields']['field_room_configuration']['type'] = 'list_key';
  /* Field: Content: Scheduling issues */
  $handler->display->display_options['fields']['field_notes']['id'] = 'field_notes';
  $handler->display->display_options['fields']['field_notes']['table'] = 'field_data_field_notes';
  $handler->display->display_options['fields']['field_notes']['field'] = 'field_notes';
  $handler->display->display_options['fields']['field_notes']['type'] = 'text_trimmed';
  $handler->display->display_options['fields']['field_notes']['settings'] = array(
    'trim_length' => '100',
  );
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  /* Field: Content: Conference time slot */
  $handler->display->display_options['fields']['conference_timeslot_reference']['id'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['field'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['label'] = 'Time slot';
  $handler->display->display_options['fields']['conference_timeslot_reference']['type'] = 'node_reference_plain';
  /* Field: Content: Conference room */
  $handler->display->display_options['fields']['conference_room_reference']['id'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['field'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['type'] = 'node_reference_plain';
  /* Field: Flags: Flag counter */
  $handler->display->display_options['fields']['count']['id'] = 'count';
  $handler->display->display_options['fields']['count']['table'] = 'flag_counts';
  $handler->display->display_options['fields']['count']['field'] = 'count';
  $handler->display->display_options['fields']['count']['relationship'] = 'flag_count_rel';
  $handler->display->display_options['fields']['count']['label'] = 'Personal schedules';
  $handler->display->display_options['fields']['count']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['count']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['count']['separator'] = '';
  /* Field: Content: Comment count */
  $handler->display->display_options['fields']['comment_count']['id'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['table'] = 'node_comment_statistics';
  $handler->display->display_options['fields']['comment_count']['field'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['label'] = 'Comments';
  $handler->display->display_options['fields']['comment_count']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['format_plural_singular'] = '1 comment';
  $handler->display->display_options['fields']['comment_count']['format_plural_plural'] = '@count comments';
  /* Field: Content: New comments */
  $handler->display->display_options['fields']['new_comments']['id'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['table'] = 'node';
  $handler->display->display_options['fields']['new_comments']['field'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['label'] = '';
  $handler->display->display_options['fields']['new_comments']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['new_comments']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['format_plural_singular'] = '1 new comment';
  $handler->display->display_options['fields']['new_comments']['format_plural_plural'] = '@count new comments';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Weight (conference_weight) */
  $handler->display->display_options['sorts']['conference_weight_value']['id'] = 'conference_weight_value';
  $handler->display->display_options['sorts']['conference_weight_value']['table'] = 'field_data_conference_weight';
  $handler->display->display_options['sorts']['conference_weight_value']['field'] = 'conference_weight_value';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Type';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: Content: Areas (conference_areas) (reference filter) */
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['id'] = 'conference_areas_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['field'] = 'conference_areas_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_areas_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['label'] = 'Area';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['operator'] = 'conference_areas_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['identifier'] = 'area';
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['required'] = TRUE;
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    10 => 0,
    3 => 0,
    4 => 0,
    5 => 0,
    14 => 0,
    18 => 0,
    15 => 0,
    11 => 0,
    12 => 0,
    19 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
    9 => 0,
    13 => 0,
    20 => 0,
  );
  $handler->display->display_options['filters']['conference_areas_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:area';
  /* Filter criterion: Content: Audio-video requirements (field_technical) */
  $handler->display->display_options['filters']['field_technical_value']['id'] = 'field_technical_value';
  $handler->display->display_options['filters']['field_technical_value']['table'] = 'field_data_field_technical';
  $handler->display->display_options['filters']['field_technical_value']['field'] = 'field_technical_value';
  $handler->display->display_options['filters']['field_technical_value']['group'] = 1;
  $handler->display->display_options['filters']['field_technical_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_technical_value']['expose']['operator_id'] = 'field_technical_value_op';
  $handler->display->display_options['filters']['field_technical_value']['expose']['label'] = 'Audio-video';
  $handler->display->display_options['filters']['field_technical_value']['expose']['operator'] = 'field_technical_value_op';
  $handler->display->display_options['filters']['field_technical_value']['expose']['identifier'] = 'field_technical_value';
  $handler->display->display_options['filters']['field_technical_value']['expose']['multiple'] = TRUE;
  /* Filter criterion: Content: Room size (field_room_size) */
  $handler->display->display_options['filters']['field_room_size_value']['id'] = 'field_room_size_value';
  $handler->display->display_options['filters']['field_room_size_value']['table'] = 'field_data_field_room_size';
  $handler->display->display_options['filters']['field_room_size_value']['field'] = 'field_room_size_value';
  $handler->display->display_options['filters']['field_room_size_value']['group'] = 1;
  $handler->display->display_options['filters']['field_room_size_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_room_size_value']['expose']['operator_id'] = 'field_room_size_value_op';
  $handler->display->display_options['filters']['field_room_size_value']['expose']['label'] = 'Room size';
  $handler->display->display_options['filters']['field_room_size_value']['expose']['operator'] = 'field_room_size_value_op';
  $handler->display->display_options['filters']['field_room_size_value']['expose']['identifier'] = 'field_room_size_value';
  /* Filter criterion: Content: Room configuration (field_room_configuration) */
  $handler->display->display_options['filters']['field_room_configuration_value']['id'] = 'field_room_configuration_value';
  $handler->display->display_options['filters']['field_room_configuration_value']['table'] = 'field_data_field_room_configuration';
  $handler->display->display_options['filters']['field_room_configuration_value']['field'] = 'field_room_configuration_value';
  $handler->display->display_options['filters']['field_room_configuration_value']['group'] = 1;
  $handler->display->display_options['filters']['field_room_configuration_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_room_configuration_value']['expose']['operator_id'] = 'field_room_configuration_value_op';
  $handler->display->display_options['filters']['field_room_configuration_value']['expose']['label'] = 'Room type';
  $handler->display->display_options['filters']['field_room_configuration_value']['expose']['operator'] = 'field_room_configuration_value_op';
  $handler->display->display_options['filters']['field_room_configuration_value']['expose']['identifier'] = 'field_room_configuration_value';
  /* Filter criterion: Content: Scheduling issues (field_notes) */
  $handler->display->display_options['filters']['field_notes_value']['id'] = 'field_notes_value';
  $handler->display->display_options['filters']['field_notes_value']['table'] = 'field_data_field_notes';
  $handler->display->display_options['filters']['field_notes_value']['field'] = 'field_notes_value';
  $handler->display->display_options['filters']['field_notes_value']['group'] = 1;
  $handler->display->display_options['filters']['field_notes_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_notes_value']['expose']['operator_id'] = 'field_notes_value_op';
  $handler->display->display_options['filters']['field_notes_value']['expose']['label'] = 'Scheduling issues (field_notes)';
  $handler->display->display_options['filters']['field_notes_value']['expose']['operator'] = 'field_notes_value_op';
  $handler->display->display_options['filters']['field_notes_value']['expose']['identifier'] = 'field_notes_value';
  $handler->display->display_options['filters']['field_notes_value']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['field_notes_value']['group_info']['label'] = 'Scheduling issues';
  $handler->display->display_options['filters']['field_notes_value']['group_info']['identifier'] = 'field_notes_value';
  $handler->display->display_options['filters']['field_notes_value']['group_info']['remember'] = 1;
  $handler->display->display_options['filters']['field_notes_value']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Sessions with issues',
      'operator' => 'not empty',
      'value' => '.',
    ),
    2 => array(
      'title' => 'Sessions without issues',
      'operator' => 'empty',
      'value' => '.',
    ),
  );
  /* Filter criterion: Content: Time-slot picker (conference_timeslot_picker) */
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['id'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['table'] = 'field_data_conference_timeslot_picker';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['field'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group'] = 1;
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['expose']['operator_id'] = 'conference_timeslot_picker_value_op';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['expose']['label'] = 'Time-slot picker (conference_timeslot_picker)';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['expose']['operator'] = 'conference_timeslot_picker_value_op';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['expose']['identifier'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group_info']['label'] = 'Scheduled?';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group_info']['identifier'] = 'scheduled';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Scheduled',
      'operator' => 'not empty',
      'value' => array(
        '_none' => '_none',
      ),
    ),
    2 => array(
      'title' => 'Not scheduled',
      'operator' => 'empty',
      'value' => array(
        '_none' => '_none',
      ),
    ),
  );
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
    2 => '2',
    16 => 0,
    17 => 0,
  );
  /* Filter criterion: Content: Session number (conference_session_number) */
  $handler->display->display_options['filters']['conference_session_number_value']['id'] = 'conference_session_number_value';
  $handler->display->display_options['filters']['conference_session_number_value']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['filters']['conference_session_number_value']['field'] = 'conference_session_number_value';
  $handler->display->display_options['filters']['conference_session_number_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['conference_session_number_value']['group'] = 1;
  $handler->display->display_options['filters']['conference_session_number_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['operator_id'] = 'conference_session_number_value_op';
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['label'] = 'Session number';
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['operator'] = 'conference_session_number_value_op';
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['identifier'] = 'number';
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['remember_roles'] = array(
    2 => '2',
    16 => 0,
    17 => 0,
  );
  /* Filter criterion: Field: Presentations (conference_presentations:delta) */
  $handler->display->display_options['filters']['delta']['id'] = 'delta';
  $handler->display->display_options['filters']['delta']['table'] = 'field_data_conference_presentations';
  $handler->display->display_options['filters']['delta']['field'] = 'delta';
  $handler->display->display_options['filters']['delta']['group_type'] = 'max';
  $handler->display->display_options['filters']['delta']['exposed'] = TRUE;
  $handler->display->display_options['filters']['delta']['expose']['operator_id'] = 'delta_op';
  $handler->display->display_options['filters']['delta']['expose']['label'] = 'Presentations (conference_presentations:delta)';
  $handler->display->display_options['filters']['delta']['expose']['operator'] = 'delta_op';
  $handler->display->display_options['filters']['delta']['expose']['identifier'] = 'delta';
  $handler->display->display_options['filters']['delta']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['delta']['group_info']['label'] = 'Number of presentations';
  $handler->display->display_options['filters']['delta']['group_info']['identifier'] = 'delta';
  $handler->display->display_options['filters']['delta']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Two or fewer',
      'operator' => '<',
      'value' => array(
        'value' => '2',
        'min' => '',
        'max' => '1',
      ),
    ),
  );
  $handler->display->display_options['path'] = 'admin/conference/areas/sessions';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Sessions';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Missing data */
  $handler = $view->new_display('page', 'Missing data', 'missing_data');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Sessions with missing data';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'sessions';
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = 'Sessions not attached to a conference, or with a missing session number.';
  $handler->display->display_options['header']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    2 => 'OR',
  );
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Type';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  /* Filter criterion: Content: Session type (field_session_type) */
  $handler->display->display_options['filters']['field_session_type_target_id']['id'] = 'field_session_type_target_id';
  $handler->display->display_options['filters']['field_session_type_target_id']['table'] = 'field_data_field_session_type';
  $handler->display->display_options['filters']['field_session_type_target_id']['field'] = 'field_session_type_target_id';
  $handler->display->display_options['filters']['field_session_type_target_id']['group'] = 1;
  $handler->display->display_options['filters']['field_session_type_target_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_session_type_target_id']['expose']['operator_id'] = 'field_session_type_target_id_op';
  $handler->display->display_options['filters']['field_session_type_target_id']['expose']['label'] = 'Session type';
  $handler->display->display_options['filters']['field_session_type_target_id']['expose']['operator'] = 'field_session_type_target_id_op';
  $handler->display->display_options['filters']['field_session_type_target_id']['expose']['identifier'] = 'field_session_type_target_id';
  $handler->display->display_options['filters']['field_session_type_target_id']['expose']['remember'] = TRUE;
  /* Filter criterion: Content: Session number (conference_session_number) */
  $handler->display->display_options['filters']['conference_session_number_value']['id'] = 'conference_session_number_value';
  $handler->display->display_options['filters']['conference_session_number_value']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['filters']['conference_session_number_value']['field'] = 'conference_session_number_value';
  $handler->display->display_options['filters']['conference_session_number_value']['operator'] = 'empty';
  $handler->display->display_options['filters']['conference_session_number_value']['group'] = 2;
  /* Filter criterion: Field: Conference (conference_reference) */
  $handler->display->display_options['filters']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['filters']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['filters']['conference_reference_target_id']['operator'] = 'empty';
  $handler->display->display_options['filters']['conference_reference_target_id']['group'] = 2;
  /* Filter criterion: Content: Areas (conference_areas) */
  $handler->display->display_options['filters']['conference_areas_target_id']['id'] = 'conference_areas_target_id';
  $handler->display->display_options['filters']['conference_areas_target_id']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['filters']['conference_areas_target_id']['field'] = 'conference_areas_target_id';
  $handler->display->display_options['filters']['conference_areas_target_id']['group'] = 1;
  $handler->display->display_options['filters']['conference_areas_target_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_areas_target_id']['expose']['operator_id'] = 'conference_areas_target_id_op';
  $handler->display->display_options['filters']['conference_areas_target_id']['expose']['label'] = 'Areas';
  $handler->display->display_options['filters']['conference_areas_target_id']['expose']['operator'] = 'conference_areas_target_id_op';
  $handler->display->display_options['filters']['conference_areas_target_id']['expose']['identifier'] = 'conference_areas_target_id';
  $handler->display->display_options['filters']['conference_areas_target_id']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['path'] = 'admin/conference/sessions/missingdata';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Sessions with missing data';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;

  /* Display: All CSV */
  $handler = $view->new_display('views_data_export', 'All CSV', 'csv');
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_csv';
  $handler->display->display_options['style_options']['provide_file'] = 1;
  $handler->display->display_options['style_options']['parent_sort'] = 0;
  $handler->display->display_options['style_options']['quote'] = 1;
  $handler->display->display_options['style_options']['trim'] = 0;
  $handler->display->display_options['style_options']['replace_newlines'] = 1;
  $handler->display->display_options['style_options']['newline_replacement'] = ' ';
  $handler->display->display_options['style_options']['header'] = 1;
  $handler->display->display_options['style_options']['keep_html'] = 0;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = 'Node ID';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  /* Field: Content: Session type */
  $handler->display->display_options['fields']['field_session_type']['id'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['table'] = 'field_data_field_session_type';
  $handler->display->display_options['fields']['field_session_type']['field'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['label'] = 'Type';
  /* Field: Content: Session options */
  $handler->display->display_options['fields']['field_session_options']['id'] = 'field_session_options';
  $handler->display->display_options['fields']['field_session_options']['table'] = 'field_data_field_session_options';
  $handler->display->display_options['fields']['field_session_options']['field'] = 'field_session_options';
  $handler->display->display_options['fields']['field_session_options']['label'] = 'Options';
  $handler->display->display_options['fields']['field_session_options']['type'] = 'list_key';
  $handler->display->display_options['fields']['field_session_options']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_session_options']['multi_type'] = 'ul';
  /* Field: Content: Session chairs */
  $handler->display->display_options['fields']['conference_session_chairs_1']['id'] = 'conference_session_chairs_1';
  $handler->display->display_options['fields']['conference_session_chairs_1']['table'] = 'field_data_conference_session_chairs';
  $handler->display->display_options['fields']['conference_session_chairs_1']['field'] = 'conference_session_chairs';
  /* Field: Field: Presentations */
  $handler->display->display_options['fields']['conference_presentations']['id'] = 'conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['table'] = 'field_data_conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['field'] = 'conference_presentations';
  /* Field: Content: Audio-video requirements */
  $handler->display->display_options['fields']['field_technical']['id'] = 'field_technical';
  $handler->display->display_options['fields']['field_technical']['table'] = 'field_data_field_technical';
  $handler->display->display_options['fields']['field_technical']['field'] = 'field_technical';
  $handler->display->display_options['fields']['field_technical']['label'] = 'Audio-video';
  $handler->display->display_options['fields']['field_technical']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_technical']['multi_type'] = 'ul';
  /* Field: Content: Room size */
  $handler->display->display_options['fields']['field_room_size']['id'] = 'field_room_size';
  $handler->display->display_options['fields']['field_room_size']['table'] = 'field_data_field_room_size';
  $handler->display->display_options['fields']['field_room_size']['field'] = 'field_room_size';
  $handler->display->display_options['fields']['field_room_size']['label'] = 'Room';
  $handler->display->display_options['fields']['field_room_size']['type'] = 'list_key';
  /* Field: Content: Room configuration */
  $handler->display->display_options['fields']['field_room_configuration']['id'] = 'field_room_configuration';
  $handler->display->display_options['fields']['field_room_configuration']['table'] = 'field_data_field_room_configuration';
  $handler->display->display_options['fields']['field_room_configuration']['field'] = 'field_room_configuration';
  /* Field: Content: Scheduling issues */
  $handler->display->display_options['fields']['field_notes']['id'] = 'field_notes';
  $handler->display->display_options['fields']['field_notes']['table'] = 'field_data_field_notes';
  $handler->display->display_options['fields']['field_notes']['field'] = 'field_notes';
  $handler->display->display_options['fields']['field_notes']['settings'] = array(
    'trim_length' => '100',
  );
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_areas']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['conference_areas']['delta_offset'] = '0';
  /* Field: Content: Session number */
  $handler->display->display_options['fields']['conference_session_number']['id'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['field'] = 'conference_session_number';
  $handler->display->display_options['fields']['conference_session_number']['label'] = 'Number';
  $handler->display->display_options['fields']['conference_session_number']['settings'] = array(
    'thousand_separator' => '',
    'prefix_suffix' => 0,
  );
  /* Field: Content: Time slot */
  $handler->display->display_options['fields']['conference_timeslot']['id'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['table'] = 'field_data_conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['field'] = 'conference_timeslot';
  $handler->display->display_options['fields']['conference_timeslot']['relationship'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['fields']['conference_timeslot']['settings'] = array(
    'format_type' => 'html5_tools_iso8601',
    'fromto' => 'value',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
  );
  /* Field: Content: Conference room */
  $handler->display->display_options['fields']['conference_room_reference']['id'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['field'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['type'] = 'node_reference_plain';
  $handler->display->display_options['path'] = 'admin/conference/sessions/export';
  $handler->display->display_options['displays'] = array(
    'page' => 'page',
    'default' => 0,
    'bychair' => 0,
    'missing_data' => 0,
  );

  /* Display: Dashboard: all */
  $handler = $view->new_display('attachment', 'Dashboard: all', 'sessions_all');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['element_type'] = '';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['element_type'] = '';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['last_every_nth'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['inherit_arguments'] = FALSE;

  /* Display: Dashboard: area */
  $handler = $view->new_display('attachment', 'Dashboard: area', 'sessions_area');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['element_type'] = '';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['element_type'] = '';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['last_every_nth'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_areas_target_id']['id'] = 'conference_areas_target_id';
  $handler->display->display_options['relationships']['conference_areas_target_id']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['relationships']['conference_areas_target_id']['field'] = 'conference_areas_target_id';
  $handler->display->display_options['relationships']['conference_areas_target_id']['label'] = 'Areas';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid_1']['id'] = 'nid_1';
  $handler->display->display_options['fields']['nid_1']['table'] = 'node';
  $handler->display->display_options['fields']['nid_1']['field'] = 'nid';
  $handler->display->display_options['fields']['nid_1']['relationship'] = 'conference_areas_target_id';
  $handler->display->display_options['fields']['nid_1']['label'] = 'Area Nid';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Areas (conference_areas) */
  $handler->display->display_options['arguments']['conference_areas_target_id']['id'] = 'conference_areas_target_id';
  $handler->display->display_options['arguments']['conference_areas_target_id']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['arguments']['conference_areas_target_id']['field'] = 'conference_areas_target_id';
  $handler->display->display_options['arguments']['conference_areas_target_id']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['conference_areas_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['conference_areas_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_areas_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_areas_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['inherit_arguments'] = FALSE;

  /* Display: Orphan */
  $handler = $view->new_display('page', 'Orphan', 'sessions_orphan');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Orphan sessions';
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'view-table-wide';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'sessions_orphan';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  /* Field: Content: Session type */
  $handler->display->display_options['fields']['field_session_type']['id'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['table'] = 'field_data_field_session_type';
  $handler->display->display_options['fields']['field_session_type']['field'] = 'field_session_type';
  $handler->display->display_options['fields']['field_session_type']['label'] = 'Type';
  $handler->display->display_options['fields']['field_session_type']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['label'] = 'Area';
  $handler->display->display_options['fields']['conference_areas']['settings'] = array(
    'link' => 1,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_areas']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['conference_areas']['delta_offset'] = '0';
  $handler->display->display_options['fields']['conference_areas']['multi_type'] = 'ul';
  /* Field: Field: Presentations */
  $handler->display->display_options['fields']['conference_presentations']['id'] = 'conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['table'] = 'field_data_conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['field'] = 'conference_presentations';
  $handler->display->display_options['fields']['conference_presentations']['settings'] = array(
    'link' => 1,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_presentations']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['conference_presentations']['delta_offset'] = '0';
  $handler->display->display_options['fields']['conference_presentations']['multi_type'] = 'ul';
  /* Field: Content: Audio-video requirements */
  $handler->display->display_options['fields']['field_technical']['id'] = 'field_technical';
  $handler->display->display_options['fields']['field_technical']['table'] = 'field_data_field_technical';
  $handler->display->display_options['fields']['field_technical']['field'] = 'field_technical';
  $handler->display->display_options['fields']['field_technical']['label'] = 'Audio-video';
  $handler->display->display_options['fields']['field_technical']['group_column'] = 'entity_id';
  $handler->display->display_options['fields']['field_technical']['delta_offset'] = '0';
  $handler->display->display_options['fields']['field_technical']['multi_type'] = 'ul';
  /* Field: Content: Room size */
  $handler->display->display_options['fields']['field_room_size']['id'] = 'field_room_size';
  $handler->display->display_options['fields']['field_room_size']['table'] = 'field_data_field_room_size';
  $handler->display->display_options['fields']['field_room_size']['field'] = 'field_room_size';
  $handler->display->display_options['fields']['field_room_size']['label'] = 'Room';
  $handler->display->display_options['fields']['field_room_size']['type'] = 'list_key';
  /* Field: Content: Room configuration */
  $handler->display->display_options['fields']['field_room_configuration']['id'] = 'field_room_configuration';
  $handler->display->display_options['fields']['field_room_configuration']['table'] = 'field_data_field_room_configuration';
  $handler->display->display_options['fields']['field_room_configuration']['field'] = 'field_room_configuration';
  /* Field: Content: Scheduling issues */
  $handler->display->display_options['fields']['field_notes']['id'] = 'field_notes';
  $handler->display->display_options['fields']['field_notes']['table'] = 'field_data_field_notes';
  $handler->display->display_options['fields']['field_notes']['field'] = 'field_notes';
  $handler->display->display_options['fields']['field_notes']['settings'] = array(
    'trim_length' => '100',
  );
  /* Field: Content: Conference time slot */
  $handler->display->display_options['fields']['conference_timeslot_reference']['id'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['field'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['label'] = 'Time slot';
  $handler->display->display_options['fields']['conference_timeslot_reference']['type'] = 'node_reference_plain';
  /* Field: Personal schedule counter */
  $handler->display->display_options['fields']['count']['id'] = 'count';
  $handler->display->display_options['fields']['count']['table'] = 'flag_counts';
  $handler->display->display_options['fields']['count']['field'] = 'count';
  $handler->display->display_options['fields']['count']['relationship'] = 'flag_count_rel';
  $handler->display->display_options['fields']['count']['ui_name'] = 'Personal schedule counter';
  $handler->display->display_options['fields']['count']['label'] = 'Personal schedules';
  $handler->display->display_options['fields']['count']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['count']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['count']['separator'] = '';
  /* Field: Content: Comment count */
  $handler->display->display_options['fields']['comment_count']['id'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['table'] = 'node_comment_statistics';
  $handler->display->display_options['fields']['comment_count']['field'] = 'comment_count';
  $handler->display->display_options['fields']['comment_count']['label'] = 'Comments';
  $handler->display->display_options['fields']['comment_count']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['comment_count']['format_plural_singular'] = '1 comment';
  $handler->display->display_options['fields']['comment_count']['format_plural_plural'] = '@count comments';
  /* Field: Content: New comments */
  $handler->display->display_options['fields']['new_comments']['id'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['table'] = 'node';
  $handler->display->display_options['fields']['new_comments']['field'] = 'new_comments';
  $handler->display->display_options['fields']['new_comments']['label'] = '';
  $handler->display->display_options['fields']['new_comments']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['alter']['text'] = '<span class="new">[new_comments]</a>';
  $handler->display->display_options['fields']['new_comments']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['new_comments']['hide_empty'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['empty_zero'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['format_plural'] = TRUE;
  $handler->display->display_options['fields']['new_comments']['format_plural_singular'] = '1 new comment';
  $handler->display->display_options['fields']['new_comments']['format_plural_plural'] = '@count new comments';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = '';
  $handler->display->display_options['fields']['edit_node']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Type';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: Content: Audio-video requirements (field_technical) */
  $handler->display->display_options['filters']['field_technical_value']['id'] = 'field_technical_value';
  $handler->display->display_options['filters']['field_technical_value']['table'] = 'field_data_field_technical';
  $handler->display->display_options['filters']['field_technical_value']['field'] = 'field_technical_value';
  $handler->display->display_options['filters']['field_technical_value']['group'] = 1;
  $handler->display->display_options['filters']['field_technical_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_technical_value']['expose']['operator_id'] = 'field_technical_value_op';
  $handler->display->display_options['filters']['field_technical_value']['expose']['label'] = 'Audio-video';
  $handler->display->display_options['filters']['field_technical_value']['expose']['operator'] = 'field_technical_value_op';
  $handler->display->display_options['filters']['field_technical_value']['expose']['identifier'] = 'field_technical_value';
  $handler->display->display_options['filters']['field_technical_value']['expose']['multiple'] = TRUE;
  /* Filter criterion: Content: Room size (field_room_size) */
  $handler->display->display_options['filters']['field_room_size_value']['id'] = 'field_room_size_value';
  $handler->display->display_options['filters']['field_room_size_value']['table'] = 'field_data_field_room_size';
  $handler->display->display_options['filters']['field_room_size_value']['field'] = 'field_room_size_value';
  $handler->display->display_options['filters']['field_room_size_value']['group'] = 1;
  $handler->display->display_options['filters']['field_room_size_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_room_size_value']['expose']['operator_id'] = 'field_room_size_value_op';
  $handler->display->display_options['filters']['field_room_size_value']['expose']['label'] = 'Room size';
  $handler->display->display_options['filters']['field_room_size_value']['expose']['operator'] = 'field_room_size_value_op';
  $handler->display->display_options['filters']['field_room_size_value']['expose']['identifier'] = 'field_room_size_value';
  /* Filter criterion: Content: Room configuration (field_room_configuration) */
  $handler->display->display_options['filters']['field_room_configuration_value']['id'] = 'field_room_configuration_value';
  $handler->display->display_options['filters']['field_room_configuration_value']['table'] = 'field_data_field_room_configuration';
  $handler->display->display_options['filters']['field_room_configuration_value']['field'] = 'field_room_configuration_value';
  $handler->display->display_options['filters']['field_room_configuration_value']['group'] = 1;
  $handler->display->display_options['filters']['field_room_configuration_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_room_configuration_value']['expose']['operator_id'] = 'field_room_configuration_value_op';
  $handler->display->display_options['filters']['field_room_configuration_value']['expose']['label'] = 'Room type';
  $handler->display->display_options['filters']['field_room_configuration_value']['expose']['operator'] = 'field_room_configuration_value_op';
  $handler->display->display_options['filters']['field_room_configuration_value']['expose']['identifier'] = 'field_room_configuration_value';
  /* Filter criterion: Content: Scheduling issues (field_notes) */
  $handler->display->display_options['filters']['field_notes_value']['id'] = 'field_notes_value';
  $handler->display->display_options['filters']['field_notes_value']['table'] = 'field_data_field_notes';
  $handler->display->display_options['filters']['field_notes_value']['field'] = 'field_notes_value';
  $handler->display->display_options['filters']['field_notes_value']['group'] = 1;
  $handler->display->display_options['filters']['field_notes_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_notes_value']['expose']['operator_id'] = 'field_notes_value_op';
  $handler->display->display_options['filters']['field_notes_value']['expose']['label'] = 'Scheduling issues (field_notes)';
  $handler->display->display_options['filters']['field_notes_value']['expose']['operator'] = 'field_notes_value_op';
  $handler->display->display_options['filters']['field_notes_value']['expose']['identifier'] = 'field_notes_value';
  $handler->display->display_options['filters']['field_notes_value']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['field_notes_value']['group_info']['label'] = 'Scheduling issues';
  $handler->display->display_options['filters']['field_notes_value']['group_info']['identifier'] = 'field_notes_value';
  $handler->display->display_options['filters']['field_notes_value']['group_info']['remember'] = 1;
  $handler->display->display_options['filters']['field_notes_value']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Sessions with issues',
      'operator' => 'not empty',
      'value' => '.',
    ),
    2 => array(
      'title' => 'Sessions without issues',
      'operator' => 'empty',
      'value' => '.',
    ),
  );
  /* Filter criterion: Content: Time-slot picker (conference_timeslot_picker) */
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['id'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['table'] = 'field_data_conference_timeslot_picker';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['field'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group'] = 1;
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['expose']['operator_id'] = 'conference_timeslot_picker_value_op';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['expose']['label'] = 'Time-slot picker (conference_timeslot_picker)';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['expose']['operator'] = 'conference_timeslot_picker_value_op';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['expose']['identifier'] = 'conference_timeslot_picker_value';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group_info']['label'] = 'Scheduled?';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group_info']['identifier'] = 'scheduled';
  $handler->display->display_options['filters']['conference_timeslot_picker_value']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Scheduled',
      'operator' => 'not empty',
      'value' => array(
        '_none' => '_none',
      ),
    ),
    2 => array(
      'title' => 'Not scheduled',
      'operator' => 'empty',
      'value' => array(
        '_none' => '_none',
      ),
    ),
  );
  /* Filter criterion: Content: Title */
  $handler->display->display_options['filters']['title']['id'] = 'title';
  $handler->display->display_options['filters']['title']['table'] = 'node';
  $handler->display->display_options['filters']['title']['field'] = 'title';
  $handler->display->display_options['filters']['title']['operator'] = 'contains';
  $handler->display->display_options['filters']['title']['group'] = 1;
  $handler->display->display_options['filters']['title']['exposed'] = TRUE;
  $handler->display->display_options['filters']['title']['expose']['operator_id'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['label'] = 'Title';
  $handler->display->display_options['filters']['title']['expose']['operator'] = 'title_op';
  $handler->display->display_options['filters']['title']['expose']['identifier'] = 'title';
  $handler->display->display_options['filters']['title']['expose']['remember_roles'] = array(
    2 => '2',
    16 => 0,
    17 => 0,
  );
  /* Filter criterion: Content: Session number (conference_session_number) */
  $handler->display->display_options['filters']['conference_session_number_value']['id'] = 'conference_session_number_value';
  $handler->display->display_options['filters']['conference_session_number_value']['table'] = 'field_data_conference_session_number';
  $handler->display->display_options['filters']['conference_session_number_value']['field'] = 'conference_session_number_value';
  $handler->display->display_options['filters']['conference_session_number_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['conference_session_number_value']['group'] = 1;
  $handler->display->display_options['filters']['conference_session_number_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['operator_id'] = 'conference_session_number_value_op';
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['label'] = 'Session number';
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['operator'] = 'conference_session_number_value_op';
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['identifier'] = 'number';
  $handler->display->display_options['filters']['conference_session_number_value']['expose']['remember_roles'] = array(
    2 => '2',
    16 => 0,
    17 => 0,
  );
  /* Filter criterion: Content: Areas (conference_areas) */
  $handler->display->display_options['filters']['conference_areas_target_id']['id'] = 'conference_areas_target_id';
  $handler->display->display_options['filters']['conference_areas_target_id']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['filters']['conference_areas_target_id']['field'] = 'conference_areas_target_id';
  $handler->display->display_options['filters']['conference_areas_target_id']['operator'] = 'empty';
  $handler->display->display_options['path'] = 'admin/conference/sessions/orphan';
  $handler->display->display_options['menu']['title'] = 'Sessions';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Count: Orphan */
  $handler = $view->new_display('attachment', 'Count: Orphan', 'orphan_counter');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Orphan sessions';
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['css_class'] = 'view-table-wide';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  $handler->display->display_options['filters']['type']['expose']['operator_id'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['label'] = 'Type';
  $handler->display->display_options['filters']['type']['expose']['operator'] = 'type_op';
  $handler->display->display_options['filters']['type']['expose']['identifier'] = 'type';
  /* Filter criterion: Content: Areas (conference_areas) */
  $handler->display->display_options['filters']['conference_areas_target_id']['id'] = 'conference_areas_target_id';
  $handler->display->display_options['filters']['conference_areas_target_id']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['filters']['conference_areas_target_id']['field'] = 'conference_areas_target_id';
  $handler->display->display_options['filters']['conference_areas_target_id']['operator'] = 'empty';
  $handler->display->display_options['filters']['conference_areas_target_id']['group'] = 1;
  $export['conference_sessions'] = $view;

  $view = new view();
  $view->name = 'conference_speakers';
  $view->description = '';
  $view->tag = 'conference';
  $view->base_table = 'users';
  $view->human_name = 'Conference speakers';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Conference speakers';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'speakers_area_approved';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '100';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'counter' => 'counter',
    'uid' => 'uid',
    'field_firstname' => 'field_firstname',
    'field_middlename' => 'field_middlename',
    'field_lastname' => 'field_lastname',
    'mail' => 'field_lastname',
    'conference_reference' => 'conference_reference',
    'conference_reference_1' => 'conference_reference_1',
    'booking_id' => 'booking_id',
    'conference_registration' => 'conference_registration',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'counter' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'uid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_firstname' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_middlename' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_lastname' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'mail' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_reference' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_reference_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'booking_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_registration' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_conference_presenters_node']['id'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['relationships']['reverse_conference_presenters_node']['table'] = 'users';
  $handler->display->display_options['relationships']['reverse_conference_presenters_node']['field'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['relationships']['reverse_conference_presenters_node']['label'] = 'Presentation';
  /* Relationship: Registration */
  $handler->display->display_options['relationships']['conference_booking']['id'] = 'conference_booking';
  $handler->display->display_options['relationships']['conference_booking']['table'] = 'users';
  $handler->display->display_options['relationships']['conference_booking']['field'] = 'conference_booking';
  $handler->display->display_options['relationships']['conference_booking']['ui_name'] = 'Registration';
  $handler->display->display_options['relationships']['conference_booking']['label'] = 'Reigstration';
  $handler->display->display_options['relationships']['conference_booking']['bundle_types'] = array(
    'registration' => 'registration',
  );
  /* Relationship: User: Profile */
  $handler->display->display_options['relationships']['profile']['id'] = 'profile';
  $handler->display->display_options['relationships']['profile']['table'] = 'users';
  $handler->display->display_options['relationships']['profile']['field'] = 'profile';
  $handler->display->display_options['relationships']['profile']['bundle_types'] = array(
    'profile' => 'profile',
  );
  /* Relationship: Flags: presentation_approve */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['relationship'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['relationships']['flag_content_rel']['ui_name'] = 'Approved';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Approved';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_approve';
  $handler->display->display_options['relationships']['flag_content_rel']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_reject */
  $handler->display->display_options['relationships']['flag_content_rel_1']['id'] = 'flag_content_rel_1';
  $handler->display->display_options['relationships']['flag_content_rel_1']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_1']['relationship'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['ui_name'] = 'Rejected';
  $handler->display->display_options['relationships']['flag_content_rel_1']['label'] = 'Rejected';
  $handler->display->display_options['relationships']['flag_content_rel_1']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_1']['flag'] = 'presentation_reject';
  $handler->display->display_options['relationships']['flag_content_rel_1']['user_scope'] = 'any';
  /* Field: Bulk operations: User */
  $handler->display->display_options['fields']['views_bulk_operations']['id'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['table'] = 'users';
  $handler->display->display_options['fields']['views_bulk_operations']['field'] = 'views_bulk_operations';
  $handler->display->display_options['fields']['views_bulk_operations']['label'] = '';
  $handler->display->display_options['fields']['views_bulk_operations']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['display_type'] = '0';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['enable_select_all_pages'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['row_clickable'] = 1;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['force_single'] = 0;
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_settings']['entity_load_capacity'] = '10';
  $handler->display->display_options['fields']['views_bulk_operations']['vbo_operations'] = array(
    'action::conference_booking_user_cancel_withdraw_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::conference_booking_user_unregister_conference_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
    'action::conference_booking_user_withdraw_action' => array(
      'selected' => 1,
      'postpone_processing' => 0,
      'skip_confirmation' => 0,
      'override_label' => 0,
      'label' => '',
    ),
  );
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  $handler->display->display_options['fields']['counter']['reverse'] = 1;
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Profile: First name */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_firstname']['label'] = '';
  $handler->display->display_options['fields']['field_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_firstname']['group_column'] = 'entity_id';
  /* Field: Profile: Middle name */
  $handler->display->display_options['fields']['field_middlename']['id'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['table'] = 'field_data_field_middlename';
  $handler->display->display_options['fields']['field_middlename']['field'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_middlename']['label'] = '';
  $handler->display->display_options['fields']['field_middlename']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_middlename']['element_label_colon'] = FALSE;
  /* Field: Profile: Last name */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_lastname']['label'] = 'Name';
  $handler->display->display_options['fields']['field_lastname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['text'] = '[field_lastname], [field_firstname] [field_middlename]';
  $handler->display->display_options['fields']['field_lastname']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['path'] = 'user/[uid]';
  $handler->display->display_options['fields']['field_lastname']['alter']['trim_whitespace'] = TRUE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['label'] = '';
  $handler->display->display_options['fields']['mail']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['mail']['alter']['text'] = '<span class="email">[mail]</span>';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['mail']['link_to_user'] = '0';
  /* Field: Presentation conference */
  $handler->display->display_options['fields']['conference_reference']['id'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['relationship'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['fields']['conference_reference']['ui_name'] = 'Presentation conference';
  $handler->display->display_options['fields']['conference_reference']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_reference']['group_column'] = 'entity_id';
  /* Field: Booking conference */
  $handler->display->display_options['fields']['conference_reference_1']['id'] = 'conference_reference_1';
  $handler->display->display_options['fields']['conference_reference_1']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference_1']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference_1']['relationship'] = 'conference_booking';
  $handler->display->display_options['fields']['conference_reference_1']['ui_name'] = 'Booking conference';
  $handler->display->display_options['fields']['conference_reference_1']['label'] = 'Booking conference';
  $handler->display->display_options['fields']['conference_reference_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_reference_1']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_reference_1']['group_column'] = 'entity_id';
  /* Field: Booking: Booking ID */
  $handler->display->display_options['fields']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['relationship'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['booking_id']['separator'] = '';
  /* Field: User: Conference registration */
  $handler->display->display_options['fields']['conference_registration']['id'] = 'conference_registration';
  $handler->display->display_options['fields']['conference_registration']['table'] = 'views_entity_user';
  $handler->display->display_options['fields']['conference_registration']['field'] = 'conference_registration';
  /* Sort criterion: Profile: Last name (field_lastname) */
  $handler->display->display_options['sorts']['field_lastname_value']['id'] = 'field_lastname_value';
  $handler->display->display_options['sorts']['field_lastname_value']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['sorts']['field_lastname_value']['field'] = 'field_lastname_value';
  $handler->display->display_options['sorts']['field_lastname_value']['relationship'] = 'profile';
  /* Sort criterion: Profile: First name (field_firstname) */
  $handler->display->display_options['sorts']['field_firstname_value']['id'] = 'field_firstname_value';
  $handler->display->display_options['sorts']['field_firstname_value']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['sorts']['field_firstname_value']['field'] = 'field_firstname_value';
  $handler->display->display_options['sorts']['field_firstname_value']['relationship'] = 'profile';
  /* Sort criterion: Profile: Middle name (field_middlename) */
  $handler->display->display_options['sorts']['field_middlename_value']['id'] = 'field_middlename_value';
  $handler->display->display_options['sorts']['field_middlename_value']['table'] = 'field_data_field_middlename';
  $handler->display->display_options['sorts']['field_middlename_value']['field'] = 'field_middlename_value';
  $handler->display->display_options['sorts']['field_middlename_value']['relationship'] = 'profile';
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'AND',
    5 => 'AND',
    2 => 'OR',
    3 => 'OR',
    4 => 'OR',
  );
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['relationship'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  /* Filter criterion: Content: Area (conference_area) (reference filter) */
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['id'] = 'conference_area_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['table'] = 'field_data_conference_area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['field'] = 'conference_area_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['relationship'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['group'] = 1;
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_area_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['label'] = 'Area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['operator'] = 'conference_area_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['identifier'] = 'area';
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_area_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:area';
  /* Filter criterion: Global: Fields comparison */
  $handler->display->display_options['filters']['fields_compare']['id'] = 'fields_compare';
  $handler->display->display_options['filters']['fields_compare']['table'] = 'views';
  $handler->display->display_options['filters']['fields_compare']['field'] = 'fields_compare';
  $handler->display->display_options['filters']['fields_compare']['group'] = 2;
  $handler->display->display_options['filters']['fields_compare']['right_field'] = 'conference_reference_1';
  $handler->display->display_options['filters']['fields_compare']['left_field'] = 'conference_reference';
  /* Filter criterion: Global: Fields comparison */
  $handler->display->display_options['filters']['fields_compare_1']['id'] = 'fields_compare_1';
  $handler->display->display_options['filters']['fields_compare_1']['table'] = 'views';
  $handler->display->display_options['filters']['fields_compare_1']['field'] = 'fields_compare';
  $handler->display->display_options['filters']['fields_compare_1']['operator'] = '<>';
  $handler->display->display_options['filters']['fields_compare_1']['group'] = 2;
  $handler->display->display_options['filters']['fields_compare_1']['right_field'] = 'conference_reference_1';
  $handler->display->display_options['filters']['fields_compare_1']['left_field'] = 'conference_reference';
  /* Filter criterion: Booking: Booking ID */
  $handler->display->display_options['filters']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['filters']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['filters']['booking_id']['relationship'] = 'conference_booking';
  $handler->display->display_options['filters']['booking_id']['operator'] = 'empty';
  $handler->display->display_options['filters']['booking_id']['group'] = 2;
  /* Filter criterion: Booking: Cancellation officer */
  $handler->display->display_options['filters']['cancel_uid']['id'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid']['field'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid']['relationship'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid']['value']['value'] = '0';
  $handler->display->display_options['filters']['cancel_uid']['group'] = 3;
  /* Filter criterion: Booking: Cancellation officer */
  $handler->display->display_options['filters']['cancel_uid_1']['id'] = 'cancel_uid_1';
  $handler->display->display_options['filters']['cancel_uid_1']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid_1']['field'] = 'cancel_uid';
  $handler->display->display_options['filters']['cancel_uid_1']['relationship'] = 'conference_booking';
  $handler->display->display_options['filters']['cancel_uid_1']['operator'] = 'empty';
  $handler->display->display_options['filters']['cancel_uid_1']['group'] = 3;
  /* Filter criterion: Registration (Pseudo-filter) */
  $handler->display->display_options['filters']['booking_id_1']['id'] = 'booking_id_1';
  $handler->display->display_options['filters']['booking_id_1']['table'] = 'conference_booking';
  $handler->display->display_options['filters']['booking_id_1']['field'] = 'booking_id';
  $handler->display->display_options['filters']['booking_id_1']['relationship'] = 'conference_booking';
  $handler->display->display_options['filters']['booking_id_1']['ui_name'] = 'Registration (Pseudo-filter)';
  $handler->display->display_options['filters']['booking_id_1']['group'] = 4;
  $handler->display->display_options['filters']['booking_id_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['booking_id_1']['expose']['operator_id'] = 'booking_id_1_op';
  $handler->display->display_options['filters']['booking_id_1']['expose']['label'] = 'Booking ID';
  $handler->display->display_options['filters']['booking_id_1']['expose']['operator'] = 'booking_id_1_op';
  $handler->display->display_options['filters']['booking_id_1']['expose']['identifier'] = 'booking_id_1';
  $handler->display->display_options['filters']['booking_id_1']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['booking_id_1']['group_info']['label'] = 'Registered';
  $handler->display->display_options['filters']['booking_id_1']['group_info']['identifier'] = 'registered';
  $handler->display->display_options['filters']['booking_id_1']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Yes',
      'operator' => '=',
      'value' => array(
        'value' => 'yes',
        'min' => '',
        'max' => '',
      ),
    ),
    2 => array(
      'title' => 'No',
      'operator' => '=',
      'value' => array(
        'value' => 'no',
        'min' => '',
        'max' => '',
      ),
    ),
  );
  /* Filter criterion: Approved */
  $handler->display->display_options['filters']['flagged']['id'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged']['relationship'] = 'flag_content_rel';
  $handler->display->display_options['filters']['flagged']['ui_name'] = 'Approved';
  $handler->display->display_options['filters']['flagged']['value'] = '0';
  $handler->display->display_options['filters']['flagged']['group'] = 5;
  $handler->display->display_options['filters']['flagged']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged']['expose']['label'] = 'Approved';
  $handler->display->display_options['filters']['flagged']['expose']['operator'] = 'flagged_op';
  $handler->display->display_options['filters']['flagged']['expose']['identifier'] = 'approved';
  $handler->display->display_options['filters']['flagged']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Rejected */
  $handler->display->display_options['filters']['flagged_1']['id'] = 'flagged_1';
  $handler->display->display_options['filters']['flagged_1']['table'] = 'flagging';
  $handler->display->display_options['filters']['flagged_1']['field'] = 'flagged';
  $handler->display->display_options['filters']['flagged_1']['relationship'] = 'flag_content_rel_1';
  $handler->display->display_options['filters']['flagged_1']['ui_name'] = 'Rejected';
  $handler->display->display_options['filters']['flagged_1']['value'] = '0';
  $handler->display->display_options['filters']['flagged_1']['group'] = 5;
  $handler->display->display_options['filters']['flagged_1']['expose']['operator_id'] = '';
  $handler->display->display_options['filters']['flagged_1']['expose']['label'] = 'Rejected';
  $handler->display->display_options['filters']['flagged_1']['expose']['operator'] = 'flagged_1_op';
  $handler->display->display_options['filters']['flagged_1']['expose']['identifier'] = 'rejected';
  $handler->display->display_options['filters']['flagged_1']['expose']['remember_roles'] = array(
    2 => '2',
  );
  /* Filter criterion: Approval (Pseudo-filter) */
  $handler->display->display_options['filters']['nid']['id'] = 'nid';
  $handler->display->display_options['filters']['nid']['table'] = 'node';
  $handler->display->display_options['filters']['nid']['field'] = 'nid';
  $handler->display->display_options['filters']['nid']['relationship'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['filters']['nid']['ui_name'] = 'Approval (Pseudo-filter)';
  $handler->display->display_options['filters']['nid']['group'] = 5;
  $handler->display->display_options['filters']['nid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['nid']['expose']['operator_id'] = 'nid_op';
  $handler->display->display_options['filters']['nid']['expose']['label'] = 'Nid';
  $handler->display->display_options['filters']['nid']['expose']['operator'] = 'nid_op';
  $handler->display->display_options['filters']['nid']['expose']['identifier'] = 'nid';
  $handler->display->display_options['filters']['nid']['is_grouped'] = TRUE;
  $handler->display->display_options['filters']['nid']['group_info']['label'] = 'Approval status';
  $handler->display->display_options['filters']['nid']['group_info']['identifier'] = 'approval';
  $handler->display->display_options['filters']['nid']['group_info']['default_group'] = '1';
  $handler->display->display_options['filters']['nid']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Approved',
      'operator' => '=',
      'value' => array(
        'value' => 'approved',
        'min' => '',
        'max' => '',
      ),
    ),
    2 => array(
      'title' => 'Rejected',
      'operator' => '=',
      'value' => array(
        'value' => 'rejected',
        'min' => '',
        'max' => '',
      ),
    ),
    3 => array(
      'title' => 'Pending',
      'operator' => '=',
      'value' => array(
        'value' => 'pending',
        'min' => '',
        'max' => '',
      ),
    ),
  );

  /* Display: Admin */
  $handler = $view->new_display('page', 'Admin', 'admin');
  $handler->display->display_options['path'] = 'admin/conference/speakers/list';
  $handler->display->display_options['menu']['type'] = 'default tab';
  $handler->display->display_options['menu']['title'] = 'List';
  $handler->display->display_options['menu']['weight'] = '-10';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'tab';
  $handler->display->display_options['tab_options']['title'] = 'Speakers';
  $handler->display->display_options['tab_options']['weight'] = '0';

  /* Display: Data export */
  $handler = $view->new_display('views_data_export', 'Data export', 'csv');
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'views_data_export_csv';
  $handler->display->display_options['style_options']['provide_file'] = 1;
  $handler->display->display_options['style_options']['parent_sort'] = 0;
  $handler->display->display_options['style_options']['quote'] = 1;
  $handler->display->display_options['style_options']['trim'] = 0;
  $handler->display->display_options['style_options']['replace_newlines'] = 0;
  $handler->display->display_options['style_options']['header'] = 1;
  $handler->display->display_options['style_options']['keep_html'] = 0;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  $handler->display->display_options['fields']['counter']['reverse'] = 1;
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = 'User ID';
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Profile: First name */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_firstname']['group_column'] = 'entity_id';
  /* Field: Profile: Middle name */
  $handler->display->display_options['fields']['field_middlename']['id'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['table'] = 'field_data_field_middlename';
  $handler->display->display_options['fields']['field_middlename']['field'] = 'field_middlename';
  $handler->display->display_options['fields']['field_middlename']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_middlename']['element_label_colon'] = FALSE;
  /* Field: Profile: Last name */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['relationship'] = 'profile';
  $handler->display->display_options['fields']['field_lastname']['alter']['text'] = '[field_lastname], [field_firstname] [field_middlename]';
  $handler->display->display_options['fields']['field_lastname']['alter']['path'] = 'user/[uid]';
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['label'] = '';
  $handler->display->display_options['fields']['mail']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['mail']['alter']['text'] = '<span class="email">[mail]</span>';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['mail']['link_to_user'] = '0';
  /* Field: Presentation conference */
  $handler->display->display_options['fields']['conference_reference']['id'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['relationship'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['fields']['conference_reference']['ui_name'] = 'Presentation conference';
  $handler->display->display_options['fields']['conference_reference']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_reference']['group_column'] = 'entity_id';
  /* Field: Booking conference */
  $handler->display->display_options['fields']['conference_reference_1']['id'] = 'conference_reference_1';
  $handler->display->display_options['fields']['conference_reference_1']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference_1']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference_1']['relationship'] = 'conference_booking';
  $handler->display->display_options['fields']['conference_reference_1']['ui_name'] = 'Booking conference';
  $handler->display->display_options['fields']['conference_reference_1']['label'] = 'Booking conference';
  $handler->display->display_options['fields']['conference_reference_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_reference_1']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_reference_1']['group_column'] = 'entity_id';
  /* Field: Booking: Booking ID */
  $handler->display->display_options['fields']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['relationship'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['booking_id']['separator'] = '';
  /* Field: User: Conference registration */
  $handler->display->display_options['fields']['conference_registration']['id'] = 'conference_registration';
  $handler->display->display_options['fields']['conference_registration']['table'] = 'views_entity_user';
  $handler->display->display_options['fields']['conference_registration']['field'] = 'conference_registration';
  $handler->display->display_options['path'] = 'admin/conference/speakers';
  $handler->display->display_options['displays'] = array(
    'admin' => 'admin',
    'default' => 0,
  );

  /* Display: By chair */
  $handler = $view->new_display('page', 'By chair', 'bychair');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Speakers in your areas';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'conference_dashboard_views_plugin_access';
  $handler->display->display_options['access']['conference_dashboard_block'] = 'speakers_area_registered';
  $handler->display->display_options['path'] = 'admin/conference/areas/speakers';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Speakers';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Dashboard: registered */
  $handler = $view->new_display('attachment', 'Dashboard: registered', 'counter');
  $handler->display->display_options['display_description'] = 'Provides counts for the conference dashboard';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_conference_presenters_node']['id'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['relationships']['reverse_conference_presenters_node']['table'] = 'users';
  $handler->display->display_options['relationships']['reverse_conference_presenters_node']['field'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['relationships']['reverse_conference_presenters_node']['label'] = 'Presentation';
  /* Relationship: Registration */
  $handler->display->display_options['relationships']['conference_booking']['id'] = 'conference_booking';
  $handler->display->display_options['relationships']['conference_booking']['table'] = 'users';
  $handler->display->display_options['relationships']['conference_booking']['field'] = 'conference_booking';
  $handler->display->display_options['relationships']['conference_booking']['ui_name'] = 'Registration';
  $handler->display->display_options['relationships']['conference_booking']['label'] = 'Reigstration';
  $handler->display->display_options['relationships']['conference_booking']['bundle_types'] = array(
    'registration' => 'registration',
  );
  /* Relationship: Flags: presentation_approve */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['relationship'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['relationships']['flag_content_rel']['ui_name'] = 'Approved';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Approved';
  $handler->display->display_options['relationships']['flag_content_rel']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_approve';
  $handler->display->display_options['relationships']['flag_content_rel']['user_scope'] = 'any';
  /* Relationship: Flags: presentation_reject */
  $handler->display->display_options['relationships']['flag_content_rel_1']['id'] = 'flag_content_rel_1';
  $handler->display->display_options['relationships']['flag_content_rel_1']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel_1']['relationship'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['relationships']['flag_content_rel_1']['ui_name'] = 'Rejected';
  $handler->display->display_options['relationships']['flag_content_rel_1']['label'] = 'Rejected';
  $handler->display->display_options['relationships']['flag_content_rel_1']['required'] = 0;
  $handler->display->display_options['relationships']['flag_content_rel_1']['flag'] = 'presentation_reject';
  $handler->display->display_options['relationships']['flag_content_rel_1']['user_scope'] = 'any';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['relationships']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['relationship'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['relationships']['conference_area_target_id']['label'] = 'Area';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: View result counter */
  $handler->display->display_options['fields']['counter']['id'] = 'counter';
  $handler->display->display_options['fields']['counter']['table'] = 'views';
  $handler->display->display_options['fields']['counter']['field'] = 'counter';
  $handler->display->display_options['fields']['counter']['label'] = '';
  $handler->display->display_options['fields']['counter']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['counter']['counter_start'] = '1';
  $handler->display->display_options['fields']['counter']['reverse'] = 1;
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: Presentation conference */
  $handler->display->display_options['fields']['conference_reference']['id'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference']['relationship'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['fields']['conference_reference']['ui_name'] = 'Presentation conference';
  $handler->display->display_options['fields']['conference_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_reference']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_reference']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_reference']['group_column'] = 'entity_id';
  /* Field: Booking conference */
  $handler->display->display_options['fields']['conference_reference_1']['id'] = 'conference_reference_1';
  $handler->display->display_options['fields']['conference_reference_1']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['fields']['conference_reference_1']['field'] = 'conference_reference';
  $handler->display->display_options['fields']['conference_reference_1']['relationship'] = 'conference_booking';
  $handler->display->display_options['fields']['conference_reference_1']['ui_name'] = 'Booking conference';
  $handler->display->display_options['fields']['conference_reference_1']['label'] = 'Booking conference';
  $handler->display->display_options['fields']['conference_reference_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['conference_reference_1']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 0,
  );
  $handler->display->display_options['fields']['conference_reference_1']['group_column'] = 'entity_id';
  /* Field: Booking: Booking ID */
  $handler->display->display_options['fields']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['fields']['booking_id']['relationship'] = 'conference_booking';
  $handler->display->display_options['fields']['booking_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['booking_id']['separator'] = '';
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['relationship'] = 'conference_area_target_id';
  $handler->display->display_options['fields']['nid']['label'] = 'Area Nid';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Area (conference_area) */
  $handler->display->display_options['arguments']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['arguments']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['arguments']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['arguments']['conference_area_target_id']['relationship'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['arguments']['conference_area_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_area_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['conference_area_target_id']['default_argument_options']['argument'] = 'any';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_area_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['relationship'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Booking: Booking ID */
  $handler->display->display_options['arguments']['booking_id']['id'] = 'booking_id';
  $handler->display->display_options['arguments']['booking_id']['table'] = 'conference_booking';
  $handler->display->display_options['arguments']['booking_id']['field'] = 'booking_id';
  $handler->display->display_options['arguments']['booking_id']['relationship'] = 'conference_booking';
  $handler->display->display_options['arguments']['booking_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['booking_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['booking_id']['default_argument_options']['argument'] = 'any';
  $handler->display->display_options['arguments']['booking_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['booking_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['booking_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'reverse_conference_presenters_node';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['default_argument_options']['argument'] = 'any';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['inherit_arguments'] = FALSE;
  $export['conference_speakers'] = $view;

  $view = new view();
  $view->name = 'conference_unscheduled_sessions';
  $view->description = 'Used in conference dashboard.';
  $view->tag = 'called in code, conference';
  $view->base_table = 'node';
  $view->human_name = 'Conference unscheduled sessions';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'views_content_cache';
  $handler->display->display_options['cache']['results_min_lifespan'] = '-1';
  $handler->display->display_options['cache']['results_max_lifespan'] = '21600';
  $handler->display->display_options['cache']['output_min_lifespan'] = '-1';
  $handler->display->display_options['cache']['output_max_lifespan'] = '21600';
  $handler->display->display_options['cache']['keys'] = array(
    'node' => array(
      'session' => 'session',
      'area' => 0,
      'article' => 0,
      'page' => 0,
      'conference' => 0,
      'conference_room' => 0,
      'conference_timeslot' => 0,
      'event' => 0,
      'gazette' => 0,
      'help' => 0,
      'presentation' => 0,
      'product' => 0,
      'webform' => 0,
    ),
    'node_only' => array(
      'node_changed' => 'node_changed',
    ),
  );
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['disable_sql_rewrite'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Conference time slot */
  $handler->display->display_options['fields']['conference_timeslot_reference']['id'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['field'] = 'conference_timeslot_reference';
  $handler->display->display_options['fields']['conference_timeslot_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_timeslot_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_timeslot_reference']['type'] = 'node_reference_nid';
  /* Field: Content: Conference room */
  $handler->display->display_options['fields']['conference_room_reference']['id'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['field'] = 'conference_room_reference';
  $handler->display->display_options['fields']['conference_room_reference']['label'] = '';
  $handler->display->display_options['fields']['conference_room_reference']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['conference_room_reference']['type'] = 'node_reference_nid';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Contextual filter: Field: Conference (conference_reference) */
  $handler->display->display_options['arguments']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['arguments']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_reference_target_id']['default_argument_type'] = 'conference_current_id';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_reference_target_id']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['filters']['type']['group'] = 1;
  /* Filter criterion: Content: Conference time slot (conference_timeslot_reference) */
  $handler->display->display_options['filters']['conference_timeslot_reference_target_id']['id'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['filters']['conference_timeslot_reference_target_id']['table'] = 'field_data_conference_timeslot_reference';
  $handler->display->display_options['filters']['conference_timeslot_reference_target_id']['field'] = 'conference_timeslot_reference_target_id';
  $handler->display->display_options['filters']['conference_timeslot_reference_target_id']['operator'] = 'empty';
  /* Filter criterion: Content: Conference room (conference_room_reference) */
  $handler->display->display_options['filters']['conference_room_reference_target_id']['id'] = 'conference_room_reference_target_id';
  $handler->display->display_options['filters']['conference_room_reference_target_id']['table'] = 'field_data_conference_room_reference';
  $handler->display->display_options['filters']['conference_room_reference_target_id']['field'] = 'conference_room_reference_target_id';
  $handler->display->display_options['filters']['conference_room_reference_target_id']['operator'] = 'empty';
  $export['conference_unscheduled_sessions'] = $view;

  $view = new view();
  $view->name = 'user_content';
  $view->description = 'Provides displays to be used by view fields.';
  $view->tag = 'conference';
  $view->base_table = 'node';
  $view->human_name = 'User content';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Your content';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    2 => '2',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['query']['options']['query_comment'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '20';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'type' => 'title',
    'created' => 'created',
    'changed' => 'changed',
    'name' => 'title',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'type' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'changed' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  /* Relationship: Content: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_author_target_id']['id'] = 'field_author_target_id';
  $handler->display->display_options['relationships']['field_author_target_id']['table'] = 'field_data_field_author';
  $handler->display->display_options['relationships']['field_author_target_id']['field'] = 'field_author_target_id';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_area_chair_target_id']['id'] = 'conference_area_chair_target_id';
  $handler->display->display_options['relationships']['conference_area_chair_target_id']['table'] = 'field_data_conference_area_chair';
  $handler->display->display_options['relationships']['conference_area_chair_target_id']['field'] = 'conference_area_chair_target_id';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_presenters_target_id']['id'] = 'conference_presenters_target_id';
  $handler->display->display_options['relationships']['conference_presenters_target_id']['table'] = 'field_data_conference_presenters';
  $handler->display->display_options['relationships']['conference_presenters_target_id']['field'] = 'conference_presenters_target_id';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Title, type, and author';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  /* Field: Content: Post date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'node';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Posted';
  $handler->display->display_options['fields']['created']['date_format'] = 'medium_day';
  /* Field: Content: Updated date */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'node';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = 'Updated';
  $handler->display->display_options['fields']['changed']['date_format'] = 'time ago';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = 'Author';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = 'Operations';
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  /* Sort criterion: Content: Updated date */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'node';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  $handler->display->display_options['sorts']['changed']['order'] = 'DESC';
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'OR',
  );
  /* Filter criterion: User: Current */
  $handler->display->display_options['filters']['uid_current']['id'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['table'] = 'users';
  $handler->display->display_options['filters']['uid_current']['field'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid_current']['value'] = '1';
  $handler->display->display_options['filters']['uid_current']['group'] = 1;
  /* Filter criterion: User: Current */
  $handler->display->display_options['filters']['uid_current_1']['id'] = 'uid_current_1';
  $handler->display->display_options['filters']['uid_current_1']['table'] = 'users';
  $handler->display->display_options['filters']['uid_current_1']['field'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current_1']['relationship'] = 'field_author_target_id';
  $handler->display->display_options['filters']['uid_current_1']['value'] = '1';
  $handler->display->display_options['filters']['uid_current_1']['group'] = 1;
  /* Filter criterion: User: Current */
  $handler->display->display_options['filters']['uid_current_2']['id'] = 'uid_current_2';
  $handler->display->display_options['filters']['uid_current_2']['table'] = 'users';
  $handler->display->display_options['filters']['uid_current_2']['field'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current_2']['relationship'] = 'conference_area_chair_target_id';
  $handler->display->display_options['filters']['uid_current_2']['value'] = '1';
  $handler->display->display_options['filters']['uid_current_2']['group'] = 1;
  /* Filter criterion: User: Current */
  $handler->display->display_options['filters']['uid_current_3']['id'] = 'uid_current_3';
  $handler->display->display_options['filters']['uid_current_3']['table'] = 'users';
  $handler->display->display_options['filters']['uid_current_3']['field'] = 'uid_current';
  $handler->display->display_options['filters']['uid_current_3']['relationship'] = 'conference_presenters_target_id';
  $handler->display->display_options['filters']['uid_current_3']['value'] = '1';
  $handler->display->display_options['filters']['uid_current_3']['group'] = 1;

  /* Display: Presentations (vf) */
  $handler = $view->new_display('block', 'Presentations (vf)', 'vf_presentations');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'User content';
  $handler->display->display_options['display_description'] = 'For acceptance letter';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
    14 => '14',
    8 => '8',
    9 => '9',
    4 => '4',
  );
  $handler->display->display_options['defaults']['query'] = FALSE;
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['disable_sql_rewrite'] = TRUE;
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['list']['element_type'] = 'ul';
  $handler->display->display_options['style_options']['row']['element_type'] = 'li';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'title_1' => array(
      'element_type' => '',
      'class' => '',
    ),
    'title' => array(
      'element_type' => 'div',
      'class' => '',
      'label_element_type' => 'label',
      'label_class' => '',
    ),
    'conference_area_chair' => array(
      'element_type' => 'div',
      'class' => '',
      'label_element_type' => 'label',
      'label_class' => '',
    ),
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = 'You are scheduled for the following presentations:';
  $handler->display->display_options['header']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['relationships']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['label'] = 'Conference';
  /* Relationship: Session */
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['id'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['table'] = 'node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['field'] = 'reverse_conference_presentations_node';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['ui_name'] = 'Session';
  $handler->display->display_options['relationships']['reverse_conference_presentations_node']['label'] = 'Session';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_area_target_id']['id'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['table'] = 'field_data_conference_area';
  $handler->display->display_options['relationships']['conference_area_target_id']['field'] = 'conference_area_target_id';
  $handler->display->display_options['relationships']['conference_area_target_id']['label'] = 'Area';
  /* Relationship: Flags: presentation_approve */
  $handler->display->display_options['relationships']['flag_content_rel']['id'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['table'] = 'node';
  $handler->display->display_options['relationships']['flag_content_rel']['field'] = 'flag_content_rel';
  $handler->display->display_options['relationships']['flag_content_rel']['label'] = 'Approved';
  $handler->display->display_options['relationships']['flag_content_rel']['flag'] = 'presentation_approve';
  $handler->display->display_options['relationships']['flag_content_rel']['user_scope'] = 'any';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['label'] = '';
  $handler->display->display_options['fields']['title_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title_1']['link_to_node'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'conference_area_target_id';
  $handler->display->display_options['fields']['title']['label'] = 'Area';
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Chair */
  $handler->display->display_options['fields']['conference_area_chair']['id'] = 'conference_area_chair';
  $handler->display->display_options['fields']['conference_area_chair']['table'] = 'field_data_conference_area_chair';
  $handler->display->display_options['fields']['conference_area_chair']['field'] = 'conference_area_chair';
  $handler->display->display_options['fields']['conference_area_chair']['relationship'] = 'conference_area_target_id';
  $handler->display->display_options['fields']['conference_area_chair']['label'] = 'Area chair';
  $handler->display->display_options['fields']['conference_area_chair']['alter']['text'] = '(Chair: [conference_area_chair])';
  $handler->display->display_options['fields']['conference_area_chair']['empty'] = 'none';
  $handler->display->display_options['fields']['conference_area_chair']['settings'] = array(
    'link' => 0,
    'skip_access_check' => 1,
  );
  $handler->display->display_options['fields']['conference_area_chair']['delta_offset'] = '0';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Presenters (conference_presenters) */
  $handler->display->display_options['arguments']['conference_presenters_target_id']['id'] = 'conference_presenters_target_id';
  $handler->display->display_options['arguments']['conference_presenters_target_id']['table'] = 'field_data_conference_presenters';
  $handler->display->display_options['arguments']['conference_presenters_target_id']['field'] = 'conference_presenters_target_id';
  $handler->display->display_options['arguments']['conference_presenters_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_presenters_target_id']['default_argument_type'] = 'user';
  $handler->display->display_options['arguments']['conference_presenters_target_id']['default_argument_options']['user'] = FALSE;
  $handler->display->display_options['arguments']['conference_presenters_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_presenters_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_presenters_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Content: Conference year (conference_year) */
  $handler->display->display_options['arguments']['conference_year_value']['id'] = 'conference_year_value';
  $handler->display->display_options['arguments']['conference_year_value']['table'] = 'field_data_conference_year';
  $handler->display->display_options['arguments']['conference_year_value']['field'] = 'conference_year_value';
  $handler->display->display_options['arguments']['conference_year_value']['relationship'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_year_value']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_year_value']['default_argument_type'] = 'php';
  $handler->display->display_options['arguments']['conference_year_value']['default_argument_options']['code'] = 'return arg(3);';
  $handler->display->display_options['arguments']['conference_year_value']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_year_value']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_year_value']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['conference_year_value']['limit'] = '0';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'presentation' => 'presentation',
  );
  $handler->display->display_options['block_description'] = 'Do not use';

  /* Display: Session count (vf) */
  $handler = $view->new_display('block', 'Session count (vf)', 'vf_sessions');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'User content';
  $handler->display->display_options['display_description'] = 'For acceptance letter';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
    14 => '14',
    8 => '8',
    9 => '9',
    4 => '4',
  );
  $handler->display->display_options['defaults']['query'] = FALSE;
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['disable_sql_rewrite'] = TRUE;
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['query']['options']['pure_distinct'] = TRUE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['row']['element_type'] = '';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['last_every_nth'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'php_1' => array(
      'element_type' => '',
      'class' => '',
    ),
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = '[php]';
  $handler->display->display_options['header']['area']['format'] = 'markdown';
  $handler->display->display_options['header']['area']['tokenize'] = TRUE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['conference_reference_target_id']['id'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['relationships']['conference_reference_target_id']['field'] = 'conference_reference_target_id';
  $handler->display->display_options['relationships']['conference_reference_target_id']['label'] = 'Conference';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php']['id'] = 'php';
  $handler->display->display_options['fields']['php']['table'] = 'views';
  $handler->display->display_options['fields']['php']['field'] = 'php';
  $handler->display->display_options['fields']['php']['label'] = '';
  $handler->display->display_options['fields']['php']['exclude'] = TRUE;
  $handler->display->display_options['fields']['php']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php']['php_output'] = '<?php
print format_plural(count($view->result), \'You are chairing 1 session.\', \'You are chairing @count sessions.\');
?>';
  $handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php']['php_click_sortable'] = '';
  /* Field: Global: PHP */
  $handler->display->display_options['fields']['php_1']['id'] = 'php_1';
  $handler->display->display_options['fields']['php_1']['table'] = 'views';
  $handler->display->display_options['fields']['php_1']['field'] = 'php';
  $handler->display->display_options['fields']['php_1']['label'] = '';
  $handler->display->display_options['fields']['php_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['php_1']['use_php_setup'] = 0;
  $handler->display->display_options['fields']['php_1']['php_value'] = '$static = NULL';
  $handler->display->display_options['fields']['php_1']['php_output'] = '<?php print $static; ?>';
  $handler->display->display_options['fields']['php_1']['use_php_click_sortable'] = '0';
  $handler->display->display_options['fields']['php_1']['php_click_sortable'] = '';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Session chairs (conference_session_chairs) */
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['id'] = 'conference_session_chairs_target_id';
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['table'] = 'field_data_conference_session_chairs';
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['field'] = 'conference_session_chairs_target_id';
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['default_argument_type'] = 'user';
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['default_argument_options']['user'] = FALSE;
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Content: Conference year (conference_year) */
  $handler->display->display_options['arguments']['conference_year_value']['id'] = 'conference_year_value';
  $handler->display->display_options['arguments']['conference_year_value']['table'] = 'field_data_conference_year';
  $handler->display->display_options['arguments']['conference_year_value']['field'] = 'conference_year_value';
  $handler->display->display_options['arguments']['conference_year_value']['relationship'] = 'conference_reference_target_id';
  $handler->display->display_options['arguments']['conference_year_value']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_year_value']['default_argument_type'] = 'php';
  $handler->display->display_options['arguments']['conference_year_value']['default_argument_options']['code'] = 'return arg(3);';
  $handler->display->display_options['arguments']['conference_year_value']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_year_value']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_year_value']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['conference_year_value']['limit'] = '0';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'session' => 'session',
  );
  $handler->display->display_options['block_description'] = 'Do not use';

  /* Display: Areas (vf) */
  $handler = $view->new_display('block', 'Areas (vf)', 'vf_areas');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'User content';
  $handler->display->display_options['display_description'] = 'For acceptance letter';
  $handler->display->display_options['defaults']['hide_admin_links'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
    14 => '14',
    8 => '8',
    9 => '9',
    4 => '4',
  );
  $handler->display->display_options['defaults']['query'] = FALSE;
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['disable_sql_rewrite'] = TRUE;
  $handler->display->display_options['query']['options']['distinct'] = TRUE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['list']['element_type'] = 'ul';
  $handler->display->display_options['style_options']['row']['element_type'] = 'li';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'title' => array(
      'element_type' => '',
      'class' => '',
    ),
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = 'You are chair or co-chair of the following areas:';
  $handler->display->display_options['header']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Chair (conference_area_chair) */
  $handler->display->display_options['arguments']['conference_area_chair_target_id']['id'] = 'conference_area_chair_target_id';
  $handler->display->display_options['arguments']['conference_area_chair_target_id']['table'] = 'field_data_conference_area_chair';
  $handler->display->display_options['arguments']['conference_area_chair_target_id']['field'] = 'conference_area_chair_target_id';
  $handler->display->display_options['arguments']['conference_area_chair_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_area_chair_target_id']['default_argument_type'] = 'user';
  $handler->display->display_options['arguments']['conference_area_chair_target_id']['default_argument_options']['user'] = FALSE;
  $handler->display->display_options['arguments']['conference_area_chair_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_area_chair_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_area_chair_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'area' => 'area',
  );
  $handler->display->display_options['block_description'] = 'Do not use';

  /* Display: User content tab */
  $handler = $view->new_display('page', 'User content tab', 'content_tab');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Conference content';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'views_access_callback';
  $handler->display->display_options['access']['views_access_callback'] = 'conference_user_edit_access';
  $handler->display->display_options['defaults']['cache'] = FALSE;
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'type',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'type' => 'title',
    'conference_area' => 'conference_area',
    'conference_areas' => 'conference_areas',
    'conference_presenters' => 'conference_presenters',
    'created' => 'created',
    'name' => 'name',
    'edit_node' => 'edit_node',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'type' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'conference_area' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'conference_areas' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
    'conference_presenters' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'created' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 1,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'There is no content for the selected conference.';
  $handler->display->display_options['empty']['area']['format'] = 'markdown';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Content: Author */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'node';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Type */
  $handler->display->display_options['fields']['type']['id'] = 'type';
  $handler->display->display_options['fields']['type']['table'] = 'node';
  $handler->display->display_options['fields']['type']['field'] = 'type';
  $handler->display->display_options['fields']['type']['label'] = '';
  $handler->display->display_options['fields']['type']['exclude'] = TRUE;
  $handler->display->display_options['fields']['type']['element_label_colon'] = FALSE;
  /* Field: Content: Area */
  $handler->display->display_options['fields']['conference_area']['id'] = 'conference_area';
  $handler->display->display_options['fields']['conference_area']['table'] = 'field_data_conference_area';
  $handler->display->display_options['fields']['conference_area']['field'] = 'conference_area';
  /* Field: Content: Areas */
  $handler->display->display_options['fields']['conference_areas']['id'] = 'conference_areas';
  $handler->display->display_options['fields']['conference_areas']['table'] = 'field_data_conference_areas';
  $handler->display->display_options['fields']['conference_areas']['field'] = 'conference_areas';
  /* Field: Content: Presenters */
  $handler->display->display_options['fields']['conference_presenters']['id'] = 'conference_presenters';
  $handler->display->display_options['fields']['conference_presenters']['table'] = 'field_data_conference_presenters';
  $handler->display->display_options['fields']['conference_presenters']['field'] = 'conference_presenters';
  /* Field: Content: Post date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'node';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Posted';
  $handler->display->display_options['fields']['created']['date_format'] = 'medium_day';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = 'Author';
  /* Field: Content: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'views_entity_node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = 'Operations';
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Type */
  $handler->display->display_options['sorts']['type']['id'] = 'type';
  $handler->display->display_options['sorts']['type']['table'] = 'node';
  $handler->display->display_options['sorts']['type']['field'] = 'type';
  /* Sort criterion: Content: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Presenters (conference_presenters) */
  $handler->display->display_options['arguments']['conference_presenters_target_id']['id'] = 'conference_presenters_target_id';
  $handler->display->display_options['arguments']['conference_presenters_target_id']['table'] = 'field_data_conference_presenters';
  $handler->display->display_options['arguments']['conference_presenters_target_id']['field'] = 'conference_presenters_target_id';
  $handler->display->display_options['arguments']['conference_presenters_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_presenters_target_id']['default_argument_type'] = 'user';
  $handler->display->display_options['arguments']['conference_presenters_target_id']['default_argument_options']['user'] = FALSE;
  $handler->display->display_options['arguments']['conference_presenters_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_presenters_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_presenters_target_id']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: Content: Session chairs (conference_session_chairs) */
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['id'] = 'conference_session_chairs_target_id';
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['table'] = 'field_data_conference_session_chairs';
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['field'] = 'conference_session_chairs_target_id';
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['default_action'] = 'default';
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['default_argument_type'] = 'user';
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['default_argument_options']['user'] = FALSE;
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['conference_session_chairs_target_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Field: Conference (conference_reference) (reference filter) */
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['id'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['table'] = 'field_data_conference_reference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['field'] = 'conference_reference_target_id_entityreference_filter';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator_id'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['label'] = 'Conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['operator'] = 'conference_reference_target_id_entityreference_filter_op';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['identifier'] = 'conference';
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['expose']['remember_roles'] = array(
    2 => '2',
  );
  $handler->display->display_options['filters']['conference_reference_target_id_entityreference_filter']['reference_display'] = 'conference_node_references:conference';
  $handler->display->display_options['path'] = 'user/%/content';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Conference content';
  $handler->display->display_options['menu']['weight'] = '20';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;
  $export['user_content'] = $view;

  return $export;
}
